2003-09-25  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_node_activated_cb):
	* src/ephy-history-window.c:
	(ephy_history_window_node_activated_cb):

	Drop unused code.

2003-09-25  Marco Pesenti Gritti  <marco@gnome.org>

	* data/glade/epiphany.glade:
	* src/ephy-history-window.c: (confirmation_dialog_construct):

	Fix spacing ... when gtkdialog will be higgy ...

2003-09-25  Marco Pesenti Gritti  <marco@gnome.org>

	* data/glade/epiphany.glade:
	* embed/mozilla/ContentHandler.cpp:

	Fix #123176. Use response instead of
	connecting 210 callbacks.

2003-09-24  Christian Persch  <chpe@cvs.gnome.org>

	* idl/EphyAutomation.idl:
	* src/ephy-automation.c: (impl_ephy_automation_quit):
	* src/ephy-main.c: (ephy_main_start):

	Remove --server mode. It was a dirty hack anyway, and had a
	crasher when loggin out from gnome-session. Sort of fixes bug #123047.
	Flames will be redirected > /dev/null .

2003-09-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.c: (ephy_shell_finalize),
	(ephy_shell_get_session):
	* src/session.c: (session_new), (save_tab), (parse_embed),
	(session_remove_window):

	Don't destroy the session when all windows are closed.

2003-09-24  Xan Lopez  <xan@masilla.org>

	* configure.in:

	Add 1.6a to the list.

2003-09-24  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-tab.c: (ephy_tab_init):
	* src/ephy-tabs-menu.c: (tab_added_cb), (tab_removed_cb),
	(ephy_tabs_menu_init):
	* src/ephy-window.c: (ephy_window_set_active_tab):

	Simplify and solve bugs by using a checkbox with radio
	appeareance. That way we can get rid of groups that
	doesnt really work well for our needs.

2003-09-24  Marco Pesenti Gritti  <marco@gnome.org>

	* data/epiphany.schemas.in:

	correct wrong key

2003-09-24  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-tabs-menu.c: (tab_removed_cb):

	Remove also from the group

2003-09-24  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/ephy-string.c: (ephy_string_double_underscores):
	* lib/ephy-string.h:
	* src/bookmarks/ephy-bookmark-action.c: (sync_bookmark_properties):
	* src/bookmarks/ephy-bookmarks-menu.c:
	(ephy_bookmarks_menu_rebuild):
	* src/bookmarks/ephy-topic-action.c: (create_menu_item),
	(sync_topic_properties):

	Do not use _ as accellerators in bookmarks menus.

2003-09-24  Marco Pesenti Gritti  <marco@gnome.org>
	    Dave Bordoley <bordoley@msu.edu>

	* src/ephy-tab.c: (ephy_tab_action_activate_cb), (ephy_tab_init):
	* src/ephy-tabs-menu.c: (tab_added_cb), (tab_removed_cb),
	(ephy_tabs_menu_set_window), (ephy_tabs_menu_set_property),
	(ephy_tabs_menu_class_init), (ephy_tabs_menu_init),
	(ephy_tabs_menu_clean), (ephy_tabs_menu_update):
	* src/ephy-window.c: (ephy_window_set_active_tab), (tab_added_cb),
	(tab_removed_cb), (tabs_reordered_cb):

	Use radio buttons for tabs menu. Do not recreate the
	action group every time but keep it synced.

	* src/ephy-notebook.c: (ephy_notebook_insert_page):

	Emit added signal before activating the page.

2003-09-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c: (sync_topic_properties):

	Fix topic labels.

2003-09-24  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-topic-action.c: (sync_topic_properties):

	Use Bookmarks instead of All as label

2003-09-24  Marco Pesenti Gritti  <marco@gnome.org>

	* src/session.c: (session_remove_window):

	Save session when windows are removed

2003-09-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_view_reload):

	Check for NULL return of gtk_get_current_event. Fixes bug #123063.

2003-09-23  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-automation.c: (ephy_automation_factory_new):
	* src/ephy-automation.h:
	* src/ephy-main.c: (main), (ephy_main_start):
	* src/ephy-shell.c: (ephy_shell_init), (ephy_shell_finalize):

	Refactor initialization/automation code. Now all the code
	used by the first instance is in ephy_shell, all the code
	used by other instances is in ephy_main.
	Unref the factory before quitting so we dont risk new
	automation object are created and used with a dead shell.

2003-09-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(keyword_node_show_popup_cb):

	Correct popup path; fixes context menu on topics.

2003-09-23  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):

	Swapped arguments in a func, was causing edit on the
	address instead of title.

2003-09-22  Christian Persch  <chpe@cvs.gnome.org>

	* epiphany.spec:

	Removed the spec file.

2003-09-22  Marco Pesenti Gritti  <marco@gnome.org>

	* data/epiphany.schemas.in:
	* src/bookmarks/ephy-bookmarks-editor.c: (set_columns_visibility),
	(cmd_view_columns), (get_details_value),
	(ephy_bookmarks_editor_construct):

	Complete view menu impl. There is a gtk bug that make it behave funnily
	and the schemas does not work correctly (though I cant see any problem
	with, maybe it's something borked here ...)

2003-09-21  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs.js:

	 Specify UTF-8 encoding in the keyword url.
2003-09-21  Marco Pesenti Gritti  <marco@gnome.org>

	* data/ui/epiphany-bookmark-editor-ui.xml:
	* lib/widgets/ephy-node-view.c: (ephy_node_view_add_column):
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_view_columns),
	(ephy_bookmarks_editor_construct):

	Implement a way to choose visible column in a menu. Not finished
	I need to persist state in a gconf key.

2003-09-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Depend on libxml2 >= 2.6.0; this should fix the bookmarks loss bug.

2003-09-21  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c: (ephy_file_save_xml):

	Fix check for return value of xmlSaveFileFormat, _maybe_
	fixing the bookmarks loss bug.

2003-09-20  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:

	Use gconf_client_notify. Fixed bug #112882.

2003-09-20  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-location-entry.c: (ephy_location_entry_init):

	Initialize completion visibility flag

2003-09-20  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-utils.c: (ephy_embed_utils_save):
	* embed/mozilla/mozilla-embed-single.cpp:
	* src/window-commands.c: (window_cmd_file_open):

	Fix directory selection persistence [bug #122780].

2003-09-20  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_class_init),
	(ephy_location_entry_activation_finished), (location_focus_out_cb),
	(ephy_location_entry_init), (ephy_location_ignore_prefix),
	(ephy_location_entry_activate_cb),
	(ephy_location_entry_set_location),
	(ephy_location_entry_get_location), (ephy_location_entry_activate),
	(ephy_location_entry_editable_changed_cb),
	(ephy_location_entry_clear_history):
	* lib/widgets/ephy-location-entry.h:
	* src/ephy-location-action.c: (location_url_activate_cb),
	(user_changed_cb), (sync_address), (connect_proxy),
	(disconnect_proxy), (ephy_location_action_set_property),
	(ephy_location_action_get_property),
	(ephy_location_action_activate), (ephy_location_action_class_init),
	(ephy_location_action_init), (ephy_location_action_finalize),
	(ephy_location_action_get_address),
	(ephy_location_action_set_address), (clear_history),
	(ephy_location_action_clear_history):
	* src/ephy-location-action.h:
	* src/toolbar.c: (toolbar_class_init), (toolbar_set_property),
	(sync_user_input_cb), (toolbar_setup_actions),
	(toolbar_set_window), (toolbar_init), (toolbar_finalize),
	(toolbar_new), (toolbar_activate_location), (toolbar_set_location),
	(toolbar_get_location), (toolbar_clear_location_history):
	* src/toolbar.h:
	* src/window-commands.c: (window_cmd_load_location):

	Remember the address in the location action, so we can restore it when we
	get a new proxy widget.
	Do some misc cleanups on location entry, removing finished signal; move
	activation from toolbar into location entry.

2003-09-20  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-tree-model-node.c:
	(ephy_tree_model_node_init):

	Remove spurious code.

2003-09-20  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Do not fail if prefs.js is corrupted.

	* src/ephy-window.c: (ephy_window_state_event_cb):

	Do not allow to edit toolbar in fs

2003-09-20  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-editable-toolbar.c: (drag_data_get_cb),
	(create_item):

	Do not set item sensitive when not in edit mode.
	s/egg-action/gtk-action, fix dnd.

2003-09-19  Christian Persch  <chpe@cvs.gnome.org>

	* idl/EphyAutomation.idl:
	* src/ephy-automation.c: (impl_ephy_automation_add_bookmark),
	(impl_ephy_automation_import_bookmarks),
	(ephy_automation_class_init):
	* src/ephy-main.c: (ephy_main_start):

	Add an --import-bookmarks command line option, and really implement
	the --add-bookmark one.

2003-09-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozRegisterComponents.cpp
	A embed/mozilla/GtkNSSDialogs.cpp
	A embed/mozilla/GtkNSSDialogs.h
	* embed/mozilla/Makefile.am
	* configure.in:

	Implement Gtk versions of the mozilla certificate prompts.
	Ported from galeon -- many thanks to Crispin for this excellent work!

2003-09-19  Marco Pesenti Gritti  <marco@gnome.org>

	* data/ui/Makefile.am:
	* data/ui/epiphany-bookmark-editor-ui.xml.in:
	* data/ui/epiphany-fs-toolbar.xml:
	* data/ui/epiphany-history-window-ui.xml.in:
	* data/ui/epiphany-toolbar.xml.in:
	* data/ui/epiphany-ui.xml.in:

	Do not use .in for not to translate files.

	* lib/egg/egg-editable-toolbar.c: (create_toolbar),
	(toolbars_clean), (egg_editable_toolbar_construct),
	(egg_editable_toolbar_set_model), (egg_editable_toolbar_set_merge):
	* lib/egg/egg-toolbars-model.c: (parse_toolbars):

	Handle change of properties correctly. Add a toolbar
	style property in the xml.

	* src/bookmarks/ephy-bookmark-properties.c:
	(ephy_bookmark_properties_init):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_init):
	* src/ephy-shell.c: (ephy_shell_init), (ephy_shell_finalize),
	(ephy_shell_get_toolbars_model):
	* src/ephy-shell.h:
	* src/ephy-window.c: (ephy_window_fullscreen),
	(ephy_window_unfullscreen):
	* src/toolbar.c: (bookmark_destroy_cb), (toolbar_ensure_action),
	(init_bookmarks_toolbar), (init_normal_mode),
	(init_fullscreen_mode), (window_state_event_cb),
	(toolbar_set_window), (toolbar_set_visibility):
	* src/toolbar.h:
	* src/window-commands.c: (toolbar_editor_response_cb),
	(window_cmd_edit_toolbar):

	Special, more compact, toolbar layout for fullscreen.

2003-09-18  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-favicon-action.c: (ephy_favicon_action_class_init):

	correct toolitem type

2003-09-18  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-encoding-menu.c: (ephy_encoding_menu_rebuild):

	Fix warning with new gtk

2003-09-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_init):
	* embed/ephy-history.c: (ephy_history_init):
	* lib/ephy-node-db.c: (ephy_node_db_load_from_file):
	* lib/ephy-node-db.h:
	* lib/ephy-state.c: (ensure_states):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init):

	Refactor node db loading functions into a common one in
	ephy-node-db. Switch to using xmlReader api.

2003-09-17  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ExternalProtocolService.cpp:

	Re-revert, use new gnome vfs show_url api.

	* configure.in:

	Depend on appropriate gnome-vfs version.
	        
2003-09-17  Marco Pesenti Gritti  <marco@gnome.org>

	* src/prefs-dialog.c: (setup_size_controls):

	11pt as default variable size

2003-09-17  Gediminas Paulauskas  <menesis@delfi.lt>

	* configure.in: Added lt to ALL_LINGUAS.

2003-09-17  Marco Pesenti Gritti  <marco@gnome.org>

	* data/epiphany.applications:

	add supported protocols

2003-09-16  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):
	* src/ephy-window.c: (setup_window):

	Adapt to changed GtkActionGroup api.

2003-09-16  Christopher James Lahey  <clahey@ximian.com>

	* src/epiphany.in: Added MOZ_PLUGIN_PATH default.  Added migration
	from galeon settings.

2003-09-16  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init_defaults):

	Really use the translated names of the default topics and bookmarks when
	creating them.

2003-09-16  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-new-bookmark.c: ephy_new_bookmark_construct):

	HIGgify dialogue title. Fixes bug 119710.

2003-09-15  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-window.c: (ephy_window_load_url):

	Activate the embed when necessary.

2003-09-15  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (drag_start), (drag_stop),
	(motion_notify_cb), (move_tab_to_another_notebook),
	(button_release_cb), (ephy_notebook_init):

	Enable dragging the tab from a single-tab window too.

	Correctly honour the drag threshold when starting a drag
	(ported from galeon, thanks go to Crispin).

2003-09-14  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs.js:

	Don't allow remote content to load stuff off of file:// uris.

2003-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/eggmarshalers.c: (_egg_marshal_OBJECT__VOID):
	* src/bookmarks/ephy-bookmarks-editor.c: (provide_favicon):
	* src/ephy-history-window.c: (provide_favicon):

	Exchange the newly-deprecated g_value_set_object_take_ownership() with
	g_value_take_object().

2003-09-12  Marco Pesenti Gritti  <marco@gnome.org>

	* data/glade/prefs-dialog.glade:

	Use a line to make more clear Language/Fonts relation.
	I had this idea from some time, having seen it in gnome-blog too,
	I thought to give it a try.

2003-09-11  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_finalize):
	* src/bookmarks/ephy-bookmarks-menu.c:
	(ephy_bookmarks_menu_finalize):
	* src/ephy-encoding-menu.c: (ephy_encoding_menu_finalize_impl):
	* src/ephy-favorites-menu.c: (ephy_favorites_menu_finalize):
	* src/ephy-history-window.c: (ephy_history_window_finalize):
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_finalize_impl):
	* src/ephy-window.c: (ephy_window_finalize):
	* src/toolbar.c: (toolbar_finalize):

	Remove not needed removal of groups of actions from ui
	merge (gtk fix).

2003-09-11  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_autocompletion_hide_alternatives),
	(insert_text_cb),
	(ephy_location_entry_autocompletion_window_hidden_cb):

	Make sure to remove show_timeout also when
	the window is still not visible.

2003-09-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_set_active_tab):

	Remove a double connect to signal.

2003-09-10  Marco Pesenti Gritti  <marco@gnome.org>

	* data/epiphany.schemas.in:
	* data/glade/prefs-dialog.glade:
	* lib/ephy-prefs.h:
	* src/ephy-notebook.c: (update_tabs_visibility),
	(ephy_notebook_init):
	* src/ephy-shell.c: (ephy_shell_new_tab):
	* src/ephy-tab.c: (open_link_in_new_tab):
	* src/ephy-window.c: (sync_tab_load_status),
	(ephy_window_set_active_tab), (tab_added_cb), (tab_removed_cb):
	* src/prefs-dialog.c:

	Make spinner status per tab.
	Remove the default to tab pref, use tab by default for middle
	click on links, add a always_show_tabs_bar hidden  pref.

2003-09-10  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Walloon (wa) to ALL_LINGUAS

2003-09-10  Marco Pesenti Gritti  <marco@gnome.org>

	* data/ui/epiphany-ui.xml.in:
	* src/ephy-favorites-menu.c: (ephy_favorites_menu_rebuild):

	Readd separators and dont use unnecessary placeholders.

2003-09-09  Marco Pesenti Gritti  <marco@gnome.org>

	* data/default-prefs.js:
	* data/glade/prefs-dialog.glade:
	* embed/ephy-embed-single.c: (ephy_embed_single_get_font_list):
	* embed/ephy-embed-single.h:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:
	* src/prefs-dialog.c: (setup_font_menu), (attach_fonts_signals),
	(setup_size_controls), (setup_fonts), (prefs_dialog_init):

	First important step in solving the fonts mess.
	Allow to select the variable width instead of
	families. Also use points instead of pixels.
	Set a minimum font size by default.

2003-09-09  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/Makefile.am:
	* lib/widgets/ephy-event-box.c:
	* lib/widgets/ephy-event-box.h:
	* src/ephy-favicon-action.c: (create_tool_item):
	* src/ephy-notebook.c: (build_tab_label):
	* src/statusbar.c: (create_statusbar_security_icon):

	gtk+ now supports invisible event boxes. Remove our custom implementation
	and use gtk+ api instead.

2003-09-08  Marco Pesenti Gritti  <marco@gnome.org>

	* po/POTFILES.in:

	add a missing file

2003-09-07  Marcel Telka  <marcel@telka.sk>

	* configure.in (ALL_LINGUAS): Added sk.

2003-09-07  Marco Pesenti Gritti  <marco@gnome.org>

	* data/Makefile.am:
	* data/default-prefs.js:
	* embed/mozilla/mozilla-embed-single.cpp:

	Galeon guys found a way to load prefs from
	a js file, without having them saved on it.
	So let's get it back.

2003-09-07  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/EphyWrapper.cpp:

	Set wrap around prop in mozilla interface

2003-09-06  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c: (ephy_bookmarks_menu_clean),
	(add_bookmarks_menu), (ephy_bookmarks_menu_rebuild),
	(ephy_bookmarks_menu_set_window),
	(ephy_bookmarks_menu_set_property), (ephy_bookmarks_menu_finalize):

	Port to the new gtk dynamic menus api

2003-09-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):
	* src/ephy-history-window.c: (ephy_history_window_construct):
	* src/ephy-window.c: (setup_window):
	* src/ppview-toolbar.c: (ppview_toolbar_set_window):

	Use gtk_action_group_set_translation_domain() to restore menu and popup
	i18n.

2003-09-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-favorites-menu.c: (ephy_favorites_menu_rebuild):
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_update):

	Adapt to new gtk_ui_manager_add_ui functionality.

2003-09-04  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Bump version to 1.1.0 and EPIPHANY_MAJOR to 1.1 on HEAD.

2003-09-04  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-editable-toolbar.c: (popup_toolbar_context_menu_cb):

	signature change in gtk

2003-09-04  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-node-view.c: (drag_data_received_cb):

	Use x,y only on drop, otherwise they are invalid. Damn
	that api suck.

2003-09-04  Marco Pesenti Gritti  <marco@gnome.org>

	* data/ui/epiphany-history-window-ui.xml.in:

	Fix a typo in the xml

	* src/bookmarks/ephy-bookmarks-editor.c:
	* src/ephy-history-window.c: (ephy_history_window_show_popup_cb):

	Change the popups path to fit new api

2003-09-04  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-node-view.c: (drag_motion_cb):

	Check if the target type match before highlighting
	the row and return success status.

2003-09-03  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-favorites-menu.c: (ephy_favorites_menu_rebuild):
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_update):

	Use the api for dynamic menus creation. Far cleaner.

2003-09-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (xbel_parse_single_bookmark),
	(xbel_parse_bookmark), (xbel_parse_folder), (xbel_parse_bookmarks),
	(ephy_bookmarks_import_xbel):

	Rewrote xbel bookmarks importer using xmlreader api. Should fix
	bug 120804.

	* configure.in:

	Require libxml2 >= 2.5.9

2003-09-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (add_bookmarks_source_menu),
	(cmd_bookmarks_import):

	Fix galeon bookmarks import for the case of there existing a subdirectory
	of ~/.galeon having a bookmarks.xbel file.

2003-09-03  Sanlig Badral  <badral@openmn.org>

	* configure.in: Added mn to ALL_LINGUAS

2003-09-02  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-nautilus-view.c: (ephy_nautilus_view_class_init):

	typo, bad chpe ;)

2003-09-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (downloader_view_get_type),
	(downloader_view_class_init), (downloader_view_init),
	(downloader_view_finalize), (downloader_view_new),
	(ensure_selected_row):
	* embed/downloader-view.h:
	* embed/ephy-embed-dialog.c: (ephy_embed_dialog_get_type),
	(ephy_embed_dialog_class_init), (ephy_embed_dialog_init),
	(ephy_embed_dialog_finalize), (ephy_embed_dialog_new),
	(ephy_embed_dialog_new_with_parent):
	* embed/ephy-embed-dialog.h:
	* embed/ephy-embed-event.c: (ephy_embed_event_class_init),
	(ephy_embed_event_init), (ephy_embed_event_finalize),
	(ephy_embed_event_new):
	* embed/ephy-embed-event.h:
	* embed/ephy-embed-persist.c: (ephy_embed_persist_class_init),
	(ephy_embed_persist_init), (ephy_embed_persist_finalize),
	(ephy_embed_persist_new):
	* embed/ephy-embed-persist.h:
	* embed/ephy-embed-popup-control.c:
	(ephy_embed_popup_control_class_init),
	(ephy_embed_popup_control_init),
	(ephy_embed_popup_control_finalize),
	(ephy_embed_popup_control_new),
	(ephy_embed_popup_control_get_event):
	* embed/ephy-embed-popup-control.h:
	* embed/ephy-embed-shell.c: (ephy_embed_shell_class_init),
	(ephy_embed_shell_init), (ephy_embed_shell_finalize),
	(ephy_embed_shell_new):
	* embed/ephy-embed-shell.h:
	* embed/ephy-embed-single.c: (ephy_embed_single_class_init),
	(ephy_embed_single_init):
	* embed/ephy-embed-single.h:
	* embed/ephy-embed-utils.c:
	(ephy_embed_utils_build_encodings_submenu):
	* embed/ephy-embed.c: (ephy_embed_base_init), (ephy_embed_new):
	* embed/ephy-embed.h:
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_class_init),
	(ephy_favicon_cache_new), (ephy_favicon_cache_init),
	(ephy_favicon_cache_finalize):
	* embed/ephy-favicon-cache.h:
	* embed/ephy-history.c: (ephy_history_class_init),
	(ephy_history_init), (ephy_history_finalize), (ephy_history_new):
	* embed/ephy-history.h:
	* embed/find-dialog.c: (find_dialog_get_type),
	(find_dialog_class_init), (sync_page_change), (sync_embed),
	(find_dialog_init), (find_dialog_finalize), (find_dialog_new),
	(find_dialog_new_with_parent), (find_dialog_go_next),
	(find_dialog_go_prev), (find_next_button_clicked_cb),
	(find_prev_button_clicked_cb), (find_entry_changed_cb),
	(find_check_toggled_cb):
	* embed/find-dialog.h:
	* embed/mozilla/ProgressListener.cpp:
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed-persist.h:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed-single.h:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/mozilla/mozilla-embed.h:
	* embed/print-dialog.c: (print_dialog_get_type),
	(print_dialog_class_init), (print_dialog_init), (print_dialog_new),
	(print_dialog_new_with_parent), (print_dialog_print),
	(print_dialog_preview), (print_preview_button_cb):
	* embed/print-dialog.h:
	* lib/ephy-autocompletion.c: (ephy_autocompletion_class_init),
	(ephy_autocompletion_init), (ephy_autocompletion_finalize_impl):
	* lib/ephy-dialog.c: (ephy_dialog_class_init), (ephy_dialog_init),
	(ephy_dialog_finalize), (ephy_dialog_new),
	(ephy_dialog_new_with_parent):
	* lib/ephy-dialog.h:
	* lib/ephy-node-db.c: (ephy_node_db_class_init),
	(ephy_node_db_init), (ephy_node_db_finalize):
	* lib/ephy-node-filter.c: (ephy_node_filter_class_init),
	(ephy_node_filter_init), (ephy_node_filter_finalize):
	* lib/widgets/ephy-arrow-toolbutton.c:
	(ephy_arrow_toolbutton_set_tooltip),
	(ephy_arrow_toolbutton_class_init), (ephy_arrow_toolbutton_init),
	(ephy_arrow_toolbutton_finalize):
	* lib/widgets/ephy-arrow-toolbutton.h:
	* lib/widgets/ephy-autocompletion-window.c:
	(ephy_autocompletion_window_class_init),
	(ephy_autocompletion_window_init),
	(ephy_autocompletion_window_finalize_impl):
	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_class_init), (ephy_location_entry_init),
	(ephy_location_entry_finalize_impl):
	* lib/widgets/ephy-node-view.c: (ephy_node_view_class_init),
	(ephy_node_view_finalize), (ephy_node_view_init):
	* lib/widgets/ephy-search-entry.c: (ephy_search_entry_class_init),
	(ephy_search_entry_init):
	* lib/widgets/ephy-spinner.c: (ephy_spinner_new),
	(ephy_spinner_init), (ephy_spinner_expose),
	(ephy_spinner_finalize), (ephy_spinner_class_init):
	* lib/widgets/ephy-spinner.h:
	* lib/widgets/ephy-tree-model-node.c:
	(ephy_tree_model_node_class_init), (ephy_tree_model_node_init),
	(ephy_tree_model_node_finalize):
	* lib/widgets/ephy-tree-model-sort.c:
	(ephy_tree_model_sort_class_init), (ephy_tree_model_sort_init),
	(ephy_tree_model_sort_finalize):
	* lib/widgets/ephy-zoom-action.c: (ephy_zoom_action_class_init),
	(ephy_zoom_action_init):
	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_init),
	(ephy_zoom_control_class_init), (ephy_zoom_control_finalize):
	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_finalize), (ephy_bookmark_action_class_init),
	(ephy_bookmark_action_init), (ephy_bookmark_action_new):
	* src/bookmarks/ephy-bookmark-properties.c:
	(ephy_bookmark_properties_class_init),
	(ephy_bookmark_properties_init):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_class_init),
	(ephy_bookmarks_editor_finalize), (ephy_bookmarks_editor_init):
	* src/bookmarks/ephy-bookmarks-editor.h:
	* src/bookmarks/ephy-bookmarks-menu.c:
	(ephy_bookmarks_menu_class_init), (ephy_bookmarks_menu_init),
	(ephy_bookmarks_menu_finalize):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_class_init),
	(update_favorites_menus), (ephy_bookmarks_init),
	(ephy_bookmarks_finalize), (ephy_bookmarks_new),
	(ephy_bookmarks_find_bookmark):
	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/ephy-new-bookmark.c:
	(ephy_new_bookmark_class_init), (ephy_new_bookmark_finalize),
	(ephy_new_bookmark_init):
	* src/bookmarks/ephy-topic-action.c:
	(ephy_topic_action_class_init), (ephy_topic_action_init):
	* src/bookmarks/ephy-topics-selector.c:
	(ephy_topics_selector_class_init), (ephy_topics_selector_init),
	(ephy_topics_selector_new):
	* src/bookmarks/ephy-topics-selector.h:
	* src/ephy-automation.c: (ephy_automation_factory),
	(impl_ephy_automation_loadurl), (impl_ephy_automation_quit),
	(impl_ephy_automation_load_session):
	* src/ephy-automation.h:
	* src/ephy-encoding-menu.c: (ephy_encoding_menu_class_init),
	(ephy_encoding_menu_init), (ephy_encoding_menu_finalize_impl):
	* src/ephy-favicon-action.c: (ephy_favicon_action_class_init),
	(ephy_favicon_action_init), (ephy_favicon_action_finalize):
	* src/ephy-favorites-menu.c: (ephy_favorites_menu_class_init),
	(ephy_favorites_menu_init), (ephy_favorites_menu_finalize):
	* src/ephy-history-window.c: (confirmation_dialog_response_cb),
	(ephy_history_window_class_init), (ephy_history_window_finalize),
	(ephy_history_window_init):
	* src/ephy-location-action.h:
	* src/ephy-nautilus-view.c: (ephy_nautilus_view_instance_init),
	(ephy_nautilus_view_finalize), (ephy_nautilus_view_class_init):
	* src/ephy-nautilus-view.h:
	* src/ephy-navigation-action.c:
	(ephy_navigation_action_class_init), (ephy_navigation_action_init):
	* src/ephy-notebook.c: (ephy_notebook_class_init),
	(ephy_notebook_new), (notebook_drag_data_received_cb),
	(ephy_notebook_init), (ephy_notebook_finalize),
	(ephy_notebook_insert_page), (ephy_notebook_remove_page):
	* src/ephy-notebook.h:
	* src/ephy-plugin.h:
	* src/ephy-shell.c: (ephy_shell_get_type), (ephy_shell_class_init),
	(ephy_shell_init), (ephy_shell_finalize), (ephy_shell_new),
	(ephy_shell_get_active_window):
	* src/ephy-shell.h:
	* src/ephy-spinner-action.c: (ephy_spinner_action_class_init),
	(ephy_spinner_action_init):
	* src/ephy-tab.c: (ephy_tab_action_activate_cb),
	(ephy_tab_class_init), (ephy_tab_finalize), (ephy_tab_new),
	(ephy_tab_set_load_status), (ephy_tab_get_load_status),
	(ephy_tab_set_link_message), (ephy_tab_get_link_message),
	(ephy_tab_get_embed), (ephy_tab_set_window), (ephy_tab_get_window),
	(ephy_tab_get_size), (ephy_tab_get_visibility),
	(ephy_tab_set_visibility), (ephy_tab_set_icon_address),
	(ephy_tab_get_icon_address), (ephy_tab_net_state_cb),
	(ephy_tab_destroy_brsr_cb), (ephy_tab_dom_mouse_click_cb),
	(ephy_tab_init), (ephy_tab_set_load_percent),
	(ephy_tab_get_load_percent), (ephy_tab_get_navigation_flags),
	(ephy_tab_get_status_message), (ephy_tab_set_title),
	(ephy_tab_get_title), (ephy_tab_get_location),
	(ephy_tab_set_location), (ephy_tab_set_security_level),
	(ephy_tab_get_security_level), (ephy_tab_set_zoom),
	(ephy_tab_get_zoom), (ephy_tab_get_action):
	* src/ephy-tab.h:
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_class_init),
	(ephy_tabs_menu_init), (ephy_tabs_menu_finalize_impl):
	* src/ephy-tabs-menu.h:
	* src/ephy-toolbars-model.c: (ephy_toolbars_model_class_init),
	(ephy_toolbars_model_init), (ephy_toolbars_model_finalize),
	(ephy_toolbars_model_new):
	* src/ephy-toolbars-model.h:
	* src/ephy-window.c: (remove_from_session),
	(ephy_window_class_init), (sync_tab_load_progress),
	(sync_tab_load_status), (sync_tab_message), (sync_tab_security),
	(sync_tab_visibility), (tab_context_menu_cb),
	(ephy_window_set_active_tab), (tab_added_cb), (tab_removed_cb),
	(tab_detached_cb), (ephy_window_init), (ephy_window_finalize),
	(ephy_window_new), (ephy_window_get_notebook),
	(ephy_window_add_tab), (real_get_active_tab),
	(ephy_window_remove_tab), (ephy_window_load_url),
	(ephy_window_update_control), (ephy_window_get_active_tab),
	(ephy_window_get_active_embed), (ephy_window_get_tabs),
	(ephy_window_notebook_switch_page_cb), (ephy_window_set_zoom):
	* src/ephy-window.h:
	* src/language-editor.c: (language_editor_get_type),
	(language_editor_class_init), (language_editor_init),
	(language_editor_new):
	* src/language-editor.h:
	* src/pdm-dialog.c: (pdm_dialog_get_type), (pdm_dialog_class_init),
	(pdm_dialog_init), (pdm_dialog_finalize), (pdm_dialog_new),
	(pdm_dialog_response_cb):
	* src/pdm-dialog.h:
	* src/popup-commands.c: (popup_cmd_copy_link_address):
	* src/ppview-toolbar.c: (ppview_toolbar_get_type),
	(ppview_toolbar_class_init), (ppview_toolbar_set_property),
	(ppview_toolbar_get_property), (ppview_toolbar_init),
	(ppview_toolbar_finalize), (ppview_toolbar_new),
	(toolbar_cmd_ppv_goto_first), (toolbar_cmd_ppv_go_back),
	(toolbar_cmd_ppv_go_forward), (toolbar_cmd_ppv_close):
	* src/ppview-toolbar.h:
	* src/prefs-dialog.c: (prefs_dialog_get_type), (prefs_dialog_new),
	(prefs_dialog_class_init), (prefs_dialog_finalize),
	(autodetect_encoding_menu_changed_cb), (language_menu_changed_cb),
	(prefs_dialog_init), (fonts_language_optionmenu_changed_cb),
	(prefs_language_more_button_clicked_cb):
	* src/prefs-dialog.h:
	* src/session.c: (session_class_init), (session_init),
	(session_dispose), (session_finalize), (session_new),
	(session_get_windows):
	* src/session.h:
	* src/statusbar.c: (statusbar_class_init), (statusbar_init),
	(statusbar_finalize), (statusbar_new):
	* src/statusbar.h:
	* src/toolbar.c: (toolbar_class_init), (toolbar_set_property),
	(toolbar_get_property), (action_request_cb),
	(location_user_changed_cb), (toolbar_init), (toolbar_finalize),
	(toolbar_new):
	* src/toolbar.h:

	Change object macros: Consistently name types EPHY_TYPE_X,
	check macros EPHY_IS_X[_CLASS] instead of IS_EPHY_X[_CLASS],
	and replace the obsolete GTK_CHECK_* macros with G_TYPE_CHECK_*.

	Use gobject instance private data, and remove unnecessary type checks
	in class implementations.

2003-09-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/ppview-toolbar.c:

	Fix ui xml, make ppview toolbar work again.

2003-09-01  Marius Andreiana <marius spam galuna.ro>

	* configure.in: added 'ro' to ALL_LINGUAS

2003-09-01  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c: (ephy_bookmarks_menu_clean):
	* src/ephy-favorites-menu.c: (ephy_favorites_menu_clean):
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_clean):

	Some more missing ensure update.

2003-09-01  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):
	* src/bookmarks/ephy-bookmarks-menu.c: (ephy_bookmarks_menu_clean):
	* src/ephy-favorites-menu.c: (ephy_favorites_menu_clean):
	* src/ephy-history-window.c: (ephy_history_window_construct):
	* src/ephy-window.c: (setup_window):
	* src/toolbar.c: (toolbar_setup_actions):

	Readd is_important and ensure_update, gtk now support them.

2003-08-31  Marco Pesenti Gritti  <marco@gnome.org>

	* data/ui/epiphany-history-window-ui.xml.in:
	* data/ui/epiphany-ui.xml.in:
	* lib/widgets/ephy-node-view.c: (get_selection):
	* src/bookmarks/ephy-bookmarks-editor.c: (add_widget),
	(ephy_bookmarks_editor_construct):
	* src/bookmarks/ephy-bookmarks-menu.c: (add_bookmarks_menu),
	(ephy_bookmarks_menu_rebuild):
	* src/ephy-encoding-menu.c: (build_group), (build_encoding),
	(ephy_encoding_menu_rebuild):
	* src/ephy-favorites-menu.c: (ephy_favorites_menu_rebuild):
	* src/ephy-history-window.c: (add_widget),
	(ephy_history_window_construct):
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_clean),
	(ephy_tabs_menu_update):
	* src/ephy-window.c: (setup_window), (ephy_window_init):

	Fix problems with EphyNodeView, bookmarks and history
	dialogs and update dynamic menus to the new xml format.

2003-08-31  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-window.c: (add_widget), (update_chromes_visibility),
	(setup_window), (show_embed_popup):
	* src/toolbar.c: (toolbar_setup_actions):

	Get it running !

2003-08-31  Marco Pesenti Gritti  <marco@gnome.org>

	* data/ui/epiphany-bookmark-editor-ui.xml.in:
	* data/ui/epiphany-history-window-ui.xml.in:
	* data/ui/epiphany-ui.xml.in:
	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_sync_label):
	* src/bookmarks/ephy-topic-action.c:
	(ephy_topic_action_sync_label):
	* src/ephy-window.c: (update_chromes_visibility), (setup_window):

	More port fixes

2003-08-30  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-encoding-menu.c: (ephy_encoding_menu_verb_cb):
	* src/ephy-favicon-action.c: (create_tool_item):
	* src/ephy-favicon-action.h:
	* src/ephy-favorites-menu.c: (ephy_favorites_menu_clean):
	* src/ephy-go-action.c: (create_tool_item), (create_menu_proxy_cb):
	* src/ephy-go-action.h:
	* src/ephy-history-window.c: (ephy_history_window_construct):
	* src/ephy-location-action.c: (ephy_location_action_get_widget):
	* src/ephy-location-action.h:
	* src/ephy-navigation-action.c:
	* src/ephy-navigation-action.h:
	* src/ephy-spinner-action.c: (create_tool_item),
	(item_parent_set_cb):
	* src/ephy-spinner-action.h:
	* src/ephy-tab.c: (ephy_tab_init):
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_clean),
	(tab_set_action_accelerator), (ephy_tabs_menu_update):
	* src/ephy-window.c: (ephy_window_state_event_cb), (setup_window),
	(update_layout_toggles):
	* src/popup-commands.c:
	* src/ppview-toolbar.c: (ppview_toolbar_set_window),
	(ppview_toolbar_init):
	* src/toolbar.c: (toolbar_activate_location):
	* src/window-commands.c: (window_cmd_view_bookmarks_bar),
	(window_cmd_view_toolbar), (window_cmd_view_statusbar),
	(window_cmd_view_fullscreen):

	Complete gtk 2.3 port. It doesnt run here but it could be
	my env.

2003-08-29  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in:
	* data/ui/epiphany-bookmark-editor-ui.xml.in:
	* data/ui/epiphany-history-window-ui.xml.in:
	* data/ui/epiphany-ui.xml.in:
	* lib/egg/Makefile.am:
	* lib/egg/egg-action-group.c:
	* lib/egg/egg-action-group.h:
	* lib/egg/egg-action.c:
	* lib/egg/egg-action.h:
	* lib/egg/egg-editable-toolbar.c: (find_action),
	(drag_data_received_cb), (drag_data_delete_cb), (drag_data_get_cb),
	(create_toolbar), (set_item_drag_source), (create_item),
	(toolbar_changed_cb), (item_added_cb), (item_removed_cb),
	(egg_editable_toolbar_construct), (egg_editable_toolbar_set_merge),
	(egg_editable_toolbar_class_init), (egg_editable_toolbar_new),
	(egg_editable_toolbar_set_edit_mode),
	(_egg_editable_toolbar_new_separator_image):
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-menu-merge.c:
	* lib/egg/egg-menu-merge.h:
	* lib/egg/egg-menu.h:
	* lib/egg/egg-radio-action.c:
	* lib/egg/egg-radio-action.h:
	* lib/egg/egg-toggle-action.c:
	* lib/egg/egg-toggle-action.h:
	* lib/egg/egg-toolbar-editor.c: (find_action),
	(egg_toolbar_editor_set_merge), (egg_toolbar_editor_class_init),
	(egg_toolbar_editor_new), (editor_drag_data_received_cb),
	(editor_drag_data_delete_cb), (drag_data_get_cb),
	(update_editor_sheet), (egg_toolbar_editor_add_action),
	(model_has_action), (egg_toolbar_editor_load_actions):
	* lib/egg/egg-toolbar-editor.h:
	* lib/egg/egg-toolbars-model.c:
	* lib/egg/eggmarshalers.c:
	* lib/egg/eggradiotoolbutton.c:
	* lib/egg/eggradiotoolbutton.h:
	* lib/egg/eggseparatortoolitem.c:
	* lib/egg/eggseparatortoolitem.h:
	* lib/egg/eggtoggletoolbutton.c:
	* lib/egg/eggtoggletoolbutton.h:
	* lib/egg/eggtoolbar.c:
	* lib/egg/eggtoolbar.h:
	* lib/egg/eggtoolbutton.c:
	* lib/egg/eggtoolbutton.h:
	* lib/egg/eggtoolitem.c:
	* lib/egg/eggtoolitem.h:
	* lib/egg/eggtreemodelfilter.c:
	* lib/egg/eggtreemodelfilter.h:
	* lib/egg/prop-editor.h:
	* lib/widgets/ephy-arrow-toolbutton.c:
	(ephy_arrow_toolbutton_get_type),
	(ephy_arrow_toolbutton_set_tooltip),
	(ephy_arrow_toolbutton_class_init), (ephy_arrow_toolbutton_init):
	* lib/widgets/ephy-arrow-toolbutton.h:
	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_get_type), (ephy_location_entry_set_tooltip),
	(ephy_location_entry_class_init), (ephy_location_entry_init):
	* lib/widgets/ephy-location-entry.h:
	* lib/widgets/ephy-node-view.c: (get_node_from_path),
	(ephy_node_view_row_activated_cb), (ephy_node_view_construct),
	(cell_renderer_edited), (get_selection),
	(ephy_node_view_get_selection), (ephy_node_view_remove),
	(ephy_node_view_select_node):
	* lib/widgets/ephy-zoom-action.c: (ephy_zoom_action_get_type),
	(sync_zoom_cb), (connect_proxy), (ephy_zoom_action_class_init):
	* lib/widgets/ephy-zoom-action.h:
	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_get_type),
	(ephy_zoom_control_create_menu_proxy),
	(ephy_zoom_control_set_tooltip), (ephy_zoom_control_class_init):
	* lib/widgets/ephy-zoom-control.h:
	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_get_type), (create_tool_item),
	(ephy_bookmark_action_sync_smart_url),
	(ephy_bookmark_action_sync_icon),
	(ephy_bookmark_action_sync_label), (activate_cb),
	(create_menu_proxy), (connect_proxy),
	(ephy_bookmark_action_class_init), (sync_bookmark_properties),
	(bookmarks_child_changed_cb), (ephy_bookmark_action_new):
	* src/bookmarks/ephy-bookmark-action.h:
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_add_topic),
	(cmd_close), (cmd_rename), (cmd_show_in_bookmarks_bar),
	(cmd_open_bookmarks_in_tabs), (cmd_open_bookmarks_in_browser),
	(cmd_delete), (cmd_bookmarks_import), (cmd_bookmark_properties),
	(cmd_cut), (cmd_copy), (cmd_paste), (cmd_select_all),
	(cmd_help_contents), (ephy_bookmarks_editor_finalize),
	(ephy_bookmarks_editor_update_menu),
	(ephy_bookmarks_editor_show_popup_cb),
	(keyword_node_show_popup_cb), (add_widget),
	(ephy_bookmarks_editor_construct):
	* src/bookmarks/ephy-bookmarks-menu.c: (ephy_bookmarks_menu_clean),
	(go_location_cb), (add_bookmarks_menu),
	(ephy_bookmarks_menu_rebuild), (ephy_bookmarks_menu_finalize):
	* src/bookmarks/ephy-topic-action.c: (ephy_topic_action_get_type),
	(create_tool_item), (menu_activate_cb),
	(ephy_topic_action_sync_label), (create_menu_item),
	(create_menu_proxy), (connect_proxy),
	(ephy_topic_action_class_init), (sync_topic_properties),
	(topic_child_changed_cb), (ephy_topic_action_new):
	* src/bookmarks/ephy-topic-action.h:
	* src/ephy-encoding-menu.c: (ephy_encoding_menu_finalize_impl),
	(ephy_encoding_menu_verb_cb), (build_group), (build_encoding),
	(ephy_encoding_menu_rebuild):
	* src/ephy-favicon-action.c: (ephy_favicon_action_get_type),
	(create_tool_item), (ephy_favicon_action_sync_icon),
	(connect_proxy), (ephy_favicon_action_class_init):
	* src/ephy-favicon-action.h:
	* src/ephy-favorites-menu.c: (ephy_favorites_menu_clean),
	(go_location_cb), (ephy_favorites_menu_rebuild),
	(ephy_favorites_menu_finalize):
	* src/ephy-go-action.c: (ephy_go_action_get_type), (activate_cb),
	(create_tool_item), (create_menu_item), (create_menu_proxy_cb),
	(connect_proxy), (ephy_go_action_class_init):
	* src/ephy-go-action.h:
	* src/ephy-history-window.c: (cmd_clear), (cmd_close),
	(cmd_open_bookmarks_in_tabs), (cmd_open_bookmarks_in_browser),
	(cmd_cut), (cmd_copy), (cmd_paste), (cmd_select_all), (cmd_delete),
	(cmd_bookmark_link), (cmd_help_contents),
	(ephy_history_window_finalize), (ephy_history_window_update_menu),
	(ephy_history_window_show_popup_cb), (add_widget),
	(ephy_history_window_construct):
	* src/ephy-location-action.c: (ephy_location_action_get_type),
	(connect_proxy), (ephy_location_action_class_init),
	(ephy_location_action_get_widget):
	* src/ephy-location-action.h:
	* src/ephy-navigation-action.c: (ephy_navigation_action_get_type),
	(connect_proxy), (ephy_navigation_action_class_init):
	* src/ephy-navigation-action.h:
	* src/ephy-spinner-action.c: (ephy_spinner_action_get_type),
	(ephy_spinner_action_sync_throbbing), (create_tool_item),
	(toolbar_style_sync), (item_parent_set_cb), (connect_proxy),
	(ephy_spinner_action_class_init):
	* src/ephy-spinner-action.h:
	* src/ephy-tab.c: (ephy_tab_action_activate_cb), (ephy_tab_init):
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_clean),
	(ephy_tabs_menu_finalize_impl), (tab_set_action_accelerator),
	(ephy_tabs_menu_update):
	* src/ephy-window.c: (add_widget), (menu_activate_cb),
	(ephy_window_state_event_cb), (setup_window),
	(sync_tab_navigation), (sync_tab_stop), (sync_tab_zoom),
	(show_embed_popup), (update_tabs_menu_sensitivity),
	(ephy_window_finalize), (update_layout_toggles):
	* src/popup-commands.c: (popup_cmd_link_in_new_window),
	(popup_cmd_link_in_new_tab), (popup_cmd_image_in_new_tab),
	(popup_cmd_image_in_new_window), (popup_cmd_bookmark_link),
	(popup_cmd_frame_in_new_tab), (popup_cmd_frame_in_new_window),
	(popup_cmd_copy_link_address), (save_property_url),
	(popup_cmd_open_link), (popup_cmd_download_link),
	(popup_cmd_save_image_as), (popup_cmd_set_image_as_background),
	(popup_cmd_copy_image_location), (popup_cmd_save_background_as),
	(popup_cmd_open_frame), (popup_cmd_open_image):
	* src/popup-commands.h:
	* src/ppview-toolbar.c: (toolbar_update_sensitivity),
	(ppview_toolbar_set_window), (ppview_toolbar_finalize),
	(toolbar_cmd_ppv_goto_first), (toolbar_cmd_ppv_goto_last),
	(toolbar_cmd_ppv_go_back), (toolbar_cmd_ppv_go_forward),
	(toolbar_cmd_ppv_close):
	* src/toolbar.c: (go_location_cb), (zoom_to_level_cb),
	(bookmark_destroy_cb), (toolbar_ensure_action),
	(toolbar_setup_actions), (get_location_entry),
	(toolbar_set_window), (toolbar_finalize), (toolbar_spinner_start),
	(toolbar_spinner_stop), (toolbar_update_favicon),
	(toolbar_update_navigation_actions), (toolbar_update_zoom):
	* src/window-commands.c: (window_cmd_edit_find),
	(window_cmd_file_print), (window_cmd_go_back), (window_cmd_go_up),
	(window_cmd_file_send_to), (window_cmd_go_forward),
	(window_cmd_go_home), (window_cmd_go_location),
	(window_cmd_view_stop), (window_cmd_view_reload),
	(window_cmd_file_new_window), (window_cmd_file_new_tab),
	(window_cmd_go_bookmarks), (window_cmd_file_bookmark_page),
	(window_cmd_file_open), (window_cmd_file_save_as),
	(window_cmd_file_close_window), (window_cmd_edit_cut),
	(window_cmd_edit_copy), (window_cmd_edit_paste),
	(window_cmd_edit_select_all), (window_cmd_edit_find_next),
	(window_cmd_edit_find_prev), (window_cmd_view_bookmarks_bar),
	(window_cmd_view_toolbar), (window_cmd_view_statusbar),
	(window_cmd_view_fullscreen), (window_cmd_view_zoom_in),
	(window_cmd_view_zoom_out), (window_cmd_view_zoom_normal),
	(window_cmd_view_page_source), (window_cmd_go_history),
	(window_cmd_edit_personal_data), (window_cmd_edit_prefs),
	(window_cmd_edit_toolbar), (window_cmd_help_contents),
	(window_cmd_help_about), (window_cmd_tabs_next),
	(window_cmd_tabs_previous), (window_cmd_tabs_move_left),
	(window_cmd_tabs_move_right), (window_cmd_tabs_detach),
	(window_cmd_load_location):
	* src/window-commands.h:

	Part of the gtk 2.3 port. Will finish tomorrow, this break
	build for now, sorry. If you want a working epiphany
	use gnome-2-4 branch.

2003-08-24  Marco Pesenti Gritti  <marco@gnome.org>

	* Branched for 2.4

2003-08-09  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added Albanian "sq" to ALL_LINGUAS
	
2003-08-28  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" (Tamil) to the languages' list.

2003-08-25  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in: Added "it" (Italian) to ALL_LINGUAS.

2003-08-24  Marco Pesenti Gritti  <marco@gnome.org>

	* NEWS:
	* configure.in:

	0.9.2

2003-08-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_load):

	Fix the logic in the version-mismatch case.

2003-08-24  Anders Carlsson  <andersca@gnome.org>

	* src/ephy-spinner-action.c (toolbar_style_sync): Use a 
	small spinner for all styles except text under icons.

2003-08-24  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_remove):

	Convert erroneous g_return_if_fail into a simple conditional return.

2003-08-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyWrapper.cpp: (SetZoomOnDocshell):

	Add extra bogosity check, ported from galeon.

2003-08-23  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in:
	* embed/mozilla/Makefile.am:

	Use WARN_CXXFLAGS for mozilla code. You need to
	update gnome-common.

2003-08-23  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in:

	0.9.1

	* src/Makefile.am:

	Do not distribute generated CORBA files

2003-08-22  Marco Pesenti Gritti  <marco@gnome.org>

	* NEWS:
	* configure.in:

	Update for 0.9.0

2003-08-22  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-node-view.c: (compare_string_values),
	(ephy_node_view_sort_func):
	* src/bookmarks/ephy-bookmarks-menu.c: (sort_topics),
	(sort_bookmarks):
	* src/bookmarks/ephy-topic-action.c: (sort_bookmarks),
	(sort_topics):

	Make it NULL safe

	* src/ephy-toolbars-model.c: (impl_get_item_id):

	When creating bookmark, if the title is unknown, use untitled.

2003-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c: (drag_data_received_cb):

	Fix function signature, it's void instead of gboolean.
	Fix a logic error.

2003-08-20  Samúel Jón Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" to ALL_LINGUAS
	
2003-08-20  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/mozilla-embed-persist.cpp:

	Overwrite existing files. (We already warn the user
	about it).

2003-08-20  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-node-view.c: (get_node_from_path),
	(gtk_tree_view_vertical_autoscroll), (scroll_timeout),
	(remove_scroll_timeout), (set_drag_dest_row),
	(clear_drag_dest_row), (get_drag_data), (free_drag_data),
	(drag_motion_cb), (drag_leave_cb), (drag_data_received_cb),
	(drag_drop_cb), (ephy_node_view_enable_drag_dest):

	Fix drag dest implementation getting some code from nautilus.

2003-08-20  Paul Duffy <dubhthach@Frink.nuigalway.ie>

        * configure.in: Added "ga" to ALL_LINGUAS

2003-08-20  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/downloader-view.c: (delete_pending_foreach):

	Do not try to remove completed downloads, fixes a crash.

2003-08-19  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-node-view.c: (drag_motion_cb), (drag_drop_cb),
	(drag_data_received_cb), (button_event_modifies_selection),
	(did_not_drag), (button_release_cb), (motion_notify_cb),
	(ephy_node_view_button_press_cb):

	Stop signals only when necessary on drag dest custom
	implementation.
	Make click on multiple selection deselect all but the
	clicked element.

2003-08-19  Marco Pesenti Gritti  <marco@.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_activate):
	* embed/ephy-embed.h:
	* embed/mozilla/mozilla-embed.cpp:

	Add activate api.

	* src/window-commands.c: (window_cmd_go_back), (window_cmd_go_up),
	(window_cmd_go_forward), (window_cmd_view_stop),
	(window_cmd_view_reload):

	Activate on navigation commands. It seem like a better
	beahvior and it avoid some mozilla focus craziness.

2003-08-17  Marco Pesenti Gritti  <marco@.gnome.org>

	* embed/mozilla/EphyWrapper.cpp:
	* embed/mozilla/EphyWrapper.h:

	Remove unused code

2003-08-17  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-menu-merge.c: (update_node):

	Removed useless code (debug leftovers).

2003-08-17  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-action.c: (tool_button_new), (tool_button_get_label),
	(tool_button_get_icon), (connect_proxy), (egg_action_disconnect_proxy):

	Remove unused variables and functions.

2003-08-17  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c:

	Add missing include for unlink().

2003-08-16  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "hi" to ALL_LINGUAS.

2003-08-16  Tõivo Leedjärv  <toivo@linux.ee>

	* configure.in: Added et to ALL_LINGUAS.

2003-08-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozillaPrivate.cpp: (MozillaCollatePrintSettings):

	Fix bug #119818.

2003-08-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (print_get_info):

	Expand initial ~ in file name to print to.

2003-08-14  Marco Pesenti Gritti  <marco@.gnome.org>

	* embed/mozilla/EphyWrapper.cpp:
	* src/ppview-toolbar.c: (toolbar_cmd_ppv_close):

	Make print preview exit code safer.

2003-08-14  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c: (impl_add_item):

	Fix compiler warnings.

2003-08-13  Xan Lopez  <xan@masilla.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(cmd_open_bookmarks_in_browser):

	Fix opening bookmarks in new window, there was a missing flag.

2003-08-13  Marco Pesenti Gritti  <marco@.gnome.org>

	* embed/mozilla/EphyWrapper.cpp:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/PrintProgressListener.cpp:
	* embed/mozilla/PrintProgressListener.h:

	Remove an unused progress listener. Looks like
	galeon 1 code ?!

2003-08-13  Marco Pesenti Gritti  <marco@.gnome.org>

	* src/ephy-window.c: (show_embed_popup):

	Do not show popups on print preview.

	* src/ppview-toolbar.c: (ppview_toolbar_set_window),
	(ppview_toolbar_init), (toolbar_cmd_ppv_goto_first),
	(toolbar_cmd_ppv_goto_last), (clamp_page_limits),
	(toolbar_cmd_ppv_go_back), (toolbar_cmd_ppv_go_forward):

	Use only known to work api to navigate.

2003-08-13  Marco Pesenti Gritti  <marco@.gnome.org>

	* AUTHORS:
	* HACKING:
	* src/window-commands.c: (window_cmd_help_about):

	Update my mail address

2003-08-11  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-action.c: (egg_action_class_init), (egg_action_init),
	(egg_action_set_property), (egg_action_get_property),
	(egg_action_sync_important), (connect_proxy):
	* lib/egg/egg-action.h:
	* lib/egg/eggtoolbar.c: (toolbar_item_is_homogeneous),
	(egg_toolbar_size_request), (get_item_size):
	* lib/egg/eggtoolbutton.c: (egg_tool_button_property_notify),
	(egg_tool_button_class_init), (egg_tool_button_construct_contents):
	* lib/egg/eggtoolitem.c: (egg_tool_item_class_init),
	(egg_tool_item_get_is_important), (egg_tool_item_set_is_important),
	(egg_tool_item_set_property), (egg_tool_item_get_property):
	* lib/egg/eggtoolitem.h:
	* src/ephy-window.c: (setup_window):
	* src/toolbar.c: (toolbar_setup_actions):

	Respect priority text preference. Ported from gtk.

2003-08-11  Marco Pesenti Gritti  <marco@it.gnome.org>

	* NEWS:
	* configure.in:

	0.8.4

2003-08-11  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-embed-prefs.h:
	* embed/mozilla/mozilla-notifiers.cpp:

	Respect system pref about no proxy for.

2003-08-11  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_finalize),
	(ephy_node_view_enable_drag_dest), (selection_foreach),
	(get_selection_refs), (ref_list_free), (stop_drag_check),
	(drag_data_get_cb), (button_release_cb), (motion_notify_cb),
	(button_event_modifies_selection),
	(ephy_node_view_button_press_cb), (ephy_node_view_init),
	(ephy_node_view_enable_drag_source):

	Fix multiple rows dnd problems stealing some Nautilus code.

2003-08-10  Xan Lopez  <xan@masilla.org>

	* configure.in:
	* embed/mozilla/ContentHandler.cpp:

	Sync with Moz HEAD.

2003-08-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* NEWS:
	* configure.in:

	0.8.3

2003-08-08  Christian Persch  <chp@cvs.gnome.org>

	* embed/downloader-view.c: (downloader_view_add_download):

	Fix mem leak.

2003-08-08  Christian Persch  <chp@cvs.gnome.org>

	* src/bookmarks/ephy-topics-selector: (topic_toggled), (topic_clicked),
	(topic_key_pressed):

	Fix mem leak.

2003-08-08  Christian Persch  <chp@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c: (cell_renderer_edited):

	Fix mem leak.

2003-08-08  Christian Persch  <chp@cvs.gnome.org>

	* lib/egg/eggtreemodelfilter.c: (egg_tree_model_filter_row_inserted):

	Fix mem leaks.

2003-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (print_free_info), (print_get_info):

	Fix mem leaks.

2003-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/find-dialog.c: (set_properties):

	Fix mem leak.

2003-08-08  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-toolbars-model.c:
	* lib/egg/egg-toolbars-model.h:

	Update

	* src/ephy-toolbars-model.c: (get_toolbar_and_item_pos),
	(impl_add_item), (ephy_toolbars_model_class_init),
	(get_toolbar_pos):

	Do not add duped bookmarks to toolbars

2003-08-08  Xan Lopez  <xan@masilla.org>

	* embed/downloader-view.c: (downloader_view_update_details),
	(downloader_view_set_download_info):

	s/KB/kB/

2003-08-08  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	When the embed is not initialized return about:blank
	as address.

2003-08-07  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-tab.c: (build_load_percent):

	Clamp the values to 0/100, mozilla sometimes report
	more done requests than total requests, but their
	progress widget clamp them.

2003-08-07  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:

	Dont set font prefs in mozilla when they are unset in
	gconf.

2003-08-07  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/Makefile.am:
	* lib/egg/egg-accel-dialog.c:
	* lib/egg/egg-accel-dialog.h:
	* lib/egg/egg-menu.h:

	Remove unused code

2003-08-07  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:

	Use ever eel_gconf to get values, otherwise we
	ignore he schemas value.
	Make all notifiers NULL safe.

2003-08-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-nodebook.c: (notebook_drag_data_received_cb):
	* src/ephy-shell.c: (ephy_shell_new_tab):

	Correct insertion order of new tabs.

2003-08-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.c: (load_homepage):
	* src/window-commands.c: (window_cmd_go_home):

	Fix blank page loading.

	* src/ephy-shell.c: (ephy_shell_new_tab):

	Fix new tab positioning.

2003-08-05  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-window.c: (show_embed_popup):

	Disable clipboard context menu. No way to make
	it work correctly for 1.0.

2003-08-05  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_to_xml):
	* lib/egg/eggtoolbar.c: (egg_toolbar_finalize):

        Fix mem leaks.

2003-08-05  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-arrow-toolbutton.c:

	Correct ref-counting.

2003-08-05  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:
	* src/popup-commands.c: (popup_cmd_bookmark_link):

	Use link text as bookmark title when no title
	is specified.

2003-08-04  Metin AMiroff  <metin@karegen.com>

	* configure.in: Added az to all linguas.

2003-08-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-history.c: (ephy_history_add_host):

	Compare the scheme to "file", not the entire url.

2003-08-04  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-autocompletion.c: (ephy_autocompletion_finalize_impl):

	Fix mem leak, patch from galeon.

2003-08-03  Marco Pesenti Gritti  <marco@it.gnome.org>

	* NEWS:
	* configure.in:
	* embed/mozilla/GlobalHistory.cpp:

	0.8.2. Drop mozilla 1.3 compatibility.

2003-08-02  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-notebook.c: (find_tab_num_at_pos), (button_press_cb):

	Work around for a gtk issue. Do not assert if a click outside the notebook
	is reported in button_press, just ignore.

2003-08-02  Christian Persch

	* src/ephy-encodings-menu.c: (build_group):

	Fix ui xml string.

	* src/ephy-tabs-menu.c: (ephy_tabs_menu_update):

	Fix mem leak.

	* src/ephy-window.c: (remove_from_session), (ephy_window_destroy),
	(ephy_window_finalize):
	* src/session.h:
	* src/session.c: (session_class_init), (session_remove_window):

	Move up the removal of the window from the session to when it's still
	valid and non-finalised. Include the window as parameter in the
	close signal of the session.

2003-08-02  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c:
	(ephy_bookmarks_menu_rebuild):
	* src/bookmarks/ephy-topic-action.c: (append_bookmarks_menu):

	Translators comment to avoid verb/adjective confusion

2003-08-02  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-dialog.c: (ephy_dialog_dispose),
	(ephy_dialog_class_init), (ephy_dialog_init),
	(ephy_dialog_finalize), (dialog_destroy_cb):

	Make sure props are saved when destroyed.

2003-08-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):

	Fix mem leak.

2003-08-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp: (mozilla_embed_dom_mouse_down_cb):
	* embed/ephy-embed.h:
	* embed/ephy-embed.c: (ephy_embed_base_init):

	Restore the "ge_dom_mouse_down" signal.

2003-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Added .pc file to AC_OUTPUT, thanks to orph for pointing it out.

2003-07-30  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany-1.0.pc.in:

	Install .pc file.

2003-07-30  David Bordoley  <bordoley@msu.edu>

	* src/ephy-history-window.c: (ephy_history_window_node_activated_cb):
	* src/bookmarks/ephy-bookmarks-editor.c: (ephy_bookmarks_editor_node_activated_cb):

	Always open bookmarks in new window/tab according to pref on activate.

2003-07-30  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in:
	* help/nl/Makefile.am:
	* src/Makefile.am:

	Make it distcheck

2003-07-29  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in: 0.8.1

2003-07-29  Pauli Virtanen  <pauli.virtanen@hut.fi>

	* configure.in: Added "fi" (Finnish) to ALL_LINGUAS.

2003-07-29  Nikolai Weibull <lone-star@home.se> 

	* src/session.c: (save_yourself_cb):
	
	s/ephy/epiphany. Fix session management.

2003-07-27  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/epiphany-toolbar.xml.in:
	* lib/egg/egg-editable-toolbar.c: (drag_data_received_cb):
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-toolbar-editor.c: (parse_item_list):
	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_to_xml),
	(safe_save_xml), (egg_toolbars_model_save), (toolbars_item_new),
	(free_item_node), (egg_toolbars_model_add_separator),
	(egg_toolbars_model_add_item), (parse_item_list),
	(impl_get_item_id), (impl_get_item_name), (impl_get_item_type),
	(egg_toolbars_model_class_init), (egg_toolbars_model_item_nth),
	(egg_toolbars_model_toolbar_nth), (egg_toolbars_model_get_item_id),
	(egg_toolbars_model_get_item_name),
	(egg_toolbars_model_get_item_type):
	* lib/egg/egg-toolbars-model.h:
	* lib/egg/eggtoolbar.c: (egg_toolbar_finalize):
	* lib/ephy-dnd.c: (add_one_topic), (ephy_dnd_drag_data_get):
	* lib/ephy-dnd.h:
	* lib/widgets/ephy-node-view.c: (drag_data_received_cb),
	(ephy_node_view_select_node_by_key), (ephy_node_view_construct),
	(ephy_node_view_add_data_column),
	(ephy_node_view_enable_drag_source):
	* lib/widgets/ephy-node-view.h:
	* lib/widgets/ephy-tree-model-sort.c:
	(ephy_tree_model_sort_class_init), (ephy_tree_model_sort_init),
	(ephy_tree_model_sort_multi_row_draggable),
	(ephy_tree_model_sort_set_column_id),
	(each_property_get_data_binder),
	(ephy_tree_model_sort_multi_drag_data_get):
	* lib/widgets/ephy-tree-model-sort.h:
	* src/bookmarks/ephy-bookmark-properties.c:
	(toolbar_checkbox_changed_cb), (build_ui):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(cmd_show_in_bookmarks_bar), (ephy_bookmarks_editor_update_menu),
	(node_dropped_cb), (provide_keyword_uri),
	(ephy_bookmarks_editor_construct):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init_defaults),
	(ephy_bookmarks_remove_keyword), (ephy_bookmarks_get_topic_uri),
	(ephy_bookmarks_find_keyword):
	* src/bookmarks/ephy-bookmarks.h:
	* src/ephy-history-window.c: (ephy_history_window_construct):
	* src/ephy-toolbars-model.c: (ephy_toolbars_model_get_action_name),
	(ephy_toolbars_model_get_node), (bookmark_destroy_cb),
	(impl_get_item_name), (impl_get_item_id), (impl_get_item_type),
	(connect_item), (ephy_toolbars_model_set_bookmarks),
	(ephy_toolbars_model_class_init), (save_changes), (item_added),
	(item_removed), (toolbar_added), (toolbar_removed),
	(ephy_toolbars_model_init), (ephy_toolbars_model_finalize),
	(ephy_toolbars_model_remove_bookmark),
	(ephy_toolbars_model_add_bookmark),
	(ephy_toolbars_model_has_bookmark):
	* src/ephy-toolbars-model.h:
	* src/toolbar.c: (bookmark_destroy_cb), (toolbar_ensure_action):

	Remove the NODE drag types. They sucks because they use internal
	ids. I think it's better to use the topic name and the standard uri
	types instead, we are ensuring they are unique anyway.
	Add some apis to the toolbar model for better custom items support
	solve also a memory leak. This change the format so toolbar
	configuration will be lost.
	For bookmarks/topics dnd use format that can be used also
	externally (url list for bookmarks).
	Cleanup toolbars model implementation using similar action
	names for bookmarks / topics.
	Set a version on the toolbar xml and make it low disk safe.

2003-07-27  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_remove):

	Fix mem leak.

	* lib/widgets/ephy-node-view.c: (ephy_node_view_remove):
	* src/pdm-dialog.c: (pdm_cmd_delete_selection):

	If we've just deleted every row in the tree view, the row ref
	contains an empty path. Check for that; possibly fixing bug #118398.

2003-07-25  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-search-entry.c: (ephy_search_entry_destroy_cb),
	(ephy_search_entry_init):

	Make sure to remove the timeout on widget destruction

2003-07-25  Xan Lopez  <xan@masilla.org>

	* src/pdm-dialog.c: (setup_passwords_treeview),
	(setup_cookies_treeview):

	Sort on the HOST columns by default (#115472).

2003-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c:
	* embed/mozilla/mozilla-notifiers.cpp:

	Added one translator's comment, and clarified another.

2003-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/prefs-dialog.glade:

	String change.

2003-07-24  Xan Lopez  <xan@masilla.org>

	* embed/mozilla/Makefile.am:

	cough

2003-07-23  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/Makefile.am:

	Do not distribute autogenerated corba stuff (from galeon)

2003-07-13  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>

	* configure.in: Added "cy" (Welsh) to ALL_LINGUAS


2003-07-23  Xan Lopez  <xan@masilla.org>

	* embed/mozilla/Makefile.am:

	Add history include dir, needed for Mozilla 1.5b.

2003-07-23  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-node-view.c:
	(ephy_node_view_selection_changed_cb),
	(ephy_node_view_button_press_cb), (ephy_node_view_init),
	(ephy_node_view_get_selection), (ephy_node_view_is_target),
	(ephy_node_view_has_selection):

	Yet another try to get context menu and selection beahviors
	right.

2003-07-23  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-tab.c: (open_link_in_new_tab):

	Add https

2003-07-23  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/epiphany-bookmark-editor-ui.xml.in:
	* help/nl/epiphany-nl.omf:

	Add a show in bookmarks toolbar item on context menus.

2003-07-22  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/glade/prefs-dialog.glade:

	Try to use more friendly description for cache prefs.

	* src/ephy-tab.c: (open_link_in_new_tab),
	(ephy_tab_dom_mouse_click_cb):

	Middle click open in new tab for http, ftp and file,
	hope to not have missed any protocol that make sense.

2003-07-22  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_set_title):

	If the page is about:blank, set title to "Blank page", not "about:blank".

	* src/bookmarks/ephy-topic-action.c: (append_bookmarks_menu),
	(build_topics_menu):

	If there are no uncategorised bookmarks, don't append insensitive
	"Empty" menu item after the topics.

2003-07-22  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-event-box.h:
	* lib/widgets/ephy-event-box.c:

	An input-only window event box, copied from eel's eel-input-event-box.

	* src/ephy-notebook.c: (tab_build_label):
	* src/ephy-favicon-action.c: (create_tool_item):

	Use EphyEventBox instead of GtkEventBox. Fixes transparency issue from
	bug #110747 .

2003-07-22  Reinout van Schouwen <reinout@cs.vu.nl>

	* configure.in:
	* help/Makefile.am:
	* help/nl/.cvsignore:
	* help/nl/Makefile.am:
	* help/nl/epiphany-nl.omf:
	* help/nl/epiphany.xml:
	* help/nl/figures/ephy-screenshot.png:
	* help/nl/legal.xml:

	Add an dutch translation of the manual.

2003-07-22  Christian Persch  <chpe@cvs.gnome.org>
 
	* lib/egg/eggtoolbar.c: (egg_toolbar_finalize):
 
 	Fix mem leak.

 	* lib/egg/eggtoolbutton.c: (egg_tool_button_finalize):
 
 	Fix mem leaks. Backported patch from gtk, bug #117312.

2003-07-22  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-topic-action.c: (sort_bookmarks),
	(append_bookmarks_menu), (build_bookmarks_menu), (sort_topics),
	(build_topics_menu):

	Fix incosistency between all topic and bookmarks menu.

2003-07-21  Reinout van Schouwen <reinout@cs.vu.nl>

	* help/C/epiphany.xml:

	Update add bookmark explanation to match menu changes.

2003-07-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-dialog.c: (impl_construct):

	Use connect_object for the dialog destroy signal, so
	we dont unref the EphyDialog object two times.

2003-07-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Do not emit warning when language pack is not installed.

2003-07-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_find_set_properties),
	(ephy_embed_find_next):
	* embed/ephy-embed.h:
	* embed/find-dialog.c: (update_navigation_controls), (impl_show),
	(find_dialog_class_init), (set_properties), (sync_page_change),
	(sync_embed), (find_dialog_init), (find_dialog_finalize),
	(find_dialog_go_next), (find_dialog_go_prev),
	(find_close_button_clicked_cb), (find_next_button_clicked_cb),
	(find_prev_button_clicked_cb), (find_entry_changed_cb),
	(find_check_toggled_cb):
	* embed/find-dialog.h:
	* embed/mozilla/EphyWrapper.cpp:
	* embed/mozilla/EphyWrapper.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed.cpp:
	* lib/ephy-dialog.h:
	* src/ephy-window.c: (ephy_window_find):
	* src/ephy-window.h:
	* src/window-commands.c: (window_cmd_edit_find),
	(window_cmd_edit_find_next), (window_cmd_edit_find_prev):

	Rework find implementation to integrate better
	with type ahead and to simplify the code.
	Do not try to set menus sensitivity because
	mozilla doesnt provide an api for it and it breaks
	with type ahead.

	* lib/ephy-dialog.c: (ephy_dialog_class_init),
	(ephy_dialog_finalize), (dialog_destroy_cb), (impl_construct),
	(ephy_dialog_construct):

	Remove no more used destruct crap.

2003-07-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/glade/print.glade:

	Remove useless icons

2003-07-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/Makefile.am:

	I forgot to commit the Makefile.am changes needed for the previous patch.
	Thanks to Manny for pointing this out to me :)

2003-07-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.c: (getUILang),
	(mozilla_init_chrome), (mozilla_embed_single_init_services):

	Set the chrome locale on startup. That means that if the correct lang
	pack is installed, dialogues coming from mozilla will be translated.
	Set skin to 'classic' on startup, so we get native scrollbars.

	Ported from galeon.

2003-07-18  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Do not enable smooth scroll and image autoresize.

2003-07-18  Marco Pesenti Gritti  <marco@it.gnome.org>
	    Christian Persch  <chpe@cvs.gnome.org>


	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init),
	(ephy_bookmarks_find_bookmark):
	* src/ephy-toolbars-model.c: (ephy_toolbars_model_get_action_name),
	(topic_destroy_cb), (bookmark_destroy_cb), (setup_item),
	(impl_add_item), (ephy_toolbars_model_set_bookmarks),
	(ephy_toolbars_model_init), (get_toolbar_pos),
	(get_toolbar_and_item_pos), (ephy_toolbars_model_remove_bookmark),
	(ephy_toolbars_model_add_bookmark),
	(ephy_toolbars_model_has_bookmark):
	* src/ephy-toolbars-model.h:
	* src/toolbar.c: (topic_destroy_cb), (bookmark_destroy_cb):

	Remove bookmarks also if they are not on the bookmarks toolbar.
	Deal with bookmarks/model sync inside the model not in the toolbar.
	If there are invalid bookmarks in the toolbar configuration
	when loading it, emit a warning and drop them.

2003-07-17  Xan Lopez  <xan@masilla.org>

	* embed/ephy-history.c: (ephy_history_get_icon):
	* embed/ephy-history.h:
	* src/ephy-favicon-action.c: (each_url_get_data_binder):
	* src/ephy-tab.c: (ephy_tab_get_type), (ephy_tab_open_uri_cb):
	* src/ephy-toolbars-model.c: (impl_add_item):
	* src/toolbar.c:

	Allow DND of URLs (from links or favicons or other apps...) to the
	bookmarks toolbar, fixes #116613 (HOORAY), thanks to marco and chpe
	for the help.

2003-07-16  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/prefs-dialog.c: (setup_font_menu):

	Initiliaze font list to NULL. Otherwise if Enumerate fails
	we crash.

2003-07-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp: (impl_get_font_list):

	Fix compiler warning.

2003-07-15  Marco Pesenti Gritti  <marco@it.gnome.org>

	* NEWS:
	* configure.in:
	* embed/Makefile.am:
	* src/Makefile.am:

	0.8.0. Make it distcheck.

2003-07-14  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in:
	* src/prefs-dialog.c: (prefs_dialog_init):

	No need to setup fonts on init, it will be done
	when the default encoding is set.

2003-07-14  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	List all mozilla fonts and not only the language specific,
	otherwise we get empty list.
	Use fontconfig aliases as defaults.
	This is temporary until we design simpler fonts
	configuration.

2003-07-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/pdm-dialog.c: (pdm_dialog_cookies_properties_button_clicked_cb):
	* src/language-editor.c: (language_editor_update_pref):
	* embed/downloader-view.c: (controls_info_foreach),
	(download_dialog_pause_cb), (download_dialog_abort_cb),
	(downloader_treeview_selection_changed_cb), (open_selection_foreach):

	Fix mem leaks; thanks to Xan for pointing this out.

2003-07-14  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/eggtreemultidnd.c:
	(egg_tree_multi_drag_button_press_event):

	Update

	* embed/ephy-embed-popup-control.c: (save_property_url),
	(embed_popup_download_link_cmd), (embed_popup_save_image_as_cmd),
	(save_url), (embed_popup_save_page_as_cmd),
	(embed_popup_save_background_as_cmd):
	* src/popup-commands.c: (save_property_url),
	(popup_cmd_download_link), (popup_cmd_save_image_as),
	(popup_cmd_save_background_as):
	* src/window-commands.c: (window_cmd_file_open),
	(window_cmd_file_save_as):
	
	Higgy titles for file pickers.

	* embed/ephy-embed-utils.c: (ephy_embed_utils_save):
	* embed/ephy-embed-utils.h:

	Allow to pass a title to _save.
	Show an error message when saving doesnt succeed.

2003-07-14  Xan Lopez  <xan@masilla.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_remove):
	* src/pdm-dialog.c: (pdm_cmd_delete_selection):

	We use g_list_prepend to create selections now (in ephy_node_view_get_selection()
	and inside pdm_cmd_delete_selection), so the last element selected is the first in
	the list and we need to use g_list_first instead of _last to make intelligent selection
	after removal work on multiple selections.

2003-07-14  Xan Lopez  <xan@masilla.org>

	* src/pdm-dialog.c: (pdm_cmd_delete_selection):

	Fix leak.

2003-07-14  Xan Lopez  <xan@masilla.org>

	* lib/widgets/ephy-node-view.c:
	(ephy_node_view_select_node_by_key), (ephy_node_view_remove):

	Don't use event->string, is deprecated (#117346).
	Also improve intelligent selection.
	
	* src/pdm-dialog.c: (pdm_dialog_remove_button_clicked_cb),
	(pdm_cmd_delete_selection), (pdm_key_pressed_cb), (setup_action):

	Connect del keys to delete action, also implement intelligent selection
	after deletion (I want to be known as Mr. Intelligent Selection from now,
	spread the word).

2003-07-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/pdm-dialog.c: (pdm_dialog_remove_button_clicked_cb),
	(pdm_dialog_finalize):

	Fix mem leaks.

2003-07-13  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c: (drag_motion_cb),
	(drag_data_received_cb):

	Fix mem leaks.

2003-07-13  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dnd.c: (ephy_dnd_node_list_extract_nodes):

	Fix mem leak and add safety check.

2003-07-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/language-editor.c: (language_editor_remove_button_clicked_cb):
	* embed/downloader-view.c: (downloader_view_set_download_info),
	(downloader_view_remove_download),
	(downloader_view_set_download_progress),
	(downloader_view_set_download_status), (download_dialog_abort_cb):
	* lib/widgets/ephy-tree-model-sort.c:
	(ephy_tree_model_sort_multi_row_draggable):

	Fix mem leaks.

2003-07-13  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node.c: (ephy_node_finalize):

	Fix mem leaks.

2003-07-13  Marco Pesenti Gritti  <marco@it.gnome.org>

	* Makefile.am:

	Add plugins dir

	* plugins/sample/Makefile.am:
	* plugins/sample/sample.c: (window_focus_in_cb):

	Make it compile with not installed headers

	* src/Makefile.am:

	Remove an obsolete include dir

2003-07-13  Marco Pesenti Gritti  <marco@it.gnome.org>

	* Makefile.am:
	* configure.in:
	* embed/Makefile.am:
	* embed/ephy-embed-shell.c: (ephy_embed_shell_get_favicon_cache),
	(impl_get_downloader_view):
	* embed/ephy-embed-shell.h:
	* embed/ephy-embed-single.c:
	* embed/ephy-embed-single.h:
	* embed/mozilla/ProgressListener.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* lib/Makefile.am:
	* lib/ephy-langs.h:
	* lib/ephy-node.c: (unref_signal_objects),
	(ephy_node_signal_connect_object):
	* plugins/Makefile.am:
	* plugins/sample/Makefile.am:
	* plugins/sample/sample.c: (bmk_added), (bmk_removed),
	(bmk_changed), (switch_page_cb), (window_focus_in_cb),
	(location_changed_cb), (tab_added_cb), (new_window_cb),
	(plugin_init):
	* src/Makefile.am:
	* src/bookmarks/Makefile.am:
	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_sync_icon):
	* src/bookmarks/ephy-bookmark-properties.c: (set_window_icon),
	(ephy_bookmark_properties_init):
	* src/bookmarks/ephy-bookmarks-editor.c: (provide_favicon),
	(ephy_bookmarks_editor_init):
	* src/bookmarks/ephy-bookmarks.c: (update_favorites_menus):
	* src/bookmarks/ephy-topic-action.c: (build_bookmarks_menu):
	* src/ephy-automation.c: (impl_ephy_automation_loadurl),
	(impl_ephy_automation_quit), (impl_ephy_automation_load_session):
	* src/ephy-favicon-action.c: (ephy_favicon_action_init):
	* src/ephy-history-window.c: (confirmation_dialog_response_cb),
	(provide_favicon):
	* src/ephy-location-action.c: (connect_proxy):
	* src/ephy-notebook.c: (sync_icon):
	* src/ephy-shell.c: (ephy_shell_get_active_window),
	(ephy_shell_get_session), (ephy_shell_get_autocompletion),
	(ephy_shell_get_toolbars_model):
	* src/ephy-shell.h:
	* src/ephy-tab.c: (ephy_tab_net_state_cb), (ephy_tab_init),
	(ephy_tab_get_action):
	* src/ephy-tab.h:
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_update):
	* src/ephy-window.c: (ephy_window_fullscreen),
	(ephy_window_unfullscreen), (sync_tab_icon), (ephy_window_init),
	(remove_from_session), (ephy_window_get_active_tab):
	* src/toolbar.c: (topic_destroy_cb), (bookmark_destroy_cb),
	(init_bookmarks_toolbar), (toolbar_set_window),
	(toolbar_set_visibility):
	* src/window-commands.c: (toolbar_editor_response_cb),
	(window_cmd_edit_toolbar):

	Cleanup header dependencies.
	Install headers useful for plugins.
	Actually load about:blank when necessary (first page failed to load).

2003-07-12  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-gui.c: (ephy_gui_menu_position_under_widget):

	Remove debug spew.

2003-07-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-navigation-action.c: (new_history_menu_item):

	Cleanup.

2003-07-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-navigation-action.c: (new_history_menu_item):

	Shorten strings.

2003-07-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-history-window.c: (provide_favicon):
	* src/bookmarks/ephy-bookmarks-editor.c: (provide_favicon):

	Fix mem leaks.

2003-07-12  Xan Lopez  <xan@masilla.org>

	* lib/widgets/ephy-node-view.c:
	(ephy_node_view_select_node_by_key), (ephy_node_view_key_press_cb),
	(ephy_node_view_construct), (ephy_node_view_add_column),
	(ephy_node_view_init):
	* lib/widgets/ephy-node-view.h:
	* src/bookmarks/ephy-bookmarks-editor.c: (key_pressed_cb),
	(ephy_bookmarks_editor_construct):
	* src/ephy-history-window.c: (ephy_history_window_construct):

	A "fast search" implementation for all node views. Pressing any valid
	unicode character will make ephy select the first entry begining with
	that key, or the nearest match (with previous or posterior letters).
	Fixes bug #116744 (http://bugzilla.gnome.org/show_bug.cgi?id=116744).
	

2003-07-12  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in:
	* plugins/.cvsignore:
	* plugins/Makefile.am:
	* plugins/sample/.cvsignore:
	* plugins/sample/Makefile.am:
	* plugins/sample/sample.c: (bmks_changed), (plugin_init),
	(plugin_exit):
	* src/Makefile.am:
	* src/ephy-plugin.c: (ephy_plugin_get_type), (ephy_plugin_new),
	(ephy_plugin_load), (ephy_plugin_unload), (ephy_plugin_class_init),
	(ephy_plugin_init), (ephy_plugin_finalize):
	* src/ephy-plugin.h:
	* src/ephy-shell.c: (ephy_shell_load_plugins), (ephy_shell_init),
	(ephy_shell_finalize):

	Very simple plugin framework, unused for now.
	We will start making something useful with it only post 1.0

2003-07-12  Wang Jian  <lark@linux.net.cn>

	* configure.in: Added "zh_CN" to ALL_LINGUAS.

2003-07-11  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-menu-merge.h:
	* lib/egg/egg-menu-merge.c: (update_node):

	Fix mem leak.

2003-07-11  David Bordoley  <bordoley@msu.edu>

	* lib/widgets/ephy-autocompletion-window.c:
	(set_renderer_bg_color), (ephy_autocompletion_window_init_widgets):

	Monitor for theme changes and set smb background accordingly.

2003-07-11  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-autocompletion-window.c: (move_selection),
	(ephy_autocompletion_window_key_press_hack),
	(ephy_autocompletion_window_hide):

	Fix actions

	* src/bookmarks/ephy-bookmarks-import.c: (parse_rdf_item):

	Actually use smartlink prop when importing

2003-07-11  Lee Willis <lee@lee-and-claire.co.uk>
 
 	* src/bookmarks.ephy-bookmarks-export.c: (ephy_bookmarks_export_rdf):
 
 	Fix export of smart bookmarks

2003-07-10  David Bordoley  <bordoley@msu.edu>

	* src/ephy-window.c:
	* src/toolbar.c: (toolbar_setup_actions):

	Fix up the tooltips.

2003-07-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	Show the doc context menu on ctrl+f10

2003-07-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-export.c: (add_topics_list),
	(ephy_bookmarks_export_rdf):

	Some minor changes in rdf format (thanks to Edd Dumbill),
	and use namespaces in the code.

	* src/bookmarks/ephy-bookmarks-import.c: (bookmark_add),
	(ephy_bookmarks_import_xbel), (parse_rdf_subjects),
	(parse_rdf_item), (ephy_bookmarks_import_rdf):
	* src/bookmarks/ephy-bookmarks-import.h:

	Add an rdf importer.

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_load),
	(ephy_bookmarks_save), (ephy_bookmarks_init),
	(ephy_bookmarks_finalize):

	Update db to 1.0, import bookmarks from the rdf first time.

	WARNING Backup your bookmarks.rdf file before using this
	and let me know if you get any problems. (esp if you had a
	< 0.7.3 epiphany version).

2003-07-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/epiphany-toolbar.xml.in:
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_load),
	(ephy_favicon_cache_init):
	* embed/ephy-history.c: (ephy_history_load), (ephy_history_init):
	* lib/ephy-node-common.h:
	* lib/ephy-state.c: (ensure_states):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init):
	* src/ephy-toolbars-model.c: (ephy_toolbars_model_get_action_name),
	(impl_add_item), (ephy_toolbars_model_remove_bookmark),
	(ephy_toolbars_model_add_bookmark),
	(ephy_toolbars_model_has_bookmark):
	* src/ephy-toolbars-model.h:
	* src/toolbar.c: (topic_destroy_cb), (bookmark_destroy_cb),
	(toolbar_ensure_action):

	Use url/name to store topics and bookmarks in the xml instead of
	an id that would be hard to mantain. This unfortunately means
	users will lose their toolbar settings.
	Freeze formats for 1.0, only bookmarks left.

2003-07-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (sync_tab_load_status), (tab_removed_cb):

	Update spinner when a tab was removed. Fixes bug #116908.

2003-07-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_find_bookmark):

	Fix crash.

2003-07-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (build_progress_from_requests):

	Fix progress update logic.

2003-07-07  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-types.h:

	Remove unused define.

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_save_delayed),
	(bookmarks_changed_cb), (bookmarks_removed_cb),
	(ephy_bookmarks_add):

	Save added bookmarks on idle, otherwise importing is too slow.

2003-07-07  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-autocompletion-window.c:
	(ephy_autocompletion_window_key_press_cb):

	Cleanup.

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_key_press_event_cb):

	Handle Tab key binding. The window binding doesnt
	work because of the grab.

2003-07-07  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-autocompletion-window.c:
	(ephy_autocompletion_window_finalize_impl),
	(ephy_autocompletion_window_show), (move_selection),
	(ephy_autocompletion_window_key_press_hack),
	(ephy_autocompletion_window_hide):

	Rewrite selection logic to be simpler and to
	fix bugs.

	* lib/widgets/ephy-spinner.c:
	* lib/widgets/ephy-spinner.h:

	Remove unused includes.

	* src/toolbar.c:
	
	Add missing include.

2003-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c: (ephy_spinner_get_type),
	(ephy_spinner_init_directory_list):

	Remove last bits of nautilus theme support.

2003-07-06  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/ExternalProtocolHandlers.cpp:
	* embed/mozilla/ExternalProtocolHandlers.h:
	* embed/mozilla/FtpProtocolHandler.cpp:
	* embed/mozilla/FtpProtocolHandler.h:
	* embed/mozilla/IRCProtocolHandler.cpp:
	* embed/mozilla/IRCProtocolHandler.h:
	* embed/mozilla/MailtoProtocolHandler.cpp:
	* embed/mozilla/MailtoProtocolHandler.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:

	Merge external protocols in one file (implementation
	is just one macro).
	Add a news:// handler.

2003-07-06  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/eggtreemodelfilter.c:

	Patch by kris to speed it up.

2003-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-go-action.c: (button_clicked), (activate_cb),
	(create_menu_item), (create_menu_proxy_cb), (connect_proxy),
	(ephy_go_action_class_init):

	Implement toolbar overflow menu item for the go button.

2003-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node.c: (ephy_node_finalize):

	Fix mem leak.

	* lib/ephy-node.c: (ephy_node_save_to_xml), (ephy_node_new_from_xml):

	Use locale-independent functions g_ascii_strtod and g_ascii_dtostr
	when reading/writing float and double values.

2003-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_finalize):

	Fix mem leak.

2003-07-06  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c:
	(ephy_bookmarks_import_mozilla), (ephy_bookmarks_import_xbel):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init_defaults),
	(save_bookmarks_delayed), (ephy_bookmarks_set_dirty),
	(bookmarks_changed_cb), (bookmarks_removed_cb),
	(ephy_bookmarks_init), (ephy_bookmarks_finalize),
	(ephy_bookmarks_add):
	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_add):
	* src/ephy-shell.c: (ephy_shell_finalize),
	(ephy_shell_get_toolbars_model):
	* src/ephy-toolbars-model.c: (item_added), (item_removed),
	(toolbar_added), (toolbar_removed), (ephy_toolbars_model_init),
	(ephy_toolbars_model_finalize):

	Make sure we ever save bookmarks after changes, so they dont
	get lost on crashes.

2003-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_button_press_cb),
	(ephy_node_view_sort_func):
	* src/bookmarks/ephy-topics-selector.c: (topic_clicked),
	(topic_key_pressed):

	Fix mem leaks and a conditional.

2003-07-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (setup_font_menu), (set_homepage_entry):

	gtk_editable_insert_text takes the number of bytes in the string,
	not the number of characters.

2003-07-05  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:
	* src/prefs-dialog.c: (setup_font_menu):

	Api resync and cleanup from galeon.

2003-07-04  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:

	Enclose literal values in double quotes. Fixes bug 116720.

2003-07-04  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node.c: (callback):

	Use G_VA_COPY macro from glib instead of va_copy, (hopefully)
	fixing the va_ problem for good.

2003-07-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (favicon_download_completed_cb):

	Remove the persist object from the hash table before emitting the
	changed signal. Fixes bug 116673.

2003-07-04  Christian Persch  <chpe@cvs.gnome.org>
	
	* data/epiphany.schemas.in:

	Update list of available encodings.

2003-07-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c: (add_bookmarks_menu):

	Use g_list_prepend instead of g_list_append.
	Correct erroneous copyright notice.

2003-07-04  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in:

	Remove use of acconfig.h.

	* embed/ephy-embed-shell.c: (ephy_embed_shell_get_embed_single):
	* embed/ephy-embed-single.c:
	* embed/ephy-embed-single.h:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyWrapper.cpp:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:
	* embed/mozilla/MozRegisterComponents.h:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed-single.h:
	* src/bookmarks/ephy-bookmarks-import.c: (bookmark_add),
	(xbel_parse_folder), (ephy_bookmarks_import_mozilla):
	* src/ephy-shell.c: (ephy_shell_init):

	Show an alert when mozilla cant start instead of crashing.
	Do not import bookmarks dups.
	Cleanup some mozilla code headers inclusion.

2003-07-03  Jeremy Katz  <katzj@redhat.com>

	* lib/ephy-node.c (callback): Must use va_copy when assigning
	valist on arches where varargs are implemented as an array type
	(such as AMD64)

2003-07-03  Xan Lopez  <xan@masilla.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:

	Sync with Moz Head, small cleanup.

2003-07-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c: (build_bookmarks_menu):

	Ellipsise the bookmarks titles.

2003-07-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (create_menu_proxy):

	Oops, fix mem leak introduced by previous checkin.

2003-07-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-toolitem.h:
	* src/bookmarks/ephy-bookmark-toolitem.c:
	* src/bookmarks/ephy-bookmark-action.c: (create_tool_item),
	(ephy_bookmark_action_sync_label), (activate_cb), (create_menu_proxy),
	(connect_proxy), (ephy_bookmark_action_class_init):

	Moved bookmark tool item creation back to ephy-bookmark-action.c,
	For smart bookmarks, don't append ':' in the toolbar overflow menu.

2003-07-03  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node.c: (callback), (ephy_node_emit_signal):

	Don't try to assign va_list to a gpointer var. Fixes bug #116131.

2003-07-02  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_set_tooltip),
	(ephy_zooom_control_class_init):

	Implement custom tooltip setter.

2003-07-02  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-arrow-toolbutton.c:
	(ephy_arrow_toolbutton_set_tooltip), (ephy_arrow_toolbutton_class_init):

	Implement custom tooltip setter; sets tooltip on the directional button.

	* src/toolbar.c: (toolbar_setup_actions):

	Set tooltips on custom actions.

2003-07-02  Jordi Mallach  <jordi@sindominio.net>

	* data/bme.desktop.in, data/epiphany.desktop.in: Replace "0" with
	"false" in Terminal entries.

2003-07-02  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/glade/prefs-dialog.glade:

	s/Caches/Cache

	* embed/ephy-embed-prefs.h:

	Remove the compare cache define too

2003-07-02  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/art/Makefile.am:
	* data/art/epiphany.png:
	* data/epiphany.desktop.in:
	* data/epiphany.schemas.in:
	* data/glade/prefs-dialog.glade:
	* embed/mozilla/mozilla-notifiers.cpp:
	* lib/ephy-dialog.c: (ephy_dialog_set_size_group):
	* lib/ephy-dialog.h:
	* src/ephy-main.c: (main):
	* src/prefs-dialog.c: (prefs_dialog_init),
	(prefs_homepage_blank_button_clicked_cb), (fill_language_editor):
	* src/window-commands.c: (window_cmd_help_about):

	Use the browser icon from gnome icon theme.
	Get rid of cache comparing prefs and rehash prefs pages to
	make them more specific.

2003-07-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c: (ephy_topic_action_sync_label),
	(create_menu_item), (create_menu_proxy), (connect_proxy),
	(ephy_topic_action_class_init):

	Implement toolbar overflow menu item for bookmark topics.

2003-07-02  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Use normal google search for keywords

2003-07-01  Christian Persch  <chpe@cvs.gnome.org>
 
	* lib/widgets/ephy-location-entry.h:
	* lib/widgets/ephy-location-entry.c: (ephy_location_entry_set_tooltip),
	(ephy_location_entry_construct_contents),
	(ephy_location_entry_class_init), (ephy_location_entry_init),
	(ephy_location_entry_finalize):

	Make the location entry an EggToolItem, and provide a custom
	tooptip setter. Fix mem leak.

	* src/ephy-location-action.c: (create_tool_item),
	(ephy_location_action_class_init), (connect_proxy):

 	Use the location entry EggToolItem instead of constructing it
 	explicitly.
 
 	* src/toolbar.c: (toolbar_setup_action):
 
 	Set tooltip for location entry.
 
 	* lib/egg/egg-action.c: (connect_proxy), (disconnect_proxy):
 
 	Connect the tooltip sync'er on any EggToolItem, not just EggTollButton:s.
 	Disconnect the tooltip sync func on disconnect, too.

2003-07-01  David Bordoley  <bordoley@msu.edu>

	* src/ephy-window.c: (setup_window):

	Set a label for the find toolbar item so that it
	doesn't have elipses.

2003-07-01  Arafat Medini <lumina@silverpen.de>

	* configure.in: Added "ar" Arabic to ALL_LINGUAS.

2003-07-01  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-autocompletion-window.c:
	(ephy_autocompletion_window_finalize_impl),
	(ephy_autocompletion_window_show),
	(ephy_autocompletion_window_hide):

	Hide only when necessary. Remove gdk_ungrab stuff
	that doesnt seem to be necessary.

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_autocompletion_show_alternatives):

	Reset entry->button when showing autocompletion, the grab
	get gtk crazy otherwise.

2003-06-30  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-embed-dialog.c: (ephy_embed_dialog_get_embed):
	* embed/ephy-embed-shell.c: (ephy_embed_shell_init),
	(ephy_embed_shell_get_favicon_cache):
	* embed/ephy-embed-shell.h:
	* embed/print-dialog.c: (print_dialog_print),
	(print_dialog_preview):
	* src/Makefile.am:
	* src/ephy-tab.c: (ephy_tab_destroy_brsr_cb), (ephy_tab_init):

	Remove some unused code

2003-06-29  James Willcox  <jwillcox@gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Remember the directory when saving files.  Fixes #115603.

2003-06-29  Marco Pesenti Gritti  <marco@it.gnome.org>

	* NEWS:
	* configure.in:

	0.7.3

2003-06-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-nautilus-view.c: (gnv_embed_location_cb):
	* src/ephy-tab.c: (ephy_tab_address_cb):
	* embed/find-dialog.c: (sync_page_change):

	Fix callbacks for new signature of ge_location embed signal.

	* src/ephy-tab.c: (ephy_tab_icon_cache_changed_cb):

	Fix logic to update the site icon.

2003-06-29  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-action.c: (egg_action_init), (egg_action_finalize),
	(egg_action_sync_tooltip), (connect_proxy):
	* lib/egg/egg-action.h:

	Temporary implementation of toolbar tooltips, until it's
	implement in menu.

2003-06-29  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/Makefile.am:

	Make sure marshalers are regenerated

	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/eggmarshalers.c:
	* lib/egg/eggmarshalers.h:
	* lib/egg/eggmarshalers.list:
	* lib/egg/eggradiotoolbutton.c:
	* lib/egg/eggradiotoolbutton.h:
	* lib/egg/eggtoggletoolbutton.c:
	* lib/egg/eggtoggletoolbutton.h:
	* lib/egg/eggtoolbar.c:
	* lib/egg/eggtoolbar.h:
	* lib/egg/eggtoolbutton.c:
	* lib/egg/eggtoolbutton.h:
	* lib/egg/eggtoolitem.c:
	* lib/egg/eggtoolitem.h:

	Update

2003-06-29  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-favicon-cache.c: (favicon_download_completed_cb),
	(ephy_favicon_cache_download), (ephy_favicon_cache_get):

	Emit the changed signal before unrefing the persist object.
	The changed url is set_data_full on it and it will be freed
	otherwise.
	Make sure we never emit signals with NULL url.

2003-06-28  Piers Cornwell  <piersc@cogs.susx.ac.uk>

	* embed/downloader-view.c: (downloader_view_add_download):

	Don't show -1 KB before download starts.

2003-06-28  Piers Cornwell  <piersc@cogs.susx.ac.uk>

	* src/ephy-window.c:

	Correct usage of ellipses.

	* src/prefs-dialog.c:

	Correct spelling of Bokmal and several cleanups.

2003-06-28  Christophe Fergeau  <teuf@users.sourceforge.net>

	* embed/mozilla/EphyWrapper.cpp: removed unused header, 
	  fixes compilation with mozilla head

2003-06-28  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/.cvsignore:
	* src/Makefile.am:

	Make sure idl generated sources are updated when
	necessary.

2003-06-28  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (create_item):

	updated

2003-06-28  Christian Persch <chpe@cvs.gnome.org>

	* NEWS:

	Add 'mk' to list of updated translations.

2003-06-28  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in:
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_bookmarks_import):
	* src/bookmarks/ephy-bookmarks-import.c: (ephy_bookmarks_import):
	* src/bookmarks/ephy-bookmarks-import.h:

	Fallback using directories to detect format if the mime
	is not relevant.

2003-06-28  Marco Pesenti Gritti  <marco@it.gnome.org>

	* NEWS:
	* configure.in:

	Update for 0.7.2

2003-06-28  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (set_item_drag_source),
	(create_item):

	Update.

2003-06-28  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/downloader-view.c: (downloader_view_update_controls),
	(downloader_view_set_download_info):

	Set done size to total size on download completed

2003-06-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-navigation-action.c: (ephy_navigation_action_finalize),
	(ephy_navigation_action_class_init):
	* src/ephy-spinner-action.c: (ephy_spinner_action_finalize),
	(ephy_spinner_action_class_init):
	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_editable_changed_cb):

	Fix mem leaks.

2003-06-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-favorites-menu.c: (ephy_favorites_menu_rebuild):
	* embed/find-dialog.c: (find_get_info):

	Fix mem leaks.

2003-06-27  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_base_init):
	* embed/ephy-embed.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-tab.c: (ephy_tab_address_cb):

	Actually return the toplevel url on get_location.
	Add an url argument to location_changed and use it in tab.

	* src/window-commands.c: (window_cmd_file_open):

	Escape/unescape uri when passing it to gnome-vfs.

	* src/bookmarks/ephy-bookmarks-export.c: (add_topics_list),
	(ephy_bookmarks_export_rdf):

	Fix some issues in the format.

2003-06-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (connect_proxy),
	(entry_activated_cb), (activate_cb), (menu_activate_cb):
	* src/bookmarks/ephy-bookmark-toolitem.h:
	* src/bookmarks/ephy-bookmark-toolitem.c: (activated_cb),
	(ephy_bookmark_toolitem_create_menu_proxy),
	(ephy_bookmark_toolitem_class_init):

	Make the toolbar overflow item really activate the bookmark action.
	Simplify code a little.

2003-06-26  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c: (go_location_cb):
	* src/ephy-favorites-menu.c: (go_location_cb):
	* src/ephy-navigation-action.c: (activate_up_menu_item_cb):
	* src/ephy-shell.c: (ephy_shell_new_tab):
	* src/toolbar.c: (go_location_cb):
	* src/window-commands.c: (window_cmd_go_home):

	Use window_load_url when useful. Right now just a cleanup
	but will be useful when mozilla focus will stop to suck.

2003-06-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Add two new encodings, and change access keys to be unique.

2003-06-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp: (mozilla_embed_dom_key_down_cb),
	(mozilla_embed_dom_mouse_down_cb), (mozilla_embed_dom_mouse_click_cb):

	Check dom_event, emit warning and return if it is NULL.

2003-06-26  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-window.c: (tab_added_cb):

	Do not sync tab visibility on tab creation, it's state
	is undefined at that point

2003-06-25  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (set_item_drag_source),
	(create_item), (egg_editable_toolbar_set_edit_mode):

	Update

2003-06-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_print):

	Make sure there's only one print dialog per window. Fixes bug #115933.

2003-06-25  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Added 'mk' (Macedonian) to ALL_LINGUAS.

2003-06-24  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/find-dialog.c: (impl_show):

	Grab focus after the old text has been restored.

2003-06-24  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:

	Api change

2003-06-24  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:

	Update documentation of the allowed values for
	/apps/epiphany/dialogs/preferences_font_language

2003-06-23  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:

	Remove some unused headers.

	* embed/mozilla/mozilla-embed.cpp:

	Dont asser when trying to print blank page.

	* lib/Makefile.am:
	* lib/ephy-autocompletion.c: (ephy_autocompletion_get_type):
	* lib/widgets/ephy-autocompletion-window.c:
	(ephy_autocompletion_window_get_type):
	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_get_type):
	* src/ephy-encoding-menu.c: (ephy_encoding_menu_get_type):

	Get rid of the gobject macros.

	* src/ephy-notebook.c: (move_tab), (move_tab_to_another_notebook),
	(button_release_cb), (update_tabs_visibility),
	(tabs_visibility_notifier), (ephy_notebook_init),
	(ephy_notebook_finalize), (ephy_notebook_set_show_tabs):
	* src/ephy-notebook.h:
	* src/ephy-tabs-menu.c:
	* src/ephy-window.c: (ephy_window_finalize),
	(update_embed_dialogs), (ephy_window_get_find_dialog),
	(print_dialog_preview_cb), (ephy_window_print):
	* src/ephy-window.h:
	* src/ppview-toolbar.c: (toolbar_cmd_ppv_close):
	* src/window-commands.c: (window_cmd_file_print):

	Make sure tabs are hidden when going in print preview mode.
	Make print dialog transient.

2003-06-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:

	Fix capitalisation of menu entry.

2003-06-23  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in:

	Correct translations dir (leftover from galeon)

	* embed/ephy-history.c:

	Lower expire to 10 days, similar to phoenix. Current interface
	and perf make this a better default.

	* lib/ephy-dialog.c: (ephy_dialog_init), (setup_default_size):

	Make sure to not state_add more than one time

	* lib/widgets/ephy-location-entry.c: (insert_text_cb):

	Do not show autocompletion on not focused window. This is to
	work around problems with gnome-entry.

	* src/ephy-window.c: (popup_menu_at_coords), (show_embed_popup),
	(tab_context_menu_cb):

	Do not use custom func to show mouse popups.
	Fix costum func to be smarter with screen limits.

2003-06-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp: (impl_remove_cookies):

	Use nsDependentCString instead of NS_LITERAL_CSTRING. Fixes bug 115739.

2003-06-22  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/popup-commands.c: (popup_cmd_bookmark_link):

	Fix add bookmark from link
	
2003-06-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Drop encodings from our list which are not meant to be used in
	a browser. List from
	lxr.mozilla.org/seamonkey/source/intl/uconv/src/charsetData.properties

2003-06-22  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-langs.c:
	* embed/mozilla/mozilla-embed-single.cpp:

	Add two missing font language groups, and reorder encodings list.

2003-06-22  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-state.c: (ephy_states_load), (ephy_states_save),
	(create_window_node), (ephy_state_add_window):

	Make sure to set size flag when setting default width height.
	Discard old states.xml, so we dont get bug reports about small
	dialogs.

2003-06-22  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-state.c: (ephy_state_window_set_size),
	(ephy_state_window_set_position), (ephy_state_window_save_size),
	(ephy_state_window_save_position), (ephy_state_window_save),
	(window_configure_event_cb), (window_state_event_cb),
	(ephy_state_add_window):

	When following SAVE_POSITION/SAVE_SIZE flags actually not save
	them instead of just not restore.
	Do not use coords value to determine unset state but a boolean
	flag. (this will restore all saved states to NULL now)

	* lib/ephy-state.h:

	Add a NONE flag, it will restore but not save.

	* src/ephy-tab.c: (ephy_tab_set_title):

	Fix a warning when the url is NULL (popups)

	* src/ephy-window.c: (ephy_window_init), (ephy_window_show):

	Use normal size for not sized popups.

2003-06-22  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/downloader-view.c: (downloader_view_update_details):
	* embed/mozilla/ProgressListener.cpp:
	
	Pass elapsed times in seconds, more consistent and avoid
	overflow.

2003-06-22  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-tab.c: (ensure_page_info), (ephy_tab_net_state_cb),
	(ephy_tab_init):

	Set address as title only when there is no title, on the second
	page load just keep the old one until the new one is available.

2003-06-22  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c:

	Changed two nearly duplicated strings to the already present ones to
	save work for translators.

2003-06-22  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-location-entry.c: (insert_text_cb):

	do not popup autocompletion when setting url from the combo list

2003-06-22  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-window.c: (update_chromes_visibility),
	(ephy_window_fullscreen), (ephy_window_unfullscreen),
	(ephy_window_set_chrome):

	Fix print preview toolbars

2003-06-22  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:
	* src/prefs-dialog.c:
	* embed/mozilla/mozilla-notifiers.cpp: (get_system_language):

	Misc i18n fixes: mark default encoding and encoding autodetector in
	the schema as translatable, and instroduce a translatable string for
	the locale-dependent http-accept-language list. Add simplified and
	traditional chinese to the available languages list, and add the
	universal encoding detector to the autodetectors list.

2003-06-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-string.c:

	missing header

2003-06-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-tab.c: (ephy_tab_net_state_cb), (ephy_tab_set_title):

	Set a title on NET_START (nicified url).

	* src/prefs-dialog.c: (prefs_homepage_current_button_clicked_cb):
	* src/session.c: (save_tab):
	* src/window-commands.c: (window_cmd_file_send_to),
	(window_cmd_file_bookmark_page):

	Use embed_get_location when we want the real location, tab can
	contain user changes.

2003-06-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-favicon-action.c: (each_url_get_data_binder):

	Use the embed url, the tab one can make no sense if the user
	edited it.

	* src/toolbar.c: (location_user_changed_cb), (toolbar_set_window),
	(toolbar_init), (toolbar_set_location):

	Block location updating when setting tab title on user_changed.

2003-06-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_autocompletion_window_url_selected_cb):

	Ever put cursor at the end of the text when selecting autocompletion
	items.

	* src/pdm-dialog.c: (cookies_treeview_selection_changed_cb),
	(action_treeview_selection_changed_cb):

	Do not allow to open properties of multiple cookies. (insensitive)

2003-06-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/EphyWrapper.cpp:
	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_class_init), (location_focus_out_cb),
	(ephy_location_entry_init), (insert_text_cb),
	(ephy_location_entry_key_press_event_cb),
	(ephy_location_entry_activate_cb),
	(ephy_location_entry_set_location),
	(ephy_location_entry_autocompletion_window_url_selected_cb),
	(ephy_location_entry_autocompletion_window_url_activated_cb),
	(ephy_location_entry_editable_changed_cb):
	* lib/widgets/ephy-location-entry.h:
	* src/ephy-shell.c: (ephy_shell_new_tab):
	* src/ephy-tab.c: (ephy_tab_set_property),
	(ephy_tab_set_link_message), (ephy_tab_set_window),
	(ephy_tab_address_cb), (ensure_address), (ephy_tab_net_state_cb),
	(ephy_tab_init), (ephy_tab_update_navigation_flags),
	(ephy_tab_set_location):
	* src/ephy-tab.h:
	* src/ephy-window.c: (ephy_window_notebook_switch_page_cb):
	* src/popup-commands.c: (get_event_info),
	(popup_cmd_copy_link_address):
	* src/toolbar.c: (get_location_entry), (location_user_changed_cb),
	(toolbar_set_window), (toolbar_activate_location),
	(toolbar_set_location), (toolbar_get_location),
	(toolbar_clear_location_history):
	* src/toolbar.h:

	Rewrite the url typed by user overwrite logic to fix bugs.

2003-06-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-tab.c: (ephy_tab_finalize), (ephy_tab_init):
	* src/ephy-tab.h:

	Get rid of get/set _event, reformat the header.

	* src/pdm-dialog.c:

	Fix compilation warning.

	* src/ephy-window.c: (popup_destroy_cb), (show_embed_popup):
	* src/popup-commands.c: (get_event_info):

	Less invasive way to access the event info from the callbacks.

2003-06-20  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.h:
	* src/ephy-tab.c: (popup_menu_at_coords), (ephy_tab_show_embed_popup),
	(ephy_tab_context_menu_cb), (ephy_tab_set_event):
	* src/ephy-window.c: (popup_menu_at_coords), (show_embed_popup),
	(tab_context_menu_cb), (ephy_window_set_active_tab):

	Move the context popup menu to ephy-window.c.
	If there's no background image, disable the SaveBackgroundAs
	menu entry.

2003-06-19  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/EphyWrapper.cpp:

	Mozilla api change, pfffff

2003-06-19  Xan Lopez  <xan@masilla.org>

	* embed/mozilla/ProgressListener.cpp:
	* embed/mozilla/ProgressListener.h:

	Fix compilation.

2003-06-19  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-embed-types.h:
	* lib/ephy-state.c: (window_configure_event_cb),
	(window_state_event_cb):
	* src/ephy-window.c: (ephy_window_destroy),
	(ephy_window_class_init), (update_exit_fullscreen_popup_position),
	(size_changed_cb), (exit_fullscreen_button_clicked_cb),
	(update_chromes_visibility), (ephy_window_fullscreen),
	(ephy_window_unfullscreen), (ephy_window_state_event_cb),
	(setup_window), (sync_tab_icon), (sync_tab_load_progress),
	(sync_tab_load_status), (ephy_window_init), (save_window_chrome),
	(translate_default_chrome), (update_layout_toggles),
	(ephy_window_set_chrome), (ephy_window_show):
	* src/window-commands.c: (window_cmd_view_fullscreen):

	With the gtk fullscreen api things can be cleaner:
	use the api instead of chromes to handle fullscreen,
	dont persist window state when it's fullscreen.
	Destroy exit fullscreen button on window destroy.

	* src/ephy-shell.c: (ephy_shell_new_tab):

	Give up on cloning until we find a good way to do it :/

2003-06-18  Xan Lopez  <xan@masilla.org>

	* embed/downloader-view.c: (downloader_view_update_details):
	* embed/mozilla/ProgressListener.cpp:
	* embed/mozilla/ProgressListener.h:
	* embed/mozilla/mozilla-embed-persist.cpp:

	More cleanups, fix memleaks.

2003-06-18  Piers Cornwell  <piersc@cogs.susx.ac.uk>
 
 	* configure.in:
 
 	Remove unused variables.
 
 	* src/ephy-window.c:
 
 	Add ellipse to Find menu item.
 
 	* src/ephy-main.c: (ephy_main_start):
 
 	Use the full program name, mark an error message as translatable
 	and don't print any message on launch when a window is already
 	open.

2003-06-18  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-autocompletion.c: (ephy_autocompletion_refine_matches),
	(ephy_autocompletion_update_matches_full_item):
	* lib/widgets/ephy-location-entry.c: (ephy_location_entry_build),
	(ephy_location_entry_autocompletion_show_alternatives_to),
	(real_entry_set_location), (delete_text_cb), (insert_text_cb),
	(ephy_location_entry_key_press_event_cb),
	(ephy_location_entry_content_is_text),
	(ephy_location_entry_activate_cb):
	* src/bookmarks/ephy-bookmarks.c:
	(ephy_bookmarks_autocompletion_source_foreach):
	* src/ephy-location-action.c: (create_tool_item),
	(location_url_activate_cb):

	Use insert_text delete_text to show/hide the autocompletion
	window.
	Remember last search with autocompletion smart bookmarks.
	

2003-06-18  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-history-window.c: (confirmation_dialog_construct):

	Higgify clear dialog

2003-06-18  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml.in:
	* src/ephy-window.c:
	* src/popup-commands.h:
	* src/popup-commands.c: (popup_cmd_copy_email),
	(popup_cmd_copy_link_location), (popup_cmd_copy_link_address):

	Unify the "Copy Email Address" and "Copy Link Address" context menu
	entries. Fixes bug #115377.

2003-06-18  Xan Lopez  <xan@masilla.org>

	* embed/mozilla/ProgressListener.cpp:

	Drop some useless code.

2003-06-18  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/ProgressListener.cpp:

	As first thing when a download stop, report it to the
	view.

2003-06-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c:

	Fix wrong cast of GtkDialog to GtkWindow.

	* data/glade/epiphany.glade:
	* src/pdm-dialog.c: (pdm_dialog_show_help), (pdm_dialog_response_cb):

	Implement help button for pdm dialogue.

2003-06-17  Christian Persch  <chpe@cvs.gnome.org>

	* embed/find-dialog.c: (sync_page_change), (unset_old_embed),
	(sync_embed), (find_dialog_init), (find_dialog_finalize):

	Re-enable the next/prev buttons on page change.

2003-06-17  Xan Lopez  <xan@masilla.org>

	* embed/find-dialog.c: (find_get_info):

	Fix crash (chpe).
	
	* embed/mozilla/ProgressListener.cpp:

	Cleanups, remove unused header.
	
	* src/window-commands.c: (window_cmd_help_about):

	Add Christian Persch to the About window.

2003-06-16  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/nautilus-epiphany-view.xml.in:
	* src/ephy-window.c:
	* src/prefs-dialog.c:

	Some string fixes.

2003-06-16  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_remove_page):

	Ref the child before removing it, and unref it after emitting the
	tabs_removed signal. That way it stays alive while the signal is
	being processed. Fixes bug 115306.

2003-06-16  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Added 'en_GB' to ALL_LINGUAS.

2003-06-16  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:

	s/charset/encoding/

2003-06-16  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_init):

	disable treeview interactive search

2003-06-16  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:
	* lib/ephy-dialog.c: (set_config_from_color):
	* src/ephy-tabs-menu.c: (tab_set_action_accelerator):
	* src/prefs-dialog.c: (setup_font_menu), (save_font_menu),
	(size_spinbutton_changed_cb), (setup_size_control):
	* src/session.c: (session_save):

	s/snprintf/g_snprintf to not break gcc 2.95

2003-06-16  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:

	Fix use document colors

2003-06-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/find-dialog.c: (sync_embed):

	Fix potential crash.

2003-06-16  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_class_init):

	Do not mark non-user-visible strings for translation.

2003-06-16  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/Makefile.am:
	* embed/ephy-embed-popup-control.c:
	(ephy_embed_popup_control_get_type),
	(ephy_embed_popup_control_set_property),
	(ephy_embed_popup_control_get_property),
	(ephy_embed_popup_control_class_init),
	(ephy_embed_popup_control_init),
	(ephy_embed_popup_control_finalize), (get_popup_path),
	(ephy_embed_popup_control_show), (setup_element_menu),
	(setup_document_menu), (ephy_embed_popup_control_set_event),
	(ephy_embed_popup_control_connect_verbs),
	(ephy_embed_popup_control_get_event),
	(embed_popup_copy_location_cmd), (embed_popup_copy_email_cmd),
	(embed_popup_copy_link_location_cmd), (save_property_url),
	(embed_popup_open_link_cmd), (embed_popup_download_link_cmd),
	(embed_popup_save_image_as_cmd), (background_download_completed),
	(embed_popup_set_image_as_background_cmd),
	(embed_popup_copy_image_location_cmd), (save_url),
	(embed_popup_save_page_as_cmd),
	(embed_popup_save_background_as_cmd), (embed_popup_open_frame_cmd),
	(embed_popup_reload_frame_cmd), (embed_popup_open_image_cmd),
	(embed_popup_copy_to_clipboard):
	* embed/ephy-embed-popup-control.h:

	Merge with popup control, we dont need it for bonobo
	window anymore.

	* embed/mozilla/mozilla-embed-single.cpp:

	Do not override the UA but set vendor prefs so
	that mozilla can build it correctly.

	* lib/ephy-dialog.c: (get_radio_button_active_index),
	(set_config_from_radiobuttongroup),
	(set_radiobuttongroup_from_config), (prefs_set_group_sensitivity),
	(impl_get_value):
	* lib/ephy-dnd.c: (ephy_dnd_node_list_extract_nodes):
	* lib/ephy-gui.c:
	* lib/ephy-gui.h:
	* lib/ephy-string.c: (ephy_string_shorten), (ephy_string_to_int),
	(ephy_string_strip_chr), (ephy_string_elide_underscores):
	* lib/ephy-string.h:
	* src/ephy-nautilus-view.c: (ephy_nautilus_view_instance_init),
	(gnv_embed_context_menu_cb), (gnv_embed_location_cb),
	(gnv_view_from_popup), (gnv_popup_cmd_new_window),
	(gnv_popup_cmd_image_in_new_window),
	(gnv_popup_cmd_frame_in_new_window), (gnv_cmd_file_print),
	(gnv_embed_zoom_change_cb):
	* src/session.c: (session_load):
	* src/statusbar.c: (statusbar_set_message):
	* src/toolbar.c: (toolbar_ensure_action):

	Cleanup helpers (remove unused and rename.

2003-06-16  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/nautilus-epiphany-view.xml.in:

	Remove some obsolete entries.

	* embed/Makefile.am:
	* embed/ephy-embed-event.c: (ephy_embed_event_init),
	(ephy_embed_event_get_event_type):
	* embed/ephy-embed-event.h:

	Make more generic and allow to make distinction
	between mouse and key events.

	* embed/ephy-embed-popup-bw.c:
	* embed/ephy-embed-popup-bw.h:

	Remove, unused.

	* embed/ephy-embed.c: (ephy_embed_base_init):
	* embed/ephy-embed.h:
	* embed/mozilla/mozilla-embed.cpp:

	Emit context signals only when necessary,
	get rid of unused mouse_down signal.

	* embed/ephy-embed-popup-control.c:
	(ephy_embed_popup_control_show_impl):
	* embed/mozilla/EventContext.cpp:
	* src/ephy-nautilus-view.c: (ephy_nautilus_view_instance_init),
	(gnv_embed_dom_mouse_click_cb), (gnv_embed_context_menu_cb):
	* src/ephy-tab.c: (ephy_tab_dom_mouse_click_cb),
	(ephy_tab_context_menu_cb):

	Use new event api.


2003-06-15  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-embed-event.c: (ephy_embed_event_init):
	* embed/ephy-embed-event.h:
	* embed/ephy-embed-popup-bw.c: (popup_menu_at_coords),
	(ephy_embed_popup_bw_show_impl):
	* embed/ephy-embed.c: (ephy_embed_base_init):
	* embed/ephy-embed.h:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-tab.c: (popup_menu_at_coords),
	(ephy_tab_show_embed_popup), (ephy_tab_context_menu_cb),
	(ephy_tab_init):

	Shift+F10 show context menus on the embed.
	(Less invasive way until gtkmozembed has a context_menu
	signal)
	From galeon.

2003-06-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Remove unneeded includes which mozilla cvs no longer provides.

2003-06-15  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in:

	Use new INIT macros (from galeon).

	* embed/ephy-embed-event.c: (ephy_embed_event_get_coords):
	* embed/ephy-embed-event.h:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:
	* embed/mozilla/mozilla-embed.cpp:

	mozilla api changes (from galeon). Untested.

2003-06-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single: (control_encodings_list):

	Removed it because it's unnecessary.

2003-06-15  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_set_title):

	Suggest the address as title when web page has no title.

2003-06-15  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/FilePicker.h:
	* lib/egg/eggtreemodelfilter.c:
	(egg_tree_model_filter_fetch_child),
	(egg_tree_model_filter_remove_node),
	(egg_tree_model_filter_row_changed),
	(egg_tree_model_filter_row_inserted),
	(egg_tree_model_filter_row_deleted),
	(egg_real_tree_model_filter_convert_child_path_to_path),
	(egg_tree_model_filter_refilter_helper):
	* src/window-commands.c: (window_cmd_file_open):

	Fix file picker warnings.

2003-06-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozillaPrivate.cpp: (MozillaCollatePrintSettings):
	* embed/ephy-embed.h:
	* embed/print-dialog.c: (print_dialog_init), (print_free_info),
	(print_get_info):
	* data/epiphany.schemas.in:
	* data/glade/print.glade:

	Convert dialog to metric units and default paper to A4. Fixes #112619

2003-06-15  Christian Persch  <chpe@cvs.gnome.org>

	* src/session.c: (do_session_resume):
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_download),
	(ephy_favicon_cache_get):

	Fix mem leaks.

2003-06-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single: (control_encodings_list):
	* embed/mozilla/EventContext.cpp: (EventContext::SetIntProperty),
	(EventContext::SetStringProperty (const char*, const char*)),
	(EventContext::SetStringProperty (const char*, const nsACString&)):

	Fix mem leaks.

2003-06-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/find-dialog.h:
	* embed/find-dialog.c: (set_navigation_flags),
	(ephy_find_dialog_get_property), (find_dialog_class_init),
	(sync_embed), (find_get_info), (impl_show), (find_dialog_finalize),
	(find_dialog_go_next), (find_dialog_go_prev), (find_entry_changed_cb),
	(find_check_toggled_cb), (find_dialog_get_navigation_flags):
	
	Make prev/next navigation capability an object property, and sync
	on embed changes.

	* embed/find-dialog.c: (find_dialog_new_with_parent):
	* embed/ephy-embed-dialog.c: (ephy_embed_dialog_class_init),
	(ephy_embed_dialog_new), (ephy_embed_dialog_new_with_parent),
	(ephy_embed_dialog_set_embed):
	* embed/print-dialog.c: (print_dialog_new),
	(print_dialog_new_with_parent):

	s/EphyEmbed/embed/ for the object property name.

	* src/ephy-window.h:
	* src/ephy-window.c: (sync_find_dialog), (update_find_control),
	(ephy_window_switch_page_cb), (find_dialog_search_cb),
	(ephy_window_get_find_dialog):
	* src/window-commands.c: (window_cmd_edit_find_next),
	(window_cmd_edit_find_prev):

	Sync on the find dialog on nav capability and embed changes instead of
	explicit updating.

2003-06-15  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_tabs_next),
	(window_cmd_tabs_previous):

	Rewritten, fixing mem leaks.

2003-06-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-topic-action.c: (build_bookmarks_menu),
	(build_topics_menu):
	* src/language-dialog.c: (language_editor_remove_button_clicked_cb):
	* src/pdm-dialog.c: (pdm_dialog_remove_button_clicked_cb):
	* embed/downloader-view.c: (download_dialog_abort_cb):

	Use g_list_prepend instead of g_list_append, and fix mem leaks
	along the way.

2003-06-14  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-embed-types.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-window.c: (translate_default_chrome),
	(ephy_window_set_chrome):

	Respect the bookmarks bar visibility user choice also
	for popups.

2003-06-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (create_fonts_language_menu):

	Fix previous change to actually work on anything else than en locales.

2003-06-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_get_property), (ephy_tab_set_property),
	(ephy_tab_class_init), (ephy_tab_get_visibility),
	(ephy_tab_visibility_cb):

	Make visibility a tab GObject property.
	
	* src/ephy-window.h:
	* src/ephy-window.c: (sync_tab_visibility), (update_window_visibility),
	(tab_added_cb), (tab_removed_cb):

	Sync on tab visibility changes.

2003-06-14  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:
	* src/prefs-dialog.c: (create_fonts_language_menu):

	Persist the selected language for the fonts preferences, and make
	the default translatable.

2003-06-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy_window.c: (update_window_visibility):

	Fix yet another mem leak.

2003-06-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (create_language_menu):

	Persist the language selected for the fonts preferences.
	Make the initialiser of the languages menu safe for NULL list
	from eel_gconf_get_string_list.

2003-06-13  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (get_index), (set_optionmenu_from_config),
	(set_radiobuttongroup_from_config):

	Handle NULL return from eel_gconf_get_string.
	Oh, and fix yet another mem leak.

2003-06-13  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c:
	(gul_general_read_line_from_file), (gul_string_ascii_strcasestr),
	(ns_get_bookmark_item), (ns_parse_bookmark_item),
	(ephy_bookmarks_import_mozilla):

	Do not use libxml to parse mozilla bookmarks.
	Use the galeon parser instead, ugly but works.

2003-06-13  Piers Cornwell  <piersc@cogs.susx.ac.uk>
 
 	* data/glade/prefs-dialog.glade:
 
 	Lower the increments for the cache size spin button and
 	further accesskey fixing.

2003-06-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_init), (ephy_tab_net_state_cb):

	Fix statusbar message and tab label.

2003-06-13  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:
	
	Fix typo.

2003-06-13  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-dialog.c: (set_config_from_editable),
	(set_config_from_optionmenu), (set_config_from_radiobuttongroup),
	(set_config_from_spin_button), (set_config_from_togglebutton),
	(set_config_from_color), (set_editable_from_config),
	(set_optionmenu_from_config), (set_radiobuttongroup_from_config),
	(set_spin_button_from_config), (set_togglebutton_from_config),
	(set_color_from_config), (prefs_togglebutton_clicked_cb),
	(prefs_radiobutton_clicked_cb), (prefs_spinbutton_timeout_cb),
	(prefs_color_changed_cb), (prefs_entry_changed_cb),
	(prefs_optionmenu_selected_cb), (ephy_dialog_init), (load_props),
	(save_props), (free_props), (ephy_dialog_finalize),
	(ephy_dialog_add_enum), (init_props), (impl_construct),
	(impl_show):

	Add support for string enums.

	* lib/ephy-dialog.h:
	* lib/ephy-prefs.h:
	* src/prefs-dialog.c: (prefs_dialog_init):
	* data/epiphany.schemas.in:
	* embed/downloader-view.c:
	* embed/ephy-embed-prefs.h:
	* embed/find-dialog.c:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:
	* embed/print-dialog.c:
	* lib/Makefile.am:

	Cleanup gconf prefs. This breaks compatibility
	but better now that later.

2003-06-13  Christian Persch  <chpe@cvs.gnome.org>

	The Friday the 13th Mega Patch. Beware!

	* src/ephy-notebook.h:
	* src/ephy-notebook.c: (ephy_notebook_class_init),
	(ephy_notebook_move_page), (drag_stop), (ephy_notebook_init),
	(ephy_notebook_set_page_status), (sync_load_status),
	(ephy_notebook_set_page_icon), (sync_icon),
	(ephy_notebook_set_page_title), (sync_label), (build_tab_label),
	(update_tabs_visibility), (ephy_notebook_insert_page),
	(ephy_notebook_remove_page):

	Reworked notebook signals. Now we have tab_added, tab_removed,
	tab_detached and tabs_reordered; emit them at appropriate times.
	Don't offer the ephy_notebook_set_x functions anymore; instead we
	sync on the tab's gobject properties.

	* src/ephy-tab.h:
	* src/ephy-tab.c: (ephy_tab_update_color), (ephy_tab_set_property),
	(ephy_tab_get_property), (ephy_tab_set_load_status),
	(ephy_tab_set_link_message), (ephy_tab_set_is_active),
	(ephy_tab_get_is_active), (ephy_tab_set_favicon),
	(ephy_tab_icon_cache_changed_cb), (ephy_tab_set_icon_address),
	(ephy_tab_link_message_cb), (ephy_tab_address_cb),
	(ephy_tab_zoom_changed_cb), (ensure_address), (ephy_tab_net_state_cb),
	(ephy_tab_security_change_cb), (ephy_tab_init),
	(ephy_tab_set_load_percent), (ephy_tab_update_navigation_flags),
	(ephy_tab_get_navigation_flags), (ephy_tab_get_status_message),
	(ephy_tab_set_title):

	Removed the is_active flag. Made load-status property boolean (true
	means loading), removing the TAB_LOAD_NONE/TAB_LOAD_COMPLETED
	distinction. Add navigation flags object property. Remove all calls to
	ephy_window_update_x, instead let the window sync on object properties.
	Fix statusbar message bug.

	* src/ephy-tabs-menu.c: (tab_set_action_accelerator):

	Fix accelerator for tabs with position > 10.

	* src/ephy-window.h:
	* src/ephy-window.c: (ephy_window_destroy_cb), (setup_window),
	(sync_tab_address), (sync_tab_icon), (sync_tab_load_progress),
	(sync_tab_load_status), (sync_tab_message), (sync_tab_navigation),
	(sync_tab_security), (sync_tab_stop), (sync_tab_title),
	(sync_tab_zoom), (ephy_window_set_active_tab), (update_tabs_menu),
	(tab_added_cb), (tab_removed_cb), (tab_detached_cb),
	(tabs_reordered_cb), (setup_notebook), (ephy_window_init),
	(ephy_window_add_tab), (real_get_active_tab), (ephy_window_remove_tab),
	(update_status_message), (update_progress), (update_security),
	(update_nav_control), (update_zoom_control), (update_title_control),
	(update_location_control), (update_favicon_control),
	(update_spinner_control), (ephy_window_update_control),
	(ephy_window_get_active_tab), (ephy_window_get_active_embed),
	(ephy_window_notebook_switch_page_cb), (ephy_window_tab_detached_cb):

	Sync on the active tab's object properties, and sync on the load
	status of all tabs for the spinner.

	* src/toolbar.c: (toolbar_update_navigation_actions):

	Correct inverted logic.

2003-06-13  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/ProgressListener.cpp:

	Dont try to use class members after the class
	has been deleted.

	* embed/mozilla/mozilla-embed-persist.cpp:

	Fix use of uninitialized var.

2003-06-12  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	Do not use c++ new to allocate priv struct of the object

2003-06-12  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (activate_cb):

	s/scheme/host for the smartbookmarks

2003-06-12  Xan Lopez  <xan@masilla.org>

	* data/epiphany.schemas.in:
	* lib/ephy-prefs.h:
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_dispose), (ephy_bookmarks_editor_construct):

	Do not persist node selection in BME between sessions.
	
2003-06-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-popup.c: (embed_popup_open_frame_cmd):
	* embed/ephy-embed-utils.c: (ephy_embed_utils_save):
	* embed/mozilla/mozilla-embed.cpp: (impl_go_up):
	* src/ephy-nautilus-view.c: (gnv_popup_cmd_frame_in_new_window):
	* src/ephy-shell.c: (ephy_shell_new_tab):
	* src/popup-commands.c: (popup_cmd_open_frame):
	
	Sigh. Fix some more mem leaks.

2003-06-12  Christian Neumair  <chris@gnome-de.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_bookmarks_import):

	HIGified Import Bookmarks dialog.

2003-06-12  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/glade/prefs-dialog.glade:

	Better description. Bug #113287

2003-06-12  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/eggtreemodelfilter.c:

	Update.

	* src/ephy-window.c: (ephy_window_selection_received_cb),
	(menu_activate_cb):

	Do not set clipboard items sensitivity, because there is
	not a good way to do it atm.
	Open url on middle click (on the page) in the same
	tab.

2003-06-12  Xan Lopez  <xan@masilla.org>

	* src/bookmarks/ephy-bookmarks-menu.c:

	Fix compilation.

2003-06-12  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-langs.h:
	* lib/ephy-langs.c: (ephy_langs_get_n_font_languages),
	(ephy_langs_get_font_languages):
	
	Use functions instead of declaring static vars in .h file,
	(hopefully) fixing # 114906 .

2003-06-12  Xan Lopez  <xan@masilla.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_select_node):

	Fix warning.

2003-06-12  Xan Lopez  <xan@masilla.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_select_node):

	Use gtk_tree_selection_select_iter to make selection, fixes #114965.

2003-06-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-toolitem.h:
	* src/bookmarks/ephy-bookmark-toolitem.c:
	* src/bookmarks/ephy-bookmark-action.c: (create_tool_item),
	(create_menu_item), (ephy_bookmark_action_class_init):

	Moved bookmark tool item creation to a dedicated tool item. That way we
	can provide toolbar overflow menu items.

2003-06-11  Xan Lopez  <xan@masilla.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_select_node):

	Remove unused gtk_tree_view_get_selection.

2003-06-10  David Bordoley  <bordoley@msu.edu>

	* configure.in:
	
	Remove data/starthere/Makefile from AC_OUTPUT.

2003-06-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c: (ephy_bookmarks_menu_init),
	(ephy_bookmarks_menu_finalize):

	Dont try to update menus of dead windows ;)

2003-06-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-topics-selector.c:
	(ephy_topics_selector_apply), (topic_clicked), (topic_key_pressed),
	(ephy_topics_build_ui), (ephy_topics_selector_new):

	Small cleanups. Dont crash when adding a bookmark without topics.

2003-06-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-topics-selector.c: (ephy_topics_build_ui):

	Dont set sort function on idle. The sort is visible and we can
	crash if the dialog is closed very fast.

2003-06-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/eggtoolbar.c:
	* lib/egg/eggtoolbutton.c:

	Update

2003-06-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_icon_cache_changed_cb):

	Fix mistake from previous checkin; strcmp cannot take NULL.

2003-06-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/toolbar.c: (toolbar_set_location):

	Clear the location on NULL

2003-06-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_set_page_title):

	Do not emit the TABS_CHANGED signal; the tab's egg action will itself
	take care of updating the menu entry.

	* src/ephy-tab.h:
	* src/eph-tab.c: (ephy_tab_set_property), (ephy_tab_get_property)
	(ephy_tab_class_init):

	Object properties for tab address, icon-address, load-progress,
	load-status, message, security, title, window and zoom.

	* src/ephy-tab.c: (ephy_tab_action_activate_cb), (ephy_tab_get_action),
	(ephy_tab_init):

	Augment the tab by an egg action for use in the tabs menu.

	* src/ephy-tab.c: (ephy_tab_set_load_status),
	(ephy_tab_set_link_message), (ephy_tab_set_favicon),
	(ephy_tab_icon_cache_changed_cb), (ephy_tab_set_icon_address),
	(ephy_get_icon_address), (ephy_tab_favicon_cb), (ephy_tab_address_cb),
	(ephy_tab_title_cb), (build_net_state_message), (ensure_address),
	(ephy_tab_net_state_cb), (ephy_tab_security_change_cb),
	(ephy_tab_set_load_percent), (ephy_tab_get_load_percent),
	(ephy_tab_get_status_message), (ephy_tab_set_title),
	(ephy_tab_set_location), (ephy_tab_set_security_level),
	(ephy_tab_get_security_level), (ephy_tab_set_zoom),
	(ephy_tab_get_zoom):

	Getters/setters for the tab's object properties. Use the setters in the
	callbacks instead of setting the values directly.

	* src/ephy-tabs-menu.c: (ephy_tabs_menu_set_action_accelerator),
	(ephy_tabs_menu_update):

	Use the tab's egg action directly instead of dummy egg actions.
	This makes updating the tab titles in the tabs menu work
	automagically.

2003-06-09  Xan Lopez  <xan@masilla.org>

	* src/window-commands.c: (window_cmd_file_send_to),
	(window_cmd_file_new_window), (window_cmd_file_new_tab),
	(window_cmd_file_bookmark_page), (window_cmd_file_save_as),
	(window_cmd_file_close_window):

	Minor cleanups.

2003-06-09  Jeremy Katz  <katzj@redhat.com>

	* lib/ephy-node.c (callback): Use va_copy for the valist instead of
	directly accessing it.  va_list is implemented as an array on some
	platforms (eg, AMD64).

2003-06-08  Jeremy Katz  <katzj@redhat.com>
 
	* lib/egg/egg-menu-merge.h (egg_menu_merge_add_ui_from_string):
	Update prototype.

	* lib/egg/egg-menu-merge.c (egg_menu_merge_add_ui_from_file):
	size_t fixes for 64 bit platforms.
	(egg_menu_merge_add_ui_from_string): Use size_t appropriately.

2003-06-09  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/epiphany.schemas.in:
	* data/ui/epiphany-bookmark-editor-ui.xml.in:
	* embed/ephy-embed-shell.c: (ephy_embed_shell_class_init):
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:
	* lib/Makefile.am:
	* src/bookmarks/ephy-bookmark-action.c: (create_tool_item),
	(ephy_bookmark_action_sync_smart_url), (entry_activated_cb),
	(activate_cb), (connect_proxy),
	(ephy_bookmark_action_set_property),
	(ephy_bookmark_action_finalize), (ephy_bookmark_action_class_init),
	(sync_bookmark_properties), (ephy_bookmark_action_init):
	* src/bookmarks/ephy-bookmark-properties.c:
	(location_entry_changed_cb):
	* src/bookmarks/ephy-bookmarks-editor.c: (show_properties_dialog),
	(add_bookmarks_source_menu), (import_dialog_response_cb),
	(cmd_bookmarks_import):
	* src/bookmarks/ephy-bookmarks-import.c: (ephy_bookmarks_import),
	(mozilla_parse_bookmarks), (xbel_parse_folder),
	(xbel_parse_bookmarks), (ephy_bookmarks_import_xbel):
	* src/bookmarks/ephy-bookmarks-import.h:
	* src/bookmarks/ephy-bookmarks.c:
	(ephy_bookmarks_autocompletion_source_foreach),
	(ephy_bookmarks_init_defaults), (update_topics_list),
	(update_has_smart_address), (ephy_bookmarks_add),
	(ephy_bookmarks_set_address):
	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_finalize),
	(ephy_new_bookmark_add), (ephy_new_bookmark_init),
	(ephy_new_bookmark_set_title):
	* src/bookmarks/ephy-new-bookmark.h:
	* src/ephy-shell.c: (ephy_shell_init):
	* src/popup-commands.c: (popup_cmd_bookmark_link):

	Get rid of starthere: and default to google, as discussed
	with Seth.
	Add a way to import bookmarks from the editor. (you still
	cant specificy a file, that's sort of low priority for me, but
	we have a plan on how to do it).
	Allow to edit smart bookmarks in the user interface. The address
	field is used and when there is a %s, it's considered a smart
	url. (like mozilla does it).

2003-06-08  Piers Cornwell  <piersc@cogs.susx.ac.uk>
 
 	* data/ui/epiphany-ui.xml.in:
 	* src/ephy-window.c:
 
 	Fixup context menu accesskeys. Use correct icon for Save As.

2003-06-08  Jeremy Katz  <katzj@redhat.com>

	* src/ephy-shell.c (ephy_shell_init): Explicitly create pointer to
	avoid strict aliasing warnings with gcc 3.3.
	* src/window-commands.c (window_cmd_help_about): Likewise.

2003-06-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (update_favicon_control),
	(update_spinner_control):
	
	Fix mem leaks.

2003-06-07  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:

	Remove some leftovers.

	* lib/widgets/Makefile.am:
	* lib/widgets/ephy-search-entry.c: (ephy_search_entry_get_type),
	(ephy_search_entry_class_init), (ephy_search_entry_timeout_cb),
	(ephy_search_entry_changed_cb),
	(ephy_search_entry_focus_out_event_cb), (ephy_search_entry_init),
	(ephy_search_entry_finalize), (ephy_search_entry_new),
	(ephy_search_entry_clear):
	* lib/widgets/ephy-search-entry.h:
	* src/bookmarks/ephy-bookmarks-editor.c:
	(keyword_node_selected_cb), (search_entry_search_cb),
	(build_search_box):
	* src/ephy-history-window.c: (site_node_selected_cb),
	(search_entry_search_cb), (build_search_box):

	Implement a search entry that delays searches a bit after
	the user pressed key, to have autoapply but make it interactive
	enough. (Based on rhythmbox one)

2003-06-07  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/epiphany.schemas.in:
	* data/glade/prefs-dialog.glade:
	* embed/ephy-embed-prefs.h:
	* embed/ephy-embed-single.c: (ephy_embed_single_clear_cache):
	* embed/ephy-embed-single.h:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:
	* src/bookmarks/ephy-bookmarks-import.c: (mozilla_parse_bookmarks),
	(xbel_parse_folder):
	* src/prefs-dialog.c: (prefs_clear_cache_button_clicked_cb):

	Remove memory cache prefs/ui, now mozilla can deal with it
	automagically.
	Rename Appeareance tab to be less generic.
	Do not convert spaces to _ on bookmarks importing.

2003-06-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_set_property),
	(ephy_tab_get_property), (ephy_tab_class_init):

	Install some object properties for later use.

2003-06-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_tabs_detach),
	(window_cmd_file_bookmark_page):

	Fix mem leaks.

2003-06-07  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/art/epiphany-secure.png:
	* data/art/epiphany-unsecure.png:

	Better icons. Thanks to Luca Ferretti for suggesting them
	and to Jimmac.

2003-06-07  Christian Neumair  <chris@gnome-de.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	We used to have two mnemonics for Shift_JS. Fix it and tell
	translators that they have to be careful.

2003-06-07 Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (impl_get_value):
	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_add):

	Fix mem leak.

2003-06-06 Piers Cornwell  <piersc@cogs.susx.ac.uk>
 
 	* embed/mozilla/mozilla-embed-single.cpp:
 
 	Fixup a mistake in my previous patch for encoding accesskeys.

2003-06-06  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in:

	Update to 0.7.0

	* lib/egg/egg-menu-merge.c: (egg_menu_merge_add_ui_from_string):
	* lib/egg/egg-menu-merge.h:
	
	Fix crash on startup on alpha

2003-06-06 Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tabs-menu.c: (ephy_tabs_menu_init), (ephy_tabs_menu_clean):

	Fix signed/unsigned mistake.

2003-06-06 Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c: (ephy_bookmarks_menu_clean),
	(ephy_bookmarks_menu_rebuild), (ephy_bookmarks_menu_init):
	* src/ephy-favorites-menu.c: (ephy_favorites_menu_clean),
	(ephy_favorites_menu_rebuild), (ephy_favorites_menu_init):

	Fix signed/unsigned mistake, speed up favorites menu building

2003-06-05 Piers Cornwell  <piersc@cogs.susx.ac.uk>

	* embed/mozilla/mozilla-embed-single.cpp:

	Add accels on the encoding menus.

2003-06-05  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-window.c: (save_window_chrome):

	Do not save when fullscreen

2003-06-05  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/epiphany.schemas.in:

	s/ask download/ask for download

	* lib/egg/egg-editable-toolbar.c: (toolbar_changed_cb),
	(egg_editable_toolbar_set_model):
	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_set_flags),
	(egg_toolbars_model_class_init):
	* lib/egg/egg-toolbars-model.h:
	* lib/egg/eggtoolbar.c: (egg_toolbar_internal_insert_element):

	Update.

	* src/ephy-toolbars-model.c: (ephy_toolbars_model_set_flag),
	(ephy_toolbars_model_unset_flag):
	* src/ephy-toolbars-model.h:

	Add a way to set/unset a flag on all toolbars.

	* src/ephy-window.c: (ephy_window_init),
	(translate_default_chrome),
	(update_exit_fullscreen_popup_position), (size_changed_cb),
	(exit_fullscreen_button_clicked_cb), (ephy_window_fullscreen),
	(ephy_window_unfullscreen), (ephy_window_set_chrome):

	Implement an exit fullscreen button.
	Force toolbars style to be icon only.

2003-06-05  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/epiphany.schemas.in:
	* embed/ephy-embed-popup.c: (embed_popup_download_link_cmd):
	* embed/ephy-embed-utils.c: (ephy_embed_utils_save):

	Actually add the ask for dest pref, it was using the wrong key.

	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:

	Return directory also on cancel.

	* lib/ephy-prefs.h:
	* src/popup-commands.c: (popup_cmd_download_link):

	Persist directory also on cancel.

2003-06-04  David Bordoley  <bordoley@msu.edu>

	* data/ui/epiphany-ui.xml.in:

	Move the bookmarks menu after go. There is a slight
	inconsistency in the HIG, but this is the intended order.

	* embed/mozilla/mozilla-embed-single.cpp: (MozillaEmbedSinglePrivate),
	(mozilla_set_default_prefs), (color_to_string), 
	(mozilla_update_colors), (mozilla_setup_colors), 
	(mozilla_embed_single_init), (mozilla_embed_single_finalize):

	Disable caret browsing for now since enough people complain. 
	We really need a visible pref for this though. Oh you need to reset
	this in about:config to actually turn it off. 
	Monitor theme changes and set the background and text colors based
	on the theme text entry colors.

2003-06-04  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c:
	(ephy_bookmarks_menu_rebuild), (do_updates),
	(bookmarks_tree_changed_cb), (ephy_bookmarks_menu_init):
	* src/bookmarks/ephy-bookmarks.c: (bookmarks_changed_cb),
	(topics_removed_cb), (ephy_bookmarks_add):

	Make sure to rebuild on add bookmark and on topic removal.
	Update on idle, so things like importing bookmarks doesnt
	take two days.

	* src/ephy-notebook.c: (notebook_drag_data_received_cb):
	* src/ephy-shell.c: (ephy_init_services), (load_homepage),
	(ephy_shell_new_tab):
	* src/ephy-shell.h:
	* src/ephy-window.c: (setup_window):
	* src/session.c: (parse_embed):

	Drop NOT_JUMP_TO flag, we dont have a pref anymore.

	On new page instead of really clone the page, just clone
	the url (put it in the address entry). So if the user need it
	it's easy to load, but there are not the inacceptable slow
	downs of real cloning. Let's see how this works ...

2003-06-04  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/Makefile.am:
	* src/bookmarks/ephy-bookmark-action.c: (connect_proxy):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_class_init),
	(bookmarks_changed_cb), (bookmarks_removed_cb),
	(ephy_bookmarks_set_keyword), (ephy_bookmarks_unset_keyword),
	(ephy_bookmarks_get_favorites),
	(ephy_bookmarks_get_not_categorized):
	* src/bookmarks/ephy-bookmarks.h:
	* src/ephy-window.c: (ephy_window_init), (ephy_window_finalize):

	Implement bookmarks menu, might need to be optimized later.

2003-06-04  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/epiphany-ui.xml.in:

	Add a bookmarks menu. (still not the tree)

	* src/bookmarks/ephy-bookmark-action.c: (create_menu_item),
	(ephy_bookmark_action_sync_icon),
	(ephy_bookmark_action_sync_label), (activate_cb), (connect_proxy),
	(ephy_bookmark_action_class_init):

	Implement create_menu_item.

	* src/ephy-favorites-menu.c: (ephy_favorites_menu_get_type),
	(go_location_cb), (ephy_favorites_menu_rebuild),
	(ephy_favorites_menu_set_property),
	(ephy_favorites_menu_get_property),
	(ephy_favorites_menu_class_init), (ephy_favorites_menu_init),
	(ephy_favorites_menu_finalize), (ephy_favorites_menu_new):

	Use bookmark action.

	* src/ephy-window.c:

	Change verbs for bookmarks menu.

2003-06-03  Piers Cornwell  <piersc@cogs.susx.ac.uk>

	* data/conspiracy.xhtml:
	* data/epiphany.xhtml:

	GPLification of xhtml files (all hail our FSF overlords).

2003-06-02  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-prefs.h:
	* src/ephy-shell.c: (ephy_shell_new_tab):
	* src/ephy-notebook.c: (notebook_drag_data_received_cb):
	
	Get rid of the leftovers of the jump-to-tab pref.

2003-06-03  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c:
	
	Fix compile with -Werror.

2003-06-03  Piers Cornwell  <piersc@cogs.susx.ac.uk>

	* configure.in: update mozilla versions

2003-06-03  Kenneth Rohde Christiansen  <kenneth@gnu.org>

	* configure.in: Added 'li' to ALL_LINGUAS

2003-06-02  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:
	
	Removed keys some unused keys, and rename others to match what the
	code defines them as.

2003-05-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:
	(mozilla_default_encoding_notifier),
	(mozilla_autodetect_encoding_notifier):
	
	Remove custom notifiers, the generic string notifier works just fine
	for those prefs.

2003-05-31  Piers Cornwell  <piersc@cogs.susx.ac.uk>

	* data/glade/prefs-dialog.glade:
	Fix accesskey conflicts in prefs for "Always use these fonts", 
	"Default encoding", "Language" and "More" and add accesskey for	
	"Language" in Languages Editor.	
  
	* data/glade/print.glade:
	Fix accesskey conflicts in print dialog for "from" and "portrait. 
	s/Printer/Print To. s/Paper Details/Paper. Better page range limits.

2003-05-31  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_finalize):

	Do not unref the db before cleaning the nodes.

2003-05-31  Lee Willis  <lwillis@plus.net>

	* lib/widgets/ephy-spinner.c:

	Don't crash if we can't find the spinner image

2003-05-30  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-spinner.c: (get_spinner_dimensions),
	(ephy_spinner_init), (ephy_spinner_theme_changed),
	(scale_to_real_size), (extract_frame), (ephy_spinner_load_images),
	(ephy_spinner_finalize), (ephy_spinner_get_theme_info):

	Use the spinner icon from gnome-icon-theme.
	You need a recent gnome-icon-theme cvs for the spinner to
	work correctly.

2003-05-30  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:
	
	Fix wrong usage of <>. Stupid me :(

2003-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tabs-menu.c: (ephy_tabs_menu_get_type),
	(ephy_tabs_menu_verb_cb), (ephy_tabs_menu_rebuild):
	
	Get rid of MAKE_GET_TYPE; make building the tabs menu a little faster.
	
	* src/ephy-window.c: (update_tabs_menu_sensitivity),
	(ephy_window_get_tabs):
	
	Remove one unnecessary call to ephy_tabs_update_menu ().

2003-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-langs.h:
	* data/glade/prefs-dialog.glade:
	* src/prefs-dialog.c: (autodetector_info_free), (prefs_dialog_finalize),
	(get_current_language_code), (setup_font_menu), (setup_size_control),
	(fonts_language_info_cmp), (create_fonts_language_menu),
	(autodetect_encoding_menu_changed_cb), (autodetector_info_cmp),
	(find_autodetector_info), (create_encoding_autodetectors_menu),
	(prefs_dialog_init):
	
	Sort the lists of encoding autodetectors and of fonts languages.
	
	* data/epiphany.schemas.in:
	
	Document the possible values for the encoding autodetectors.
	
	* embed/mozilla/mozilla-notifiers.cpp: (mozilla_notifiers_init),
	(mozilla_default_encoding_notifier),
	(mozilla_autodetect_encoding_notifier):

	Adapted for the changes in the prefs dialog.
	The default encoding notifier now propagates the setting to mozilla :)

2003-05-28  Christian Persch  <chpe@cvs.gnome.org>

	The "s/charset/encoding/" mega patch :)

	* *, */*, */*/*:
	
	s/charset/encoding/

	* embed/mozilla/mozilla-embed-single.c: (impl_get_charsets),
	(impl_get_language_groups), (control_charsets_list),
	(mozilla_embed_single_init), (fill_charset_lists):
	* embed/ephy-embed-single.h:
	* embed/ephy-embed-single.c:
	
	Sort the returned list of charsets resp. language groups according
	to the localised strings in the current locale. Allow for underscore
	eliding to be able to use the list in both menus (underscore -> accel)
	and in the prefs option menu (no accels).
	
	* lib/ephy-string.h:
	* lib/ephy-string.c: (ephy_str_elide_underscores):
	
	New helper function for eliding underscores.

	* lib/ephy-langs.h:
 	* lib/ephy-langs.c:
	
	A few more common lang/encoding related defines and struct, as well
	as helper functions to free them in one go.
	
	* embed/ephy-embed-utils.h:
	* embed/ephy-embed-utils.c: (ephy_embed_utils_build_charsets_submenu):
	* src/ephy-encoding-menu.c: (ephy_encoding_menu_verb_cb),
	(build_group), (build_charset), (ephy_encoding_menu_rebuild):
	* src/ephy-nautilus-view.c: (gnv_cmd_set_charset):
	* src/prefs-dialog.c: (prefs_dialog_init),
	(default_charset_menu_changed_cb), (find_charset_in_list_cmp),
	(create_default_charset_menu), (prefs_dialog_finalize):

	Show the list of charsets and language groups sorted in the current
	locale.

	* data/epiphany.schemas.in:
	
	Document the possible charset values.

2003-05-28  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in:
	* embed/ephy-history.c: (ephy_history_clear):
	* embed/mozilla/GlobalHistory.cpp:

	Make it build with mozilla cvs.
	Remove only pages on history clear, the sites
	are automatically removed (fix freeze). 

2003-05-27  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp (impl_get_charset_groups):

	Fix the compiler warning from my previous checkin. 

2003-05-27  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp: (impl_get_charset_titles),
	(impl_get_charset_groups), (impl_get_font_list):

	g_list_prepend is faster than g_list_append.

2003-05-27  Xan Lopez  <xan@masilla.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_get_selection):

	Try to fix dereferencing type-punned warning.

2003-05-27  Xan Lopez  <xan@masilla.org>

	* lib/ephy-node.c: (ephy_node_new), (ephy_node_new_with_id),
	(ephy_node_get_db):

	More of the same.

2003-05-27  Xan Lopez  <xan@masilla.org>

	* lib/ephy-node.c: (ephy_node_get_id), (ephy_node_ref),
	(ephy_node_unref), (ephy_node_freeze), (ephy_node_thaw),
	(ephy_node_set_property), (ephy_node_get_property),
	(ephy_node_get_property_string), (ephy_node_get_property_boolean),
	(ephy_node_get_property_long), (ephy_node_get_property_int),
	(ephy_node_get_property_double), (ephy_node_get_property_float),
	(ephy_node_get_property_node), (ephy_node_save_to_xml),
	(ephy_node_new_from_xml), (ephy_node_add_child),
	(ephy_node_remove_child), (ephy_node_has_child),
	(ephy_node_sort_children), (ephy_node_reorder_children),
	(ephy_node_get_children), (ephy_node_get_n_children),
	(ephy_node_get_nth_child), (ephy_node_get_child_index),
	(ephy_node_get_next_child), (ephy_node_get_previous_child),
	(ephy_node_signal_connect_object), (ephy_node_signal_disconnect):
	* lib/ephy-node.h:

	Lots of safety checks on node functions.

2003-05-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-i18n.h:
	* embed/mozilla/mozilla-i18n.c:
	* embed/mozilla/mozilla-embed-single.c: (fill_charsets_list),
	(impl_get_charset_titles):
	* embed/mozilla/mozilla-notifiers.c: (mozilla_notifiers_init):
	* lib/ephy-langs.h:
	* src/prefs-dialog.c: (setup_font_menu):

	Refactored the charset and language groups strings.

2003-05-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (free_lang_item), (prefs_dialog_finalize),
	(compare_lang_items), (find_lang_code), (create_languages_list),
	(general_prefs_new_language_menu), (language_menu_changed_cb),
	(create_language_menu), (prefs_dialog_init), (fill_language_editor),
	(language_dialog_changed_cb), (prefs_language_more_button_clicked_cb):

	Fix potential memory corruption. Retain custom lang codes. Sort the
	languages list using the current locale.

	Fix some mem leaks en passant.

2003-05-26  Christian Persch  <chpe+gnomebugz@stud.uni-saarland.de>

	* embed/mozilla/mozilla-notifiers.c: (mozilla_language_notifier):

	Fix mem leak.

2003-05-26  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-node.c: (callback), (ephy_node_dispose):
	* lib/ephy-node.h:

	s/DESTROYED/DESTROY which is more useulf

	* lib/widgets/ephy-tree-model-node.c:
	(ephy_tree_model_node_set_property), (root_destroy_cb):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_update_menu):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init_defaults),
	(ephy_bookmarks_set_toolbars_model), (ephy_bookmarks_set_property),
	(ephy_bookmarks_get_property), (ephy_bookmarks_class_init),
	(bookmarks_removed_cb), (topics_removed_cb), (ephy_bookmarks_init),
	(ephy_bookmarks_finalize):
	* src/ephy-shell.c: (ephy_shell_get_toolbars_model):
	* src/ephy-toolbars-model.c: (impl_add_item),
	(ephy_toolbars_model_set_bookmarks),
	(ephy_toolbars_model_set_property),
	(ephy_toolbars_model_get_property),
	(ephy_toolbars_model_class_init), (ephy_toolbars_model_init),
	(ephy_toolbars_model_finalize), (ephy_toolbars_model_new):
	* src/ephy-toolbars-model.h:
	* src/toolbar.c: (topic_destroy_cb), (bookmark_destroy_cb),
	(toolbar_ensure_action), (toolbar_init):

	Better way to remove unrefed bookmarks from the toolbar.
	
	Ref bookmarks in toolbars model and weak reaf toolbars model
	in bookmarks. So setting defaults really works.

2003-05-25  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-node.c: (ephy_node_dispose):

	Unlink the node from the childs only after the remove
	from parent signal has been emitted.

2003-05-25  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in:
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_save):
	* embed/ephy-history.c: (ephy_history_save), (hosts_removed_cb),
	(pages_removed_cb), (unref_empty_host),
	(page_removed_from_host_cb), (connect_page_removed_from_host),
	(ephy_history_init), (ephy_history_add_host):
	* lib/ephy-file-helpers.c: (ephy_file_save_xml):
	* lib/ephy-file-helpers.h:
	* lib/ephy-node.c: (callback), (ephy_node_emit_signal),
	(real_remove_child), (ephy_node_dispose):
	* lib/ephy-node.h:
	* lib/ephy-state.c: (ephy_states_save):
	* lib/widgets/ephy-tree-model-node.c: (root_child_removed_cb):
	* src/bookmarks/ephy-bookmarks-export.c:
	(ephy_bookmarks_export_rdf):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_save),
	(bookmarks_removed_cb), (topics_removed_cb):

	Try to fix node removal problems. I cant repro crashes ...
	but they are quite hard to reproduce.
	Use a save_xml helper that is low disk safe.

	* src/ephy-automation.c: (impl_ephy_automation_loadurl):

	Use OPEN_PAGE when an url is passed

2003-05-25  Xan Lopez  <xan@masilla.org>

	* embed/downloader-view.c: (controls_info_foreach),
	(downloader_view_update_controls),
	(downloader_view_set_download_info),
	(downloader_view_add_download):
	* embed/mozilla/ProgressListener.cpp:

	Fix crash on download pause (#113447)

2003-05-25  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-state.c: (ephy_state_save):

	Fix nautilus view crash	

2003-05-16  Christian Persch  <chpe+gnomebugz@stud.uni-saarland.de>

	* src/window-commands.c: shift force reload

2003-05-25  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_load),
	(ephy_favicon_cache_save), (ephy_favicon_cache_init),
	(ephy_favicon_cache_finalize):
	* embed/ephy-history.c: (ephy_history_load), (ephy_history_save),
	(ephy_history_init):
	* lib/ephy-node-db.c: (ephy_node_db_get_property),
	(ephy_node_db_set_property), (ephy_node_db_class_init),
	(ephy_node_db_init), (ephy_node_db_finalize), (ephy_node_db_new),
	(_ephy_node_db_remove_id):
	* lib/ephy-node-db.h:
	* lib/ephy-node.c: (ephy_node_save_to_xml):
	* lib/ephy-node.h:
	* lib/ephy-state.c: (ephy_states_load), (ephy_states_save),
	(ensure_states):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_load),
	(ephy_bookmarks_save), (ephy_bookmarks_init):

	Revert latest node changes. Parents nodes need to be saved
	first and it's easier to do that in a not generic way :/

2003-05-24  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/eggradiotoolbutton.c:
	* lib/egg/eggseparatortoolitem.c:
	* lib/egg/eggtoggletoolbutton.c:
	* lib/egg/eggtoolbar.c:
	* lib/egg/eggtoolbar.h:
	* lib/egg/eggtoolbutton.c:
	* lib/egg/eggtoolbutton.h:
	* lib/egg/eggtoolitem.c:

	Update

2003-05-23  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_load),
	(ephy_favicon_cache_save), (ephy_favicon_cache_init),
	(ephy_favicon_cache_finalize):
	* embed/ephy-history.c: (ephy_history_load), (ephy_history_save),
	(ephy_history_init):
	* lib/ephy-node-db.c: (ephy_node_db_set_version),
	(ephy_node_db_get_property), (ephy_node_db_set_property),
	(ephy_node_db_class_init), (ephy_node_db_init),
	(ephy_node_db_finalize), (ephy_node_db_new),
	(_ephy_node_db_remove_id), (ephy_node_db_load_from_xml),
	(ephy_node_db_save_to_xml):
	* lib/ephy-node-db.h:
	* lib/ephy-node.c: (ephy_node_to_xml):
	* lib/ephy-node.h:
	* lib/ephy-state.c: (ephy_states_load), (ephy_states_save),
	(ensure_states):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_load),
	(ephy_bookmarks_save), (ephy_bookmarks_init),
	(ephy_bookmarks_finalize):

	Implement generic way to save/load db and make it
	low disk safe.

2003-05-22  David Bordoley  <bordoley@msu.edu>

	* src/bookmarks/ephy-topic-action.c:
	(menu_deactivate_cb), (button_pressed_cb),
	(connect_proxy):

	Activate the menu on button press down, like other menus.

2003-05-22  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_insert_page):

	Revert embed dnd changes. They doesnt work properly.

2003-05-22  David Bordoley  <bordoley@msu.edu>

	* embed/mozilla/mozilla-embed-single.cpp:
	(mozilla_set_default_prefs):

	Disable Blink and Marquee, cuz they are annoying and
	non-standard. Don't fetch sidebar whats related stuff.
	Line Wrap View->Source. CTRL-Mousewheel scrolls by one page.
	Enable Image Auto-Resizing. Enable Browsing with the Caret.

2003-05-22  Christian Persch  <chpe+gnomebugz@stud.uni-saarland.de>
 
 	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_init):
 
 	Don't set a border width on the zoom control, so that it
 	fits on the address toolbar.

2003-05-22  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2003-05-21  Xan Lopez  <xan@masilla.org>

	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_is_unique):

	Correct indentation of args.

	* src/ephy-window.c: (ephy_window_selection_received_cb):

	Yet more new tab logic fixes.

2003-05-21  Xan Lopez  <xan@masilla.org>

	* embed/ephy-favicon-cache.c: (remove_obsolete_icons),
	(kill_download):

	s/g_object_unref/ephy_node_unref/ on EphyNodes.

2003-05-21  Xan Lopez  <xan@masilla.org>

	* src/ephy-tab.c: (ephy_tab_dom_mouse_click_cb):
	* src/session.c: (parse_embed):

	Fix according to new tab logic.

2003-05-21  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-notebook.c: (child_realize_cb),
	(ephy_notebook_insert_page):

	Implement our own drag dest on the embed. Dnd of multiple
	urls on embed now open them in tabs.

2003-05-21  Christian Neumair  <chris@gnome-de.org>

	* embed/downloader-view.c: (downloader_view_set_download_info):

	Add gettext call to l10nize string displayed in remaining column when
	download is complete.

2003-05-21  David Bordoley  <bordoley@msu.edu>

	* src/bookmarks/ephy-new-bookmark.c: (duplicate_dialog_construct):

	s/address/page. This always bothered me.

2003-05-21  Christian Neumair  <chris@gnome-de.org>

	* data/glade/epiphany.glade
	* data/glade/prefs-dialog.glade
	* data/epiphany.schemas.in
	* embed/downloader-view.c
	* embed/downloader-view.h:

	Applied patch from #113367 which inter alia removes the keep_open
	option from the download manager and does various download UI tweakage.

2003-05-21  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(cmd_open_bookmarks_in_tabs),
	(ephy_bookmarks_editor_node_activated_cb):
	* src/ephy-automation.c: (impl_ephy_automation_loadurl):
	* src/ephy-history-window.c: (cmd_open_bookmarks_in_tabs),
	(cmd_open_bookmarks_in_browser):
	* src/ephy-notebook.c: (notebook_drag_data_received_cb):
	* src/ephy-shell.c: (ephy_shell_new_tab):
	* src/ephy-shell.h:
	* src/popup-commands.c: (popup_cmd_link_in_new_window),
	(popup_cmd_link_in_new_tab), (popup_cmd_image_in_new_tab),
	(popup_cmd_image_in_new_window), (popup_cmd_frame_in_new_tab),
	(popup_cmd_frame_in_new_window):
	* src/window-commands.c: (window_cmd_file_new_window),
	(window_cmd_file_new_tab), (window_cmd_view_page_source):

	Cleanup new tab logic, and ever use window for new instances.

2003-05-21  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_save):

	Do not free memory is not a good idea

	* lib/ephy-node-db.c: (ephy_node_db_set_name):

	Free it two times is even worst

2003-05-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-dnd.c: (ephy_dnd_drag_data_get),
	(ephy_dnd_node_list_extract_nodes):
	* lib/ephy-node-db.c: (ephy_node_db_set_name), (node_from_id_real),
	(ephy_node_db_get_name):
	* lib/ephy-node-db.h:
	* lib/ephy-node.c: (ephy_node_get_db):
	* lib/ephy-node.h:
	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_button_press_event_cb),
	(ephy_location_entry_build):
	* lib/widgets/ephy-tree-model-sort.c: (each_node_get_data_binder):

	Fix nodes drag and drop.
	Make double click select the whole address in toolbar entry.

2003-05-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-dnd.c: (ephy_dnd_drag_data_get),
	(ephy_dnd_node_list_extract_nodes):
	* lib/ephy-node-db.c: (ephy_node_db_set_name), (node_from_id_real),
	(ephy_node_db_get_name):
	* lib/ephy-node-db.h:
	* lib/ephy-node.c: (ephy_node_get_db):
	* lib/ephy-node.h:
	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_button_press_event_cb),
	(ephy_location_entry_build):
	* lib/widgets/ephy-tree-model-sort.c: (each_node_get_data_binder):

2003-05-20  Christian Neumair  <chris@gnome-de.org>

	* embed/downloader-view.c: (format_time):

	Mark time format strings for translation.

2003-05-20  Xan Lopez  <xan@masilla.org>

	* data/glade/epiphany.glade:
	* embed/find-dialog.c: (impl_show):

	Make find dialog unresizable, blah.

2003-05-19  Christian Persch <chpe+gnomebugz@stud.uni-saarland.de>

 	Simplified and reorganised zoom. Implement a zoom control for the
 	toolbar.
 
 	* lib/widgets/ephy-zoom-action.h:
 	* lib/widgets/ephy-zoom-action.c:
 	* lib/widgets/ephy-zoom-control.h:
 	* lib/widgets/ephy-zoom-control.c:
 
 	New. A simple zoom control and a corresponding egg action.
 
 	* lib/ephy-zoom.h:
 	* lib/ephy-zoom.c:
 
 	New. Define the supported zoom levels, plus some helper functions.
 
 	* data/ui/epiphany-toolbar.xml.in:
 	* src/toolbar.h:
 	* src/toolbar.c: (toolbar_update_zoom_control),
 	(zoom_to_level_cb), (toolbar_setup_actions):
 
 	Hook up zoom control.
 
 	* src/ephy-window.c: (toolbar_update_zoom_control):
 
 	New. Updates toolbar zoom control and menu item sensitivity.
 
 	* embed/mozilla/mozilla-embed.c: (impl_zoom_set, impl_zoom_get):
 	* embed/ephy-embed.[ch]: (zoom_set), (zoom_get), (ephy_embed_zoom_set),
 	(ephy_embed_zoom_get):
 	* lib/ephy-marshal.list:
 	* src/ephy-nautilus-view.c: (gnv_embed_zoom_change_cb),
 	(gnv_zoomable_set_zoom_level_cb):
 	* src/ephy-tab.c: (ephy_tab_zoom_changed_cb):
 	* src/ephy-window.c: (ephy_window_set_zoom):
 
 	Use float zoom factor instead of int percent for zoom.
 
 	* src/ephy-nautilus-view.c: (ephy_nautilus_view_instance_init),
 	(ephy_nautilus_view_class_init), (gnv_zoomable_set_zoom_level_cb),
 	(gnv_zoomable_zoom_in_cb), (gnv_zoomable_zoom_out_cb),
 	(gnv_zoomable_zoom_to_default_cb), (gnv_embed_zoom_change_cb):
 	* src/window-commands.c: (window_cmd_view_zoom_in),
 	(window_cmd_view_zoom_out), (window_cmd_view_zoom_normal):
 
 	Simplified; use ephy-zoom.h where appropriate.

2003-05-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/downloader-view.c: (downloader_view_build_ui):
	* embed/mozilla/Makefile.am:
	* embed/mozilla/default-prefs.js:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:
	* embed/mozilla/mozilla-prefs.cpp:
	* embed/mozilla/mozilla-prefs.h:
	* lib/ephy-dnd.c: (ephy_dnd_node_list_extract_nodes):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):
	* src/ephy-history-window.c: (ephy_history_window_construct):

	Fix some warnings.
	Go back hardcoding defaults in the code, mozilla pref api sucks :/
	Cleanup mozilla prefs code, we can use mozilla api directly now,
	no need for a wrapper like in galeon1.

2003-05-19  Christian Neumair  <chris@gnome-de.org>

	* data/glade/epiphany.glade
	* data/glade/prefs-dialog.glade
	* data/glade/print.glade
	* src/bookmarks/ephy-bookmark-properties.c
	* src/bookmarks/ephy-new-bookmark.c
	* src/pdm-dialog.c
	* src/session.c
	* src/window-commands.c :

	Made (hopefully) all dialogs HIG compliant, at least when it comes to spacing.
	Last patch of the #112781 patch series.

2003-05-19  David Bordoley  <bordoley@msu.edu>

	* embed/downloader-view.c: (downloader_view_build_ui):
	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:
	* src/ephy-history-window.c: (ephy_history_window_construct):
	* src/bookmarks/ephy-bookmarks-editor.c: 
	ephy_bookmarks_editor_construct):

	Use stock icons instead of the files directly to set window
	border icons.

2003-05-19  David Bordoley  <bordoley@msu.edu>

	* data/epiphany.schemas.in:
	* data/glade/prefs-dialog.glade:
	* lib/ephy-prefs.h:
	* src/ephy-shell.c: (build_homepage_url):
	* src/pref-dialog.c: (properties[])

	Shortest patch ever!!! Kill the new page pref.
	Make Seth happy :)

2003-05-19  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/Makefile.am:
	* lib/ephy-dnd.c: (ephy_dnd_node_list_extract_nodes):
	* lib/ephy-node.c: (write_lock_to_read_lock),
	(read_lock_to_write_lock), (lock_gdk), (unlock_gdk), (callback),
	(ephy_node_emit_signal), (ephy_node_finalize), (real_remove_child),
	(remove_child), (signal_object_weak_notify),
	(unref_signal_objects), (ephy_node_dispose), (ephy_node_new),
	(ephy_node_new_with_id), (ephy_node_get_id), (ephy_node_ref),
	(ephy_node_unref), (ephy_node_freeze), (ephy_node_thaw),
	(child_changed), (real_set_property), (ephy_node_set_property),
	(ephy_node_get_property), (ephy_node_get_property_string),
	(ephy_node_get_property_boolean), (ephy_node_get_property_long),
	(ephy_node_get_property_int), (ephy_node_get_property_double),
	(ephy_node_get_property_float), (ephy_node_get_property_node),
	(save_parent), (ephy_node_save_to_xml), (real_add_child),
	(ephy_node_new_from_xml), (ephy_node_add_child),
	(ephy_node_remove_child), (ephy_node_has_child),
	(ephy_node_real_get_child_index), (ephy_node_sort_children),
	(ephy_node_reorder_children), (ephy_node_get_children),
	(ephy_node_get_n_children), (ephy_node_get_nth_child),
	(get_child_index_real), (ephy_node_get_child_index),
	(ephy_node_get_next_child), (ephy_node_get_previous_child),
	(ephy_node_signal_connect_object), (ephy_node_signal_disconnect):
	* lib/ephy-node.h:
	* lib/ephy-state.c: (ephy_states_load), (ensure_states),
	(ephy_state_add_window), (ephy_state_add_paned), (ephy_state_save):
	* lib/widgets/ephy-node-view.c: (ephy_node_view_class_init),
	(ephy_node_view_selection_changed_cb),
	(ephy_node_view_set_property), (ephy_node_view_get_property),
	(ephy_node_view_remove):
	* lib/widgets/ephy-tree-model-node.c:
	(ephy_tree_model_node_class_init),
	(ephy_tree_model_node_set_property),
	(ephy_tree_model_node_get_property),
	(ephy_tree_model_node_get_value), (ephy_tree_model_node_get_path),
	(ephy_tree_model_node_iter_next),
	(ephy_tree_model_node_node_from_iter):
	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_init), (ephy_bookmark_action_new):
	* src/bookmarks/ephy-bookmark-properties.c:
	(ephy_bookmark_properties_class_init),
	(ephy_bookmark_properties_set_property):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(cmd_show_in_bookmarks_bar), (cmd_open_bookmarks_in_tabs),
	(cmd_open_bookmarks_in_browser), (cmd_delete),
	(cmd_bookmark_properties), (cmd_copy),
	(ephy_bookmarks_editor_node_activated_cb),
	(ephy_bookmarks_editor_update_menu),
	(ephy_bookmarks_editor_dispose), (node_dropped_cb),
	(ephy_bookmarks_editor_construct):
	* src/bookmarks/ephy-bookmarks-export.c: (add_topics_list):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_load),
	(ephy_bookmarks_init), (ephy_bookmarks_add),
	(ephy_bookmarks_add_keyword), (ephy_bookmarks_get_from_id):
	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/ephy-topic-action.c: (menu_activate_cb),
	(sort_bookmarks), (sort_topics), (build_menu),
	(ephy_topic_action_init), (ephy_topic_action_new):
	* src/bookmarks/ephy-topics-selector.c:
	(ephy_topics_selector_class_init),
	(ephy_topics_selector_set_property),
	(ephy_topics_selector_get_property):
	* src/ephy-history-window.c: (cmd_open_bookmarks_in_tabs),
	(cmd_open_bookmarks_in_browser), (cmd_copy), (cmd_bookmark_link),
	(ephy_history_window_node_activated_cb),
	(ephy_history_window_update_menu):
	* src/ephy-shell.c: (ephy_shell_init), (ephy_shell_finalize):
	* src/ephy-toolbars-model.c: (impl_add_item):
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_load),
	(ephy_favicon_cache_init), (ephy_favicon_cache_finalize),
	(ephy_favicon_cache_get):
	* embed/ephy-history.c:
	(ephy_history_autocompletion_source_foreach), (ephy_history_load),
	(pages_removed_cb), (ephy_history_init), (ephy_history_finalize),
	(ephy_history_add_host), (ephy_history_visited),
	(ephy_history_add_page):

	Ok biggest commit of ephy history.
	Extend node api to allow to branch different databases, deobjectify
	nodes for better perfomance, smarted id factory.
	Convert code to use the new api.
	This will very likely break something, please backup your bookmarks (the .xml)
	and report them.

2003-05-19  David Bordoley  <bordoley@msu.edu>

	* data/epiphany.schemas.in:
	* data/glade/prefs-dialog.glade:
	* embed/ephy-embed-prefs.h:
	* embed/mozilla/default-prefs.js:
	* embed/mozilla/mozilla-notifiers.cpp: (conversion_table []):
	* src/prefs-dialog.c: (properties []):

	Remove fine grain color settings. Always use the system theme
	colors in the case where a page doesn't set it own colors.	

2003-05-18  Marco Pesenti Gritti  <marco@it.gnome.org>

	* Makefile.am:
	* data/Makefile.am:
	* data/starthere/Makefile.am:

	Fix uninstallation

2003-05-18  Marco Pesenti Gritti  <marco@it.gnome.org>

	* NEWS:
	* configure.in:

	0.6.1

	* embed/find-dialog.c: (dialog_constrain_height):

	Missing cast.

	* lib/ephy-start-here.c:

	Missing header.

2003-05-18  Xan Lopez  <xan@masilla.org>

	* NEWS: Updates, typos.

2003-05-18  Marco Pesenti Gritti  <marco@it.gnome.org>

	* NEWS: update for 0.6.1, feel free to improve

2003-05-17  Xan Lopez  <xan@masilla.org>

	* embed/find-dialog.c: (dialog_constrain_height), (impl_show):

	Do not allow to resize the dialog vertically, fixes #112727.
	
	* embed/mozilla/FilePicker.cpp:

	Remove unused header.

2003-05-17  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-window.c: (ephy_window_set_chrome):

	Use gtk api for fullscreen, not wm directly

2003-05-17  Christian Neumair  <chris@gnome-de.org>

	(#112781)

	* data/starthere/index.xml.in
	* data/starthere/section.xsl
	* data/starthere/smartbookmarks.xml.in:
	
	i18nized page title and links, fixed semantic inconsistency.

	* data/ui/epiphany-ui.xml.in
	* src/ephy-favorites-menu.c:

	Only construct Go menu's third separator if there are menu items added
	after it.

	* embed/downloader-view.c:

	Re-added mnemonics to pause/resume button.

	* embed/mozilla/mozilla-i18n.c
	* embed/mozilla/mozilla-notifiers.cpp
	* embed/downloader-view.c
	* embed/ephy-embed-event.c
	* embed/ephy-embed-persist.c
	* embed/ephy-embed-utils.c
	* embed/ephy-history.c
	* lib/widgets/ephy-autocompletion-window.c
	* lib/widgets/ephy-node-view.c
	* lib/widgets/ephy-tree-model-node.c
	* lib/eel-gconf-extensions.c
	* lib/ephy-file-helpers.c
	* lib/ephy-gui.c
	* lib/ephy-node.c
	* lib/ephy-start-here.c
	* lib/ephy-string.c
	* src/bookmarks/ephy-bookmark-action.c
	* src/bookmarks/ephy-bookmark-properties.c
	* src/bookmarks/ephy-bookmarks-editor.c
	* src/bookmarks/ephy-bookmarks.c
	* src/bookmarks/ephy-new-bookmark.c
	* src/bookmarks/ephy-topic-action.c
	* src/ephy-encoding-menu.c
	* src/ephy-history-window.c
	* src/ephy-notebook.c
	* src/ephy-window.c
	* src/ppview-toolbar.c
	* src/session.c
	* src/toolbar.c:
	
	Various i18n include fixes, inter alia included config.h where
	required.

	* src/ephy-go-action.c:
	
	Ditto, plus fixed gettext call.

	* src/pdm-dialog.c:

	Ditto, plus some slight string fixes.

	* src/prefs-dialog.c:
	
	Ditto, plus added some gettext calls to localize language and encoding
	selection.

	* src/window-commands.c:

	Capitalized "Toolbar Editor" in the toolbar editor window's title.

2003-05-17 David Bordoley <bordoley@msu.edu>
	   Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/epiphany-ui.xml.in:
	* src/Makefile.am:
	* src/bookmarks/ephy-bookmark-action.c: (create_tool_item):
	* src/ephy-notebook.c: (ephy_notebook_class_init),
	(ephy_notebook_move_page), (move_tab),
	(notebook_drag_data_received_cb), (ephy_notebook_init),
	(ephy_notebook_set_page_status), (update_tabs_visibility),
	(ephy_notebook_insert_page), (ephy_notebook_remove_page),
	(ephy_notebook_set_page_title):
	* src/ephy-notebook.h:
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_class_init),
	(ephy_tabs_menu_init), (ephy_tabs_menu_clean),
	(ephy_tabs_menu_finalize_impl), (ephy_tabs_menu_set_property),
	(ephy_tabs_menu_get_property), (ephy_tabs_menu_new),
	(ephy_tabs_menu_verb_cb), (ephy_tabs_menu_set_action_accelerator),
	(ephy_tabs_menu_rebuild), (ephy_tabs_menu_update):
	* src/ephy-tabs-menu.h:
	* src/ephy-window.c: (setup_window),
	(update_tabs_menu_sensitivity), (ephy_window_tabs_changed_cb),
	(setup_notebook), (ephy_window_init), (ephy_window_finalize),
	(ephy_window_update_control), (ephy_window_update_all_controls),
	(ephy_window_notebook_switch_page_cb):
	* src/ephy-window.h:
	* src/window-commands.c: (window_cmd_tabs_move_left),
	(window_cmd_tabs_move_right), (window_cmd_tabs_detach):

	Implement a list of tabs at the bottom of tabs menu.
	Add a changed signal to the notebook and use it to update
	list and sensitivity.

2003-05-16  Christian Persch  <chpe+gnomebugz@stud.uni-saarland.de>

	* lib/ephy-string.h: (ephy_string_shorten):

	Make it utf-8 safe. Fixes bug 113114.

2003-05-15  David Bordoley <bordoley@msu.edu>

	* data/epiphany.schemas.in:
	
	Remove unused history prefs and filtering prefs.

2003-05-15  David Bordoley <bordoley@msu.edu>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmark_popup_entries []):

	Add elipses to rename menu entry.

2003-05-14  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added Czech (cs) to ALL_LINGUAS.

2003-05-14  David Bordoley <bordoley@msu.edu>

	* lib/ephy-state.c: (ephy_state_add_window):
	* lib/ephy-state.h: (EphyStateWindowFlags):

	Add some flags so that we can choose to save
	position or size or both.

	* lib/ephy-dialog.c: (setup_default_size):
	* src/ephy-window.c: (ephy_window_show):
	* src/window-commands.c: (window_cmd_edit_toolbar):
	* src/bookmarks/ephy-bookmark-properties.c: (build_ui):
	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_construct):

	Only save size for dialogs and main windows.

	* src/ephy-history-window.c: (ephy_history_window_construct):
	* src/bookmarks/ephy-bookmarks-editor.c: 
	(ephy_bookmarks_editor_construct):

	Save size and position.	

2003-05-14  Xan Lopez  <xan@masilla.org>

	* src/bookmarks/ephy-new-bookmark.c: (duplicate_dialog_construct):

	Don't split sentences, fixes #112938. Patch by dave, l10n iron fist by
	menthos.

2003-05-13  David Bordoley <bordoley@msu.edu>

	* data/ui/epiphany-history-window-ui.xml.in:
	* src/ephy-history-window.c:

	s/bookmark page/bookmark link, more consistent with
	the docs and better ui.

	* help/C/epiphany.xml:

	Start the create a bookmark section. Needs more work.
	Finish to open/copy address bookmark/history link sections.
	
2003-05-13  Xan Lopez  <xan@masilla.org>

	* data/starthere/smartbookmarks.xml.in:

	s/&/&amp;/, fix by kenneth.

2003-05-13  Xan Lopez  <xan@masilla.org>

	* src/bookmarks/ephy-bookmarks.c: (get_topics_list):

	Fix the no_topics pointer writing, fixes adding bookmarks to
	Uncategorized when they are removed from a topic and they still are in
	other topics (Bad Marco).

2003-05-13  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/ExternalProtocolService.cpp:

	Revert api change. So we keep 2.2 compatibility.

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_class_init), (location_focus_out_cb),
	(ephy_location_entry_activate_cb):
	* lib/widgets/ephy-location-entry.h:

	Add a finished callback to know when the user finished
	using location.

	* src/bookmarks/ephy-bookmarks.c: (history_site_visited_cb),
	(ephy_bookmarks_set_icon):

	Remove unused vars. Bad xan.

	* src/toolbar.c: (location_finished_cb),
	(toolbar_activate_location):

	Show the toolbar on ctrl+l, hide it again when the user
	finished to edit (focus out/activate)

2003-05-13  David Bordoley <bordoley@msu.edu>

	* src/bookmarks/ephy-new-bookmark.c: (duplicate_dialog_construct),
	(duplicate_bookmark_response_cb), (ephy_new_bookmark_is_unique):

	Don't go modal when showing the duplicate bookmark dialog.

2003-05-13  David Bordoley <bordoley@msu.edu>

	* src/ephy-history-window.c: (cmd_bookmark_page):
	* src/popup-commands.c: (popup_cmd_bookmark_link):
	* src/window-commands.c: (window_cmd_file_bookmark_page):
	* src/bookmarks/ephy-new-bookmark.c: (response_cb),
	(ephy_new_bookmark_response_cb):
	* src/bookmarks/ephy-new-bookmark.h:

	Get rid of the unneeded convenience callback since no
	one is try to make the new bookmark dialog modal anymore.

2003-05-12  Xan Lopez  <xan@masilla.org>

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init_defaults),
	(history_site_visited_cb), (ephy_bookmarks_find_bookmark),
	(ephy_bookmarks_set_icon), (ephy_bookmarks_remove_keyword):
	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/ephy-new-bookmark.c: (duplicate_dialog_construct),
	(ephy_new_bookmark_is_unique), (ephy_new_bookmark_new):
	* src/bookmarks/ephy-new-bookmark.h:
	* src/ephy-history-window.c: (cmd_bookmark_page):
	* src/popup-commands.c: (popup_cmd_bookmark_link):
	* src/window-commands.c: (window_cmd_file_bookmark_page):

	Don't allow to have more than one bookmark with the same
	URL^H^H^Haddress, warn the user with a nice dialog.
	Fixes #110854.

2003-05-12  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/ExternalProtocolService.cpp:

	Use new gnome vfs show_url api.

	* embed/mozilla/MozRegisterComponents.cpp:

	Register external protocols !

	* embed/mozilla/mozilla-embed-single.cpp:

	Check that the ftp handler is not epiphany, to
	avoid infinite loop.

2003-05-11  Xan Lopez  <xan@masilla.org>

	* lib/Makefile.am:

	Fix make dist, patch by Osma Ahvenlampi <oak@iki.fi>

2003-05-11  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/starthere/smartbookmarks.xml.in:

	Fix google smart bookmarks to use utf8

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_solve_smart_url):

	Fix google smart bookmarks to use utf8.
	Escape the search string before merging it in the url.

2003-05-11  Christian Persch  <chpe+gnomebugz@stud.uni-saarland.de>

	* src/statusbar.c: (statusbar_init), (statusbar_finalize):

	Correct ref-counting of tooltips.

2003-05-10  Christian Persch  <chpe+gnomebugz@stud.uni-saarland.de>

 	* src/ephy-notebook.c: (ephy_notebook_init), (tab_get_label),
 	(tab_build_label), (ephy_notebook_set_page_tite):
 
 	Show the full page title in tooltip on the tab label.
 	Loosely based on a patch for galeon2 by Tommi Komulainen
 	(attached to bug 64737).

2003-05-11  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-action.c:
	* lib/egg/eggseparatortoolitem.c:
	* lib/egg/eggtoggletoolbutton.c:
	* lib/egg/eggtoolbar.c:
	* lib/egg/eggtoolbutton.c:
	* lib/egg/eggtoolitem.c:
	* lib/egg/eggtoolitem.h:
	
	Update

	* src/bookmarks/Makefile.am:
	* src/bookmarks/ephy-bookmarks.c:
	* src/bookmarks/ephy-bookmarks-export.c:
	* src/bookmarks/ephy-bookmarks-export.h:

	Export bookmarks in an rdf format (RSS was perfect,
	so I just used it instead of inventing a new one).
	This is useful to ensure compatibility in case
	of database formats changes. It will be used also
	as import format for ephy. Also I think it can be easily
	displayed, need to talk with Edd about the css url though.

	Thanks to Edd Dumbill for the help with this.

2003-05-11  Xan Lopez  <xan@masilla.org>

	* src/bookmarks/ephy-topic-action.c: (build_bookmarks_menu):

	Small cleanup.

2003-05-10  Xan Lopez  <xan@masilla.org>

	* lib/ephy-node.c: (ephy_node_real_get_child_index),
	(ephy_node_sort_children), (ephy_node_get_child_index):
	* lib/ephy-node.h:

	Add ephy_node_sort_children, unused but kept for future reference
	in jorn's s3kr3t project (and it's cool to be the state of the art
	implementation of node stuff anyway).

2003-05-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Fix Open, typo.

2003-05-10  Xan Lopez  <xan@masilla.org>

	* embed/ephy-favicon-cache.c:
	* embed/ephy-history.c: (ephy_history_init):
	* lib/ephy-node-common.h:
	* lib/ephy-state.c:
	* lib/ephy-types.h:
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_delete),
	(ephy_bookmarks_editor_update_menu):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init),
	(ephy_bookmarks_add_keyword):
	* src/bookmarks/ephy-topic-action.c: (sort_bookmarks),
	(build_bookmarks_menu), (sort_topics), (build_topics_menu):

	Alphabetical sort of bookmarks menu elements, fixes #111315.
	Also create ephy-node-common.h with some general enums.

2003-05-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/epiphany.schemas.in:

	Use sys language as default

	* data/glade/prefs-dialog.glade:

	Put back stuff I accidentally removed.

	* data/glade/print.glade:

	Set it has hidden in glade, so we can set position
	before it's showed.

	* embed/mozilla/mozilla-notifiers.cpp:
	* src/prefs-dialog.c:

	Add system language

2003-05-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/epiphany.schemas.in:
	* data/glade/prefs-dialog.glade:
	* embed/ephy-embed-prefs.h:
	* embed/mozilla/mozilla-notifiers.cpp:
	* src/language-editor.h:
	* src/prefs-dialog.c:

	Implement security page. Remove some useless
	hidden prefs in the process.

2003-05-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/epiphany.schemas.in:
	* data/glade/prefs-dialog.glade:
	* lib/ephy-prefs.h:
	* src/Makefile.am:
	* src/ephy-shell.c: (ephy_shell_new_window_cb):
	* src/ephy-tab.c: (ephy_tab_new_window_cb):
	* src/prefs-dialog.c: (prefs_dialog_get_type), (prefs_dialog_new),
	(prefs_dialog_show_help), (setup_font_menu), (save_font_menu),
	(font_entry_changed_cb), (attach_font_signal),
	(attach_fonts_signals), (size_spinbutton_changed_cb),
	(attach_size_controls_signals), (setup_size_control),
	(setup_size_controls), (setup_fonts),
	(default_charset_menu_changed_cb), (find_charset_in_list_cmp),
	(create_default_charset_menu), (general_prefs_new_language_menu),
	(language_menu_changed_cb), (create_language_menu),
	(set_homepage_entry), (prefs_dialog_init),
	(prefs_dialog_response_cb),
	(prefs_clear_disk_cache_button_clicked_cb),
	(fonts_language_optionmenu_changed_cb),
	(prefs_homepage_current_button_clicked_cb),
	(prefs_homepage_blank_button_clicked_cb), (fill_language_editor),
	(language_dialog_changed_cb),
	(prefs_language_more_button_clicked_cb):
	* src/prefs-dialog.h:
	* src/window-commands.c: (window_cmd_edit_prefs):

	Rework prefs dialog ui a bit. Remove jumpto and tabbed_popups
	prefs (jumpto is still in the schemas.
	Remove the crazy page by page separation in the code.

2003-05-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	Share signal emission for all dom mouse events, so
	they dont go out of sync.

	* src/ephy-tab.c: (ephy_tab_dom_mouse_click_cb),
	(ephy_tab_dom_mouse_down_cb), (ephy_tab_security_change_cb),
	(ephy_tab_init):

	Take middle click actions on click instead of on mouse down.
	Cleanups.

2003-05-09  Christopher Blizzard  <blizzard@redhat.com>
	 
       * src/ephy-navigation-action.c (activate_up_menu_item_cb):
       * src/ephy-navigation-action.c (activate_back_or_forward_menu_item_cb):
       * lib/eel-gconf-extensions.c (ephy_notification_add):

       Fix 64 bit problems.  Patch from katzj@redhat.com.

2003-05-10  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/prefs-dialog.c: (prefs_dialog_show_help):

	Remove unused var

2003-05-07  Lee Willis <lwillis@plus.net>

	* src/bookmarks/ephy-topic-action.c:

	Don't show broken sub-menus for topics that
	have no children in the bookmark toolbar. 
	Follow IE behaviour and show an insensitive
	"Empty" entry

2003-05-09  David Adam Bordoley <bordoley@msu.edu>

	* src/ephy-history-window.c: 
	(confirmation_dialog_construct):

	s/items/links to match the docs.

2003-05-08  David Adam Bordoley <bordoley@msu.edu>

	* data/epiphany.schemas.in:
	* data/starthere/index.xml.in:
	* data/starthere/smartbookmarks.xml.in:

	s/location/address and some other minor changes.

2003-05-08  David Adam Bordoley <bordoley@msu.edu>

	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_sync_icon), 
	(ephy_bookmark_action_sync_label):

	Don't set an icon unless their is a favicon.
	Append a colon onto the label of smartbookmarks.

2003-05-08  David Adam Bordoley <bordoley@msu.edu>

	* TODO:
	* data/glade/epiphany.glade:
	* data/glade/prefs-dialog.glade:
	* data/glade/print.glade:
	* src/ephy-history-window.c: (ephy_history_ui_entries [])
	(ephy_history_window_update_menu), 
	(ephy_history_window_construct):
	* src/ephy-window.c: (ephy_popups_entries []),
	* src/toolbar.c: (toolbar_setup_actions):
	* src/bookmarks/ephy-bookmark-properties.c: (build_ui):
	* src/bookmarks/ephy-bookmarks-editor.c: 
	(ephy_bookmark_popup_entries []),
	(ephy_bookmarks_editor_update_menu):

	s/location/address. Fix up mnemonic collisions
	in the print dialog. Mark toolbar action names
	for translation. s/location/"address entry" for
	the entry bar name (this may change depending
	on what the docs team says). Add a todo
	about changing code to use address where 
	appropriate.

2003-05-08  David Adam Bordoley <bordoley@msu.edu>

	* data/glade/epiphany.glade:

	Add a label to the find field.
	Use nicer language.

2003-05-08  David Adam Bordoley <bordoley@msu.edu>

	* lib/ephy-gui.c: (ephy_gui_help):
	* lib/ephy-gui.h:
	
	Convenience function for displaying help.
	Remove unneeded include of gnome-dialog.h

	* src/ephy-history-window.c: (cmd_help_contents):
	* src/prefs-dialog.c: (prefs_dialog_show_help):
	* src/window-commands.c: (window_cmd_help_contents),
	(window_cmd_help_about):
	* src/bookmarks/ephy-bookmark-properties.c:
	(ephy_bookmark_properties_help), 
	(bookmark_properties_response_cb):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(cmd_help_contents):
	* src/bookmarks/ephy-new-bookmark.c:
	(ephy_new_bookmark_help), (response_cb):

	Hook up help to windows/dialogs.
	Add the guilty parties to about.

	* help/C/epiphany.xml:
	
	Fixed the "To Create a New Bookmark" id.

2003-05-08  Anders Carlsson  <andersca@codefactory.se>

	* autogen.sh: Require automake >= 1.6

2003-05-07  David Adam Bordoley <bordoley@msu.edu>

	* help/C/epiphany.xml:
	
	Add "To Select Bookmarks and Topics" section.

2003-05-07  David Adam Bordoley <bordoley@msu.edu>

	* help/C/epiphany.xml:

	Add help for adding/removing bookmarks/topics
	from the bookmarks bar, renaming and deleting. 

2003-05-07  David Adam Bordoley <bordoley@msu.edu>

	* help/C/epiphany.xml:

	Slight reorganization to the "Browsing the
	web" section. Added "To Save a Page to a File"
	section. s/file/page in the find help section. 

2003-05-07  David Adam Bordoley <bordoley@msu.edu>

	* help/C/epiphany.xml:

	Add find help.

2003-05-07  David Adam Bordoley <bordoley@msu.edu>

	* help/C/epiphany.xml:

	Add Zooming help.

2003-05-07  David Adam Bordoley <bordoley@msu.edu>

	* help/C/epiphany.xml:

	Document New Window and New Tab.

2003-05-07  David Adam Bordoley <bordoley@msu.edu>

	* help/C/epiphany.xml:

	Fixed some badly formed xml, bad dave!

2003-05-06  David Adam Bordoley <bordoley@msu.edu>

	* help/C/epiphany.xml:

	Docs for "To Show and Hide Browser Window 
	Components" section.

2003-05-06  David Adam Bordoley <bordoley@msu.edu>

	* help/C/epiphany.xml:

	Write the Browser Windows section. 
	Minor touchups to other sections.

2003-05-06  David Adam Bordoley <bordoley@msu.edu>

	* help/C/epiphany.xml:
	
	Remove the editorializing from the introduction section,
	since the Documentation Style Guide specifically states
	not to do this. Remove the screenshot from the docs too,
	its old and needs to be redone to meet our guidlines.
	Write the Getting Started section, changing terminology
	to "open" instead of "start." Marco would it be worthwhile
	to add a docs specific changelog?

2003-05-06  David Adam Bordoley <bordoley@msu.edu>

	* help/C/epiphany.xml:

	Initial checkin of the help stubs. Need to hook
	these up to the ui and actually write the help.

2003-05-06  Edd Dumbill <edd@usefulinc.com>

	* configure.in:
	
	Use AM_CXX_FLAGS

2003-05-05  Christian Persch  <chpe+gnomebugz@stud.uni-saarland.de>

 	* src/ephy-shell.c:
 	* src/ephy-shell.h: (ephy_shell_new_tab):
 
 	Implement the EPHY_NEW_TAB_APPEND_AFTER flag.
 
 	* src/ephy-window.c:
 	* src/ephy-window.h: (ephy_window_add_tab):
 
 	Changed parameter (gboolean) groupde to (gint) position, to support
 	specifying the position in the notebook to insert the new tab into.
 
 	* src/ephy-shell.c: (ephy_shell_new_window_cb):
 	* src/ephy-tab.c: (ephy_tab_new_window_cb):
 
 	Fix callers of ephy_window_add_tab for new parameter.
 	
 	* src/ephy-notebook.c: (notebook_drag_data_received_cb),
 	(ephy_notebook_init), (ephy_notebook_insert_page):
 
 	Implement drag-and-drop of links to tabs.

2003-05-06  Christian Persch  <chpe+gnomebugz@stud.uni-saarland.de>
 
 	* embed/mozilla/EphyWrapper.cpp: (EphyWrapper::SetZoomOnDocshell):
 
 	Check for NULL PresContext.

2003-05-06  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Remove proxy prefs initialization. Now we call the gconf
	notifier on startup for all mozilla prefs, so it should
	be no more necessary.

	* embed/mozilla/mozilla-notifiers.cpp:

	Fix a nice infinite loop with EmbedSingle being shell_get from
	his _init. General cleanup of that code. Galeon1 code is so messy :/

2003-05-04 Osma Ahvenlampi <oa@iki.fi>

	* src/bookmarks/ephy-bookmarks.c:
 	* src/bookmarks/ephy-bookmarks.h:
 	* src/bookmarks/ephy-bookmarks-import.c:
 	* src/bookmarks/ephy-new-bookmark.c:
 	
 	Fix memory leak while saving bookmarks, and performance problem
 	during import.

2003-05-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added sr and sr@Latn to ALL_LINGUAS.

2003-05-05  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (build_search_box):
	* src/ephy-history-window.c: (confirmation_dialog_response_cb),
	(confirmation_dialog_construct), (cmd_clear), (cmd_bookmark_page),
	(ephy_history_window_class_init), (entry_selection_changed_cb),
	(add_entry_monitor), (view_focus_cb), (add_focus_monitor),
	(remove_focus_monitor), (ephy_history_window_show_popup_cb),
	(build_search_box), (view_selection_changed_cb),
	(ephy_history_window_construct), (ephy_history_window_dispose):
	* src/window-commands.c: (toolbar_editor_destroy_cb),
	(toolbar_editor_response_cb), (window_cmd_edit_toolbar),
	(window_cmd_help_contents):

	Better sensitivity updates for history

2003-05-05  David Adam Bordoley <bordoley@msu.edu>

	* src/toolbar.c: (update_toolbar_remove_flag),
	(toolbar_set_window):

	If there is only one "toolbar" make it non-removable.

	* src/bookmarks/ephy-bookmarks.c: (default_bookmarks []),
	(default_topics []), (ephy_bookmarks_init_defaults):
	
	Make the default topic similar to safari's. Mark
	the default google smartbookmark for translation and
	include a comment instructing translators how to properly
	translate it. Add the google smartbookmark to the 
	bookmarks bar by default.

	* src/bookmarks/ephy-topic-action.c: (create_tool_item):

	Change the space between the topic and it arrow to 3px.
	6px seemed like too much.

2003-05-05  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/egg-toolbar-editor.c:
	* lib/egg/egg-toolbar-editor.h:
	* lib/egg/egg-toolbars-model.c:
	* lib/egg/egg-toolbars-model.h:

	Update (removing toolbars with context menu works again).

	* src/window-commands.c: (toolbar_editor_help_cb),
	(window_cmd_edit_toolbar):

	Build the tbe dialog, update for new egg api.
	Fix position of new toolbars to be before bookmarks toolbar.

2003-05-02  Jon Svendsen  <jon-sven@frisurf.no>

	* src/ephy-history-window.c: (cmd_clear), (cmd_close),
	(confirmation_dialog_response_cb), (confirmation_dialog_construct),

 	Port confirmation dialog for clearing history to new history dialog.

2003-05-04  David Adam Bordoley <bordoley@msu.edu>

	* data/epiphany.schemas.in:

	Fix two descriptions

2003-05-04  Christian Persch <chpe+gnomebugz@stud.uni-saarland.de>

	* src/ephy-tab.c: (ephy_tab_title_cb):

	Use uri as title when the page is untitled.

2003-05-04  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-window.c:

	ctrl+u view source

2003-05-04  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:
	* embed/mozilla/mozilla-notifiers.h:

	Initialize mozilla prefs on startup every time. That is necessary
	if people change them with gconf-editor. This is a 10 ms regression
	on startup but ... it's necessary. What worries me more is the 130 ms
	the notifiers registration takes, that's odd.

2003-05-03 MArk Finlay <sisob@eircom.net>
	   Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/Makefile.am:
	* data/epiphany.applications:

	Register ephy for mime types

	* data/epiphany.desktop.in:

	Use %U, so drag and drop on ephy icon will work

	Ready for 0.6.0

2003-05-03  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/epiphany-bookmark-editor-ui.xml.in:
	* data/ui/epiphany-history-window-ui.xml.in:

	Hide view menus in the xml, not working.

	* src/window-commands.c: (toolbar_editor_destroy_cb):

	Update ui after tb editing, so location is not lost.

2003-05-03  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-nautilus-view.c: (ephy_nautilus_view_instance_init),
	(gnv_bonobo_control_activate_cb):

	Search for ui files in the share dir

	* src/statusbar.c: (statusbar_set_message):

	Strip \n \r from messages

	* src/toolbar.c:

	Allow reorder of bookmarks

2003-05-03  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-history.c: (ephy_history_load):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_load):
	* src/ephy-history-window.c: (ephy_history_window_construct):

	Do not assert on corrupted xml, just warn.
	Put back views shadows for now.

2003-05-03  Xan Lopez  <xan@masilla.org>

	* NEWS:

	Minor changes.

2003-05-03  Marco Pesenti Gritti  <marco@it.gnome.org>

	* NEWS:
	* configure.in:

	Update for the release.

	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-toolbar-editor.c:

	Update.

2003-05-02  Xan Lopez  <xan@masilla.org>

	* data/glade/epiphany.glade:
	* embed/downloader-view.c: (downloader_view_class_init),
	(controls_info_foreach), (downloader_view_update_controls),
	(downloader_view_update_details),
	(downloader_view_set_download_info),
	(downloader_view_add_download), (downloader_view_build_ui),
	(download_dialog_pause_cb), (download_dialog_abort_cb),
	(downloader_treeview_selection_changed_cb),
	(download_dialog_delete_cb):
	* embed/downloader-view.h:
	* embed/mozilla/ProgressListener.cpp:
	* embed/mozilla/ProgressListener.h:

	Workaround to not act on every download, ongoing or finished,
	when we click on Pause/Resume or Remove.
	
	Minor UI changes to the download dialog, including merging Pause
	and Resume in one button, and removing File: from the details view.


2003-04-30  David Bordoley <bordoley@msu.edu>

	* data/epiphany.schemas.in:
	* embed/ephy-embed-types.h:
	* lib/ephy-prefs.h:
	* src/ephy-window.c:

	Remove old unused sidebar and toolbar config stuff.	

2003-04-30  David Bordoley <bordoley@msu.edu>

	* lib/ephy-state.c: (ephy_state_window_set_position),
	(ephy_state_window_save_position):

	Don't set/save window position if it is maximized.

	* src/ephy-history-window.c: (ephy_history_window_construct):
	* src/bookmarks/ephy-bookmarks-editor.c: 
	(ephy_bookmarks_editor_construct):

	Don't set the shadow_type to GTK_SHADOW_IN 
	the ScrolledWindows. It breaks some fitts law considerations,
	and really amounts to just visual noise.

2003-04-30  David Bordoley <bordoley@msu.edu>
	
	* src/ephy-window.c
	* data/epiphany.schemas.in
	* lib/ephy-prefs.h:

	Remove fullscreen-only prefs for which UI items to display.
	Now fullscreen respects the "View" menu toggles for UI
	items - but the menu bar is not shown in fullscreen view.
	See bug 111747 for details.

	Patch from Lee Willis <lwillis@plus.net>	

2003-04-30  David Bordoley <bordoley@msu.edu>

	* src/session.c: (parse_embed):

	Remove unused variables.

	Patch from Christian Persch <chpe+gnomebugz@stud.uni-saarland.de>

2003-04-30  David Bordoley <bordoley@msu.edu>

	* src/session.c: (parse_embed):

	Use ephy_shell_new_tab instead of doing 
	exactly the same work itself.

	Patch from Christian Persch <chpe+gnomebugz@stud.uni-saarland.de>

2003-04-30  Xan Lopez  <xan@masilla.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(cmd_open_bookmarks_in_tabs):
	* src/ephy-history-window.c: (cmd_open_bookmarks_in_tabs):
	* src/ephy-shell.c: (ephy_shell_new_tab):
	* src/ephy-shell.h:

	Respect all the new_tab used flags, drop unused ones.
	Patch by Christian Perch <chpe+gnomebugz@stud.uni-saarland.de>

2003-04-29  David Bordoley <bordoley@msu.edu>

	* data/ui/epiphany-ui.xml.in:

	Update go menu to match the default toolbar layout.

	* src/ephy-history-window.c: (build_search_box), 
	(ephy_history_window_construct):
	* src/bookmarks/ephy-bookmarks-editor.c: (build_search_box ),
	(ephy_bookmarks_editor_construct):

	Remove unneccessary padding on the window. Add
	some padding around the search box.

2003-04-29  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-history.c: (remove_obsolete_pages),
	(pages_removed_cb), (ephy_history_get_last_page):
	* embed/ephy-history.h:

	We dont need a _remove api, unrefing the node will work
	better.
	Try to remove the host when it's empty. It still doesnt work
	properly, prolly EphyNode bug.

	* src/bookmarks/ephy-bookmark-properties.c:
	(ephy_bookmark_properties_get_node):
	* src/bookmarks/ephy-bookmark-properties.h:
	* src/bookmarks/ephy-bookmarks-editor.c: (prop_dialog_destroy_cb),
	(show_properties_dialog), (cmd_bookmark_properties),
	(ephy_bookmarks_editor_finalize), (ephy_bookmarks_editor_init):

	Do not open more than one dialog per node, just present it.
	Picky picky Dave.

	* src/ephy-automation.c: (impl_ephy_automation_loadurl):
	* src/ephy-shell.c: (ephy_shell_new_tab):

	Ever present the window when opening windows through automation.

2003-04-29  Christian Persch <chpe+gnomebugz@stud.uni-saarland.de>

	* lib/ephy-dnd.c: (ephy_dnd_drag_data_get),
	(ephy_dnd_node_list_extract_nodes):
	* lib/ephy-dnd.h:

	Remove unused function and fix a leak.

2003-04-29  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/eggtoggletoolbutton.c:
	* lib/egg/eggtoolbar.c:
	* lib/egg/eggtoolbutton.c:
	* lib/egg/eggtoolbutton.h:

	Update

2003-04-29  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (create_toolbar):

	Update

2003-04-29  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-state.c: (ephy_states_save)

	Check if there are states before saving, fix a crash
	closing the nautilus view.

2003-04-29  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/art/Makefile.am:

	Install epiphany-bookmarks.png also in art dir, we are
	forced to do it because it's a menu icon too.

2003-04-29  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_add_column):
	* lib/widgets/ephy-node-view.h:
	
	Remove add_icon_column func and add the functionality to the 
	normal add_column. The icon will be packed in the same column.

	* src/bookmarks/ephy-bookmarks-editor.c:
	(entry_selection_changed_cb), (add_entry_monitor),
	(add_text_renderer_monitor), (cmd_add_topic), (cmd_rename),
	(build_search_box), (ephy_bookmarks_editor_construct),
	(toolbar_items_changed_cb), (ephy_bookmarks_editor_init):

	Fix for api change.

	Deal with 2 more sensitivity cases:
	bookmarks added by dnd to the toolbar and treeview text
	renderers.

	Remove hints until we have more columns.

	* src/ephy-history-window.c: (ephy_history_window_construct):

	Fix for new api

	* src/ephy-toolbars-model.c: (impl_add_item):

	Dont check if normal items are already in the toolbar:
	fix warnings.

2003-04-28  David Bordoley  <bordoley@msu.edu>

	* po/POTFILES.in:

	Add lib/egg/egg-toolbar-editor.c.

2003-04-28  Marco Pesenti Gritti  <marco@it.gnome.org>

	* po/POTFILES.in:

	Update ephy-notebook.c path

2003-04-28  David Bordoley  <bordoley@msu.edu>
	
	* data/ui/epiphany-toolbar.xml.in:

	New default toolbar layout. See bug 105983 for reasoning
	behind the layout.

2003-04-28  David Bordoley  <bordoley@msu.edu>

	* src/ephy-toolbars-model.c: (impl_add_item):
	
	Check if the bookmarks bar already contains the dragged
	bm or topic before adding it to the toolbar.

2003-04-28  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/Makefile.am:
	* lib/widgets/ephy-notebook.c:
	* lib/widgets/ephy-notebook.h:
	* src/Makefile.am:
	* src/ephy-notebook.c: (ephy_notebook_get_type),
	* src/ephy-notebook.h:

	Move notebook in src/. An abstract notebook is an overkill.

	* src/toolbar.c: (ensure_bookmark_action):

	Fix compilation issue on 2.95

2003-04-28  David Bordoley  <bordoley@msu.edu>

	* embed/ephy-embed-types.h:
	s/GALEON/EPIPHANY in the defines.

	* embed/ephy-embed-utils.c: (ephy_embed_utils_save)
	s/GaleonEmbedPersist/EphyEmbedPersist in the comment.

	* embed/mozilla/mozilla-embed-persist.cpp: (impl_save):
	s/mozilla_embed_get_galeon_wrapper/mozilla_embed_get_ephy_wrapper.

	* embed/mozilla/mozilla-embed.cpp: (mozilla_embed_get_galeon_wrapper),
	(mozilla_embed_get_ephy_wrapper):
	Remove duplicate function (keep the galeon one, since it was the one
	actually being used in the code). 
	s/galeon/ephy.

	* embed/mozilla/mozilla-embed.h:
	s/mozilla_embed_get_galeon_wrapper/mozilla_embed_get_ephy_wrapper.

2003-04-28  David Bordoley  <bordoley@msu.edu>

	* data/epiphany.schemas.in:
	* data/ui/epiphany-bookmark-editor-ui.xml.in:
	* data/ui/epiphany-toolbar.xml.in:
	* data/ui/epiphany-ui.xml.in:
	* embed/ephy-embed-types.h:
	* embed/mozilla/mozilla-embed.cpp: (mozilla_embed_new_window_cb):
	* lib/ephy-prefs.h:
	* src/ephy-toolbars-model.c: (ephy_toolbars_model_remove_bookmark),
	(ephy_toolbars_model_add_bookmark), (ephy_toolbars_model_has_bookmark):
	* src/ephy-window.c: (save_window_chrome), (translate_default_chrome),
	(update_layout_toggles), (ephy_window_set_chrome):
	* src/toolbar.c: (init_bookmarks_toolbar), (toolbar_set_visibility):
	* src/window-commands.c: (window_cmd_view_bookmarks_bar):
	* src/window-commands.h:
	* src/bookmarks/ephy-bookmark-properties.c: (build_ui):
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_show_in_bookmarks_bar),
	(ephy_bookmarks_editor_update_menu):

	Consistent use of the term "Bookmarks Bar" in the code, ui and schema.
	Replaces "Bookmarks Toolbar" and "Personal Toolbar." You'll probably
	have to delete your epiphany-toolbar.xml file to get the bm toolbar to 
	work now.

2003-04-28  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-automation.c:
	(impl_ephy_automation_open_bookmarks_editor):
	* src/ephy-shell.c: (ephy_shell_show_bookmarks_editor),
	(ephy_shell_show_history_window):
	* src/ephy-shell.h:
	* src/window-commands.c: (window_cmd_go_bookmarks),
	(window_cmd_go_history):

	Actually pass a parent to history/bookmarks window, where
	to open the url. Bad who regressed this ;)

2003-04-28  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-menu-merge.c: (egg_menu_merge_finalize),
	(egg_menu_merge_class_init):

	Reapply one of our MenuMerge patches. Fixes crashes on
	window close.

2003-04-28  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (sync_bookmark_properties),
	(bookmarks_child_changed_cb), (ephy_bookmark_action_init),
	(ephy_bookmark_action_new):
	* src/bookmarks/ephy-topic-action.c:
	(ephy_topic_action_set_property), (ephy_topic_action_get_property),
	(ephy_topic_action_class_init), (sync_topic_properties),
	(topic_child_changed_cb), (ephy_topic_action_init),
	(ephy_topic_action_new):

	Sync toolbar on bookmark properties changes.

2003-04-27  David Bordoley <bordoley@msu.edu>

	* data/glade/epiphany.glade:
	
	Removed old history dialog, since it is dead now.
	Set the border width of the passwords tab in the PDM
	to 12px	to match that of the cookies tab. 

2003-04-27  David Bordoley <bordoley@msu.edu>

	* lib/ephy-state.c: (ephy_state_window_set_position),
	(ephy_state_window_save_position), (window_configure_event_cb),
	(window_state_event_cb), (ephy_state_add_window):

	Save the position of windows on the screen, 
	and checks if the position is off the screen.

	* src/toolbar.c: (init_bookmarks_toolbar):

	Pass arguments to egg_toolbars_model_set_flags in the
	correct order.

2003-04-27  David Bordoley <bordoley@msu.edu>

	* src/bookmarks/ephy-bookmarks-editor.c: (ephy_bookmarks_editor_construct):
	
	Make the view paned and monitor the state.

2003-04-27  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-node.c: (real_remove_child):
	
	Emit removed signal after the node is actually removed.
	This could cause bugs, test test test ;)

	* src/bookmarks/ephy-bookmarks.c: (topics_removed_cb):

	Update topics list and uncategorized folder on topics
	removal.

2003-04-27  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_update_menu), (view_selection_changed_cb),
	(ephy_bookmarks_editor_construct):

	Update sensitivity on selection changes. Thanks xan to find
	this one.

	* src/toolbar.c: (remove_action), (topic_remove_cb),
	(bookmark_remove_cb):

	Get back bookmarks/toolbar sync on bookmark removal.

2003-04-27  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (view_focus_cb),
	(add_focus_monitor), (remove_focus_monitor),
	(ephy_bookmarks_editor_show_popup_cb),
	(ephy_bookmarks_editor_dispose), (keyword_node_show_popup_cb),
	(search_selection_changed_cb), (build_search_box),
	(ephy_bookmarks_editor_construct):

	Change the way sensitivity is updated once again.
	We need to test this really really well and then port it
	to the history dialog.

2003-04-27  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-toolbar-editor.c:
	* lib/egg/egg-toolbars-model.c:
	* lib/egg/egg-toolbars-model.h:
	* lib/egg/eggtoolbar.c:

	update

	* src/ephy-shell.c: (save_toolbars),
	(ephy_shell_get_toolbars_model):
	* src/ephy-toolbars-model.c: (impl_add_item),
	(ephy_toolbars_model_class_init):
	* src/ephy-toolbars-model.h:
	* src/toolbar.c: (action_request_cb), (init_bookmarks_toolbar),
	(toolbar_set_window):

	Load the toolbars model in EphyShell so bookmarks editor
	alone can use it.
	Update the actions on a new editable toolbar signal,
	actions are per toolbar, not per model.

2003-04-27  David Bordoley <bordoley@msu.edu>

	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/egg-toolbar-editor.c:
	* lib/egg/egg-toolbar-editor.h:

	Update.

	* src/window-commands.c: (toolbar_editor_help_cb),
	(window_cmd_edit_toolbar):

	Add and help button.

2003-04-26  Xan Lopez  <xan@masilla.org>

	* src/window-commands.c: (window_cmd_help_about):

	Use epiphany logo in about window.

2003-04-25  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-toolbars-model.c:
	* lib/egg/eggtoolbar.c:

	Update.

	* src/bookmarks/ephy-bookmark-properties.c:
	(toolbar_checkbox_changed_cb), (build_ui),
	(ephy_bookmark_properties_init):
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_show_in_the_toolbar),
	(cmd_delete), (ephy_bookmarks_editor_update_menu),
	(ephy_bookmarks_editor_init):
	* src/bookmarks/ephy-bookmarks.h:
	* src/ephy-toolbars-model.c: (ephy_toolbars_model_new),
	(get_item_pos), (get_action_name), (get_toolbar_pos),
	(ephy_toolbars_model_remove_bookmark),
	(ephy_toolbars_model_add_bookmark),
	(ephy_toolbars_model_has_bookmark):
	* src/ephy-toolbars-model.h:

	Implement the checkbox to add bookmarks to the toolbar.

2003-04-25  David Bordoley <bordoley@msu.edu>

	* src/ephy-history-window.c: (cmd_bookmark_page):
	* src/popup-commands.c: (popup_cmd_bookmark_link):
	* src/window-commands.c: (window_cmd_file_bookmark_page):
	
	Hookup to the response signal instead of using gtk_dialog_run.
	Prevents us from going modal.
	
	* src/bookmarks/ephy-new-bookmark.c: (response_cb),
	(ephy_new_bookmark_response_cb):
	* src/bookmarks/ephy-new-bookmark.h

	Add a convenience callback function, that callers can
	use to destroy the dialog after a response.

	* src/ephy-shell.c: (ephy_shell_command_cb):
	
	Use a callback to the gtk_widget_destroy on the "response"
	signal instead of using gtk_dialog_run. eg. don't go modal.
	Some code cleanups too.

2003-04-25  Xan Lopez  <xan@masilla.org>

	* lib/ephy-node.c: (ephy_node_class_init), (ephy_node_has_child),
	(ephy_node_reorder_children):
	* lib/ephy-node.h:
	* lib/widgets/ephy-tree-model-node.c:
	(ephy_tree_model_node_set_property), (root_child_changed_cb),
	(root_children_reordered_cb):

	Implement ephy_node_reorder_children (from Rhythmbox).

2003-04-25  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/eggtoolbar.c:
	* lib/egg/eggtoolitem.c:
	* lib/egg/eggtoolitem.h:

	Update

2003-04-25  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/epiphany-toolbar.xml.in:
	* data/ui/epiphany-ui.xml.in:
	* lib/egg/egg-editable-toolbar.c: (egg_editable_toolbar_hide),
	(egg_editable_toolbar_set_drag_dest):
	* lib/egg/egg-editable-toolbar.h:
	* src/bookmarks/ephy-topic-action.c: (create_tool_item):
	* src/ephy-shell.c: (save_toolbars), (ephy_shell_finalize),
	(ephy_shell_get_toolbars_model):
	* src/ephy-toolbars-model.c: (impl_add_item),
	(ephy_toolbars_model_class_init):
	* src/ephy-toolbars-model.h:
	* src/ephy-window.c: (ephy_window_set_chrome):
	* src/toolbar.c: (ensure_bookmark_action), (toolbar_ensure_action),
	(action_added_cb), (init_bookmarks_toolbar), (toolbar_set_window),
	(toolbar_new), (toolbar_set_visibility):
	* src/toolbar.h:
	* src/window-commands.c: (toolbar_editor_destroy_cb),
	(window_cmd_edit_toolbar):

	Get back toolbar editing functionalities.
	More work on the bookmarks toolbars implementation.
	The toolbars context menus are regressed but it's not my fault :/
	The signal on EggToolbar is borked.

2003-04-25  David Bordoley <bordoley@msu.edu>
	
	* src/bookmarks/ephy-topic-action.c: (button_toggled_cb),
	(connect_proxy):
	
	Connect to the "toggled" signal instead of "button_press_event"
	so that keynav works.

2003-04-25  David Bordoley <bordoley@msu.edu>

	* src/toolbar.c:
	
	Commented out the include egg_toolbars_group.h
	so that it builds.

2003-04-25  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/epiphany-toolbar.xml.in:
	* lib/egg/Makefile.am:
	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-menu-merge.c:
	* lib/egg/egg-radio-action.c:
	* lib/egg/eggmarshalers.c:
	* lib/egg/eggmarshalers.h:
	* lib/egg/eggmarshalers.list:
	* lib/egg/eggtoggletoolbutton.c:
	* lib/egg/eggtoggletoolbutton.h:
	* lib/egg/eggtoolbar.c:
	* lib/egg/eggtoolbar.h:
	* lib/egg/eggtoolbutton.c:
	* lib/egg/eggtoolbutton.h:
	* lib/egg/eggtoolitem.c:
	* lib/egg/eggtoolitem.h:
	* lib/egg/eggtreemodelfilter.c:

	Update from egg

	* src/Makefile.am:
	* src/ephy-location-action.c: (create_tool_item):
	* src/ephy-shell.c: (ephy_shell_init), (ephy_shell_get_bookmarks),
	* src/ephy-shell.h:
	* src/ephy-window.c: (setup_window), (ephy_window_finalize),
	(ephy_window_set_chrome):
	* src/toolbar.c: (toolbar_class_init), (toolbar_set_window),
	(topic_remove_cb), (bookmark_remove_cb), (toolbar_init),
	(toolbar_new):
	* src/window-commands.c: (window_cmd_edit_toolbar):

	Use the new toolbar editor api. This is incomplete, if you
	use bookmarks toolbars please still do not update.

2003-04-23  David Bordoley <bordoley@msu.edu>

	* embed/ephy-embed-single.c: (ephy_embed_single_show_file_picker):
	* embed/ephy-embed-single.h: 
	* embed/ephy-embed-utils.c: (ephy_embed_utils_save):
	* embed/ephy-embed-utils.h: 
	* embed/mozilla/FilePicker.cpp: (GFilePicker::GFilePicker),
	(GFilePicker::Show), (GFilePicker::HandleFilePickerR):
	* embed/mozilla/FilePicker.h:
	* embed/mozilla/mozilla-embed-persist.cpp: (impl_save):
	* embed/mozilla/mozilla-embed-single.cpp: (impl_show_file_picker):
	* src/window-commands.c: (window_cmd_file_open):
	
	Always save a page's content if there i content to be saved. 
	Remove the checkbox from the save as dialog.

	Patch from Christian Persch <chpe+gnomebugz@stud.uni-saarland.de>

2003-04-23  David Bordoley <bordoley@msu.edu>

	* src/bookmarks/ephy-topic-action.c: (create_tool_item):
	
	Set spacing between a topic and the arrow to 6px.
	
2003-04-23  David Bordoley <bordoley@msu.edu>

	* src/bookmarks/ephy-topic-action.c: (create_tool_item):
	
	Add a down arrow to topics in bm toolbars.

2003-04-23  Xan Lopez  <xan@masilla.org>

	* idl/EphyAutomation.idl:
	* src/ephy-automation.c: (impl_ephy_automation_loadurl):
	* src/ephy-main.c: (ephy_main_start):

	Remove --geometry option, we weren't respecting it anyway (this
	patch patronized by marco's "DropDropDrop" project).

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_delete):

	Fix leak.

2003-04-23  Christian Neumair  <chris@gnome-de.org>

	* src/ephy-window.c (setup_window):

	Use gettext instead of gettext_noop call for g_object_set's third
	argument. Makes some i18n magic in tbe dialog actually visible.

2003-04-22  David Bordoley <bordoley@msu.edu>

	* data/ui/epiphany-history-window-ui.xml.in:

	Rearrange the File menu so that delete 
	is below bookmark page. Add delete and bookmark to 
	the context menu. s/BMK/HST.

2003-04-21  Xan Lopez  <xan@masilla.org>

	* data/starthere/section.xsl:

	Use em instead of px to respect user selected font sizes.

2003-04-21  David Bordoley <bordoley@msu.edu>

	* src/ephy-history-window.c: (key_pressed_cb),
	(ephy_history_window_construct):
	
	Use delete key to remove history items.
	
	* src/bookmarks/ephy-bookmarks-editor: (cmd_delete), 
	(key_pressed_cb), (ephy_bookmarks_editor_construct):
	
	Call cmd_delete from key_press_cb for code reuse.
	Don't allow deletion of special topics with the keyboard delete.	

2003-04-21  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/epiphany-ui.xml.in:
	* src/bookmarks/Makefile.am:
	* src/bookmarks/ephy-bookmarks-toolbar.c:
	* src/bookmarks/ephy-bookmarks-toolbar.h:
	* src/ephy-window.c: (ephy_window_init), (ephy_window_set_chrome):

	Revert the bookmarks toolbar implementation. We really need to
	integrate it with normal toolbars editor code.

2003-04-21  David Bordoley <bordoley@msu.edu>

	* src/ephy-history-window.c:
	* src/bookmarks/ephy-bookmarks-editor.c:

	Added tooltips to all the actions.

2003-04-21  David Bordoley <bordoley@msu.edu>

	* src/ephy-history-window.c: (cmd_clear):

	Added back code to clear the location entry.
	Marco I hope this is ok with you :)

2003-04-21  David Bordoley <bordoley@msu.edu>

	* data/ui/epiphany-bookmark-editor-ui.xml.in:
	
	Fixed a duplicate seperator. Add a view menu.

	* data/ui/epiphany-history-window-ui.xml.in:
	
	Add a view menu.

	* src/ephy-history-window.c: (ephy_history_window_construct):
	
	Clean up ephy_history_ui_entries[] so that it is a little more
	organized. Add a view menu, but still needs to be hooked up.

	* src/bookmarks/ephy-bookmark-properties.c: (build_ui):
	
	s/"Show in the bookmarks _toolbar"/"_Show in the bookmarks toolbar".
	Fixes a mnemonic collision.

	* src/bookmarks/ephy-bookmarks-editor.c: (ephy_bookmarks_editor_construct):
	Clean up ephy_bookmark_popup_entries[] so that it is a little more
	organized. Add a view menu, but still needs to be hooked up. Add mnemonic
	to the "_Show in Toolbar" menu entry.

2003-04-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/Makefile.am:
	* src/bookmarks/ephy-keywords-entry.c:
	* src/bookmarks/ephy-keywords-entry.h:

	Remove unused files

2003-04-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/epiphany-bookmark-editor-ui.xml.in:
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_show_in_the_toolbar),
	(cmd_copy), (ephy_bookmarks_editor_update_menu):
	* src/bookmarks/ephy-bookmarks-toolbar.c: (bookmarks_changed_cb),
	(ephy_bookmarks_toolbar_init), (ephy_bookmarks_toolbar_clean),
	(go_location_cb), (add_toolitem), (ephy_bookmarks_toolbar_rebuild),
	(ephy_bookmarks_toolbar_update):

	Allow to add topics, update when changing bookmarks.

2003-04-20  Xan Lopez  <xan@masilla.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_copy):
	* src/ephy-history-window.c: (cmd_copy):

	Use g_list_free instead of g_free.

2003-04-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-editable-toolbar.c:

	Update

	* data/epiphany.schemas.in:
	* data/ui/epiphany-ui.xml.in:
	* lib/egg/egg-editable-toolbar.h:
	* lib/ephy-prefs.h:
	* src/bookmarks/Makefile.am:
	* src/bookmarks/ephy-bookmark-properties.c: (update_checkbox),
	(update_window_title), (toolbar_checkbox_changed_cb),
	(set_window_icon), (build_ui):
	* src/bookmarks/ephy-bookmarks.h:
	* src/ephy-window.c: (add_widget), (ephy_window_init),
	(save_window_chrome), (ephy_window_finalize),
	(translate_default_chrome), (update_layout_toggles),
	(ephy_window_set_chrome):
	* src/window-commands.c: (window_cmd_view_bookmarks_toolbar):
	* src/window-commands.h:

	First implementation of the new bookmarks toolbar thing.
	Still doesnt work properly ... old bmk toolbars are still there
	though.
	Dave I dont like much the position of the checkbox in properties :/
	Maybe a different tab dunno ....

2003-04-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/epiphany-history-window-ui.xml.in:

	Looks like Erich forgot the xml changes

2003-04-20  Erich Lesh <eclesh@pacbell.net>

	* src/ephy-history-window.c: (cmd_copy), (cmd_delete),
	(cmd_bookmark_page), (ephy_history_window_update_menu):

	Delete and Bookmark page menu.

2003-04-20  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/window-commands.c: (window_cmd_tabs_move_left),
	(window_cmd_tabs_move_right):

	Update tabs menu sensitivity when switching.

2003-04-19  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-window.c: (setup_window), (update_tabs),
	(ephy_window_update_control), (ephy_window_update_all_controls),
	(ephy_window_set_zoom):

	Update Tabs and Zoom menus sensitivity

2003-04-19  David Bordoley <bordoley@msu.edu>

	* data/ui/epiphany-bookmark-editor-ui.xml.in:
	
	Add copy to the bookmark context menu.
	
	* data/ui/epiphany-history-window-ui.xml.in:

	Add an edit menu. Add copy to history item context menu.

	* src/ephy-history-window.c: (cmd_cut), (cmd_copy),
	(cmd_paste), (cmd_select_all), (ephy_history_window_update_menu),
	(ephy_history_window_construct):

	Add edit menu actions. Update the edit menu when activated. 
	Support copying the location of a history item and change
	the label to "Copy Location".

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_copy),
	(ephy_bookmarks_editor_update_menu):
	
	Support copying the location of a bookmark and change
	the label to "Copy Location".

2003-04-19  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-window.c: (menu_activate_cb), (setup_window):
	
	Update Edit menu sensitivity

2003-04-19  Jorn Baayen  <jorn@nl.linux.org>

	* lib/widgets/ephy-tree-model-node.c: (ephy_tree_model_node_init),
	(ephy_tree_model_node_finalize),
	(ephy_tree_model_node_add_prop_column),
	(ephy_tree_model_node_add_func_column),
	(ephy_tree_model_node_get_column_type),
	(ephy_tree_model_node_get_value):

	Use a GPtrArray rather than a GList for columns.

2003-04-19  Xan Lopez  <xan@masilla.org>

	* src/ephy-shell.c: (ephy_shell_new_tab):

	Open view source and copy page next to the current tab, not at the
	end (this was actually a multi-liner patch, sorry marco :P).

2003-04-19  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_add_column),
	(ephy_node_view_remove), (ephy_node_view_edit):

	Fix bookmarks editing and warnings when openining the dialog.

	* lib/widgets/ephy-node-view.h:

	Remove unused api.

2003-04-19  Xan Lopez  <xan@masilla.org>

	* embed/downloader-view.c: (controls_info_foreach),
	(downloader_view_update_controls),
	(downloader_view_set_download_info),
	(downloader_view_set_download_progress):
	* embed/downloader-view.h:
	* embed/mozilla/ProgressListener.cpp:
	* embed/mozilla/ProgressListener.h:

	Assume Pause/Resume is available for every channel, "fixes" resume for
	HTTP among others. Drop some useless code.

2003-04-19  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/FilePicker.cpp:

	from galeon. Don't assume sizeof(gsize) == sizeof(guint)
        makes epiphany build better on 64-bit architectures

2003-04-19  Erich Lesh <eclesh@pacbell.net>

	* data/starthere/smartbookmarks.xml.in:

	s/Page/Link

2003-04-18  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/ephy-arrow-toolbutton.c: (button_state_changed_cb):

	Fix the bug with back/fwd buttons auto prelighting.

2003-04-18  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/ephy-history.c: (ephy_history_set_page_title),
	(ephy_history_set_icon), (ephy_history_clear):
	* embed/ephy-history.h:
	* src/ephy-history-window.c: (cmd_clear), (provide_favicon),
	(ephy_history_window_construct):
	* src/ephy-tab.c: (ephy_tab_set_favicon):

	Implement clear history. Put favicons near sites names.

2003-04-18  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/art/Makefile.am:

	Do not install two copies of epiphany.png

	* embed/ephy-history.c: (ephy_history_save),
	(ephy_history_set_page_title):

	Use host name as title for sites, not the real
	title.

	* lib/ephy-state.c: (ephy_state_add_window),
	(paned_size_allocate_cb), (ephy_state_add_paned):
	* lib/ephy-state.h:

	Add a way to persist paned.

	* lib/widgets/ephy-node-view.h:
	* lib/widgets/ephy-node-view.c: (ephy_node_view_sort_func),
	(provide_text_weight), (ephy_node_view_add_column),
	(ephy_node_view_has_selection):

	Improve add_column api a bit to support both auto sorting
	and user sorting.

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):

	Updates for changed api.

	* src/ephy-history-window.c: (ephy_history_window_construct):

	Set a max size for title/location. Not very good, but the
	best we can do with current treeview api prolly.
	Persist the paned size.
	Make columns user sortable.

2003-04-17  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/Makefile.am:
	* embed/ephy-history.c: (ephy_history_init):
	* embed/ephy-history.h:
	* lib/widgets/ephy-tree-model-node.c:
	(ephy_tree_model_node_get_value):
	* src/Makefile.am:
	* src/ephy-shell.c: (ephy_shell_init), (ephy_shell_finalize),
	(ephy_shell_show_bookmarks_editor), (history_window_hide_cb),
	(ephy_shell_show_history_window):
	* src/ephy-shell.h:
	* src/ephy-window.c: (ephy_window_finalize),
	(update_embed_dialogs), (ephy_window_get_find_dialog):
	* src/ephy-window.h:
	* src/window-commands.c: (window_cmd_go_history):

	New history dialog implementation. More similar
	to bookmarks. Yeah it still sucks ... but the hard
	part is done.

2003-04-17  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/Makefile.am:
	* lib/widgets/ephy-node-view.c:
	* lib/widgets/ephy-node-view.h:
	* lib/widgets/ephy-tree-model-node.c:
	* lib/widgets/ephy-tree-model-node.h:

	New abstracted implementations.
	Nicer and will be useful for 
	history dialog interface rehash to make
	it more consistent with bookmarks (this
	was the hard part of the work).

	* src/bookmarks/Makefile.am:
	* src/bookmarks/ephy-bookmarks-editor.c:

	Use them.

	* src/history-dialog.c:

	Temp hack to keep the thing building until
	I actually rewrite history dialog.

2003-04-16  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/ui/Makefile.am:
	* data/ui/epiphany-toolbar-popup-ui.xml.in:

	Remove, no more used

2003-04-16  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/eggtoolbar.c:
	* lib/egg/eggtoolitem.h:
	
	Update.

2003-04-16  Dave Camp  <dave@ximian.com>

	* embed/ephy-embed-shell.c: (ephy_embed_shell_class_init):
	* embed/ephy-embed-single.c: (ephy_embed_single_class_init):
	* src/ephy-shell.c: (ephy_shell_init): Moved the
	new_window_orphan signal to EphyEmbedSingle.

2003-04-16  Jeremy Katz <katzj@redhat.com>

	* epiphany.spec: New file. Rpm spec.

2003-04-16  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_rename),
	(cmd_delete), (cmd_select_all),
	(ephy_bookmarks_editor_update_menu),
	(ephy_bookmarks_editor_show_popup_cb),
	(keyword_node_show_popup_cb), (menu_activate_cb):
	* src/bookmarks/ephy-node-view.c: (ephy_node_view_key_press_cb),
	(ephy_node_view_button_press_cb), (ephy_node_view_construct),
	(ephy_node_view_is_editing), (ephy_node_view_is_target):
	* src/bookmarks/ephy-node-view.h:

	Add a way to decide if the view is target. The impl is an hack
	but we keep ephy-bookmarks clean. The best we can do right now.

2003-04-15  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/ephy-tab.c: (ephy_tab_set_favicon):

	Dont set icon on bookmarks when the url is NULL !
	Fix a bad crasher.

2003-04-15  Xan Lopez  <xan@masilla.org>

	* src/bookmarks/ephy-node-view.c: (ephy_node_view_remove):

	"Intelligent" selection in node removal.

2003-04-15  David Bordoley <bordoley@msu.edu>

	* src/bookmarks/ephy-node-view.c: 
	(ephy_node_view_add_icon_column):
	
	Set sizing of the icon column to GTK_TREE_VIEW_COLUMN_GROW_ONLY.

2003-04-15  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_update_menu),
	(ephy_bookmarks_editor_show_popup_cb),
	(keyword_node_show_popup_cb), (menu_activate_cb):
	* src/bookmarks/ephy-node-view.c:
	(ephy_node_view_selection_changed_cb), (get_node_from_path),
	(ephy_node_view_button_press_cb), (ephy_node_view_init),
	(ephy_node_view_get_selection), (ephy_node_view_has_selection):

	Fix context menu selection mess, tricky,
	tricky, tricky. It's all kris fault.

2003-04-15  David Bordoley <bordoley@msu.edu>

	*src/bookmarks/ephy-bookmark-editor.c:
	(ephy_bookmarks_editor_update_menu):

	Paste = False when not in an editable.

2003-04-15  David Bordoley <bordoley@msu.edu>

	*src/bookmarks/ephy-bookmark-editor.c:
	(ephy_bookmarks_editor_update_menu):
	
	Fix select all for the bmview. Paste only
	sensitive when in an editable.

2003-04-15  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/EphyAboutRedirector.h:

	Remove some obsolete factory code

2003-04-15  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/epiphany.schemas.in:
	* lib/ephy-prefs.h:
	* src/ephy-tab.c: (ephy_tab_init), (ephy_tab_dom_mouse_down_cb):

	Hidden pref for middle click open url. Default off.

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_update_menu),
	(ephy_bookmarks_editor_dispose), (keyword_node_selected_cb),
	(keyword_node_show_popup_cb), (build_search_box),
	(menu_activate_cb), (ephy_bookmarks_editor_construct):
	* src/bookmarks/ephy-node-view.c: (cell_renderer_edited),
	(ephy_node_view_init), (ephy_node_view_edit),
	(ephy_node_view_is_editing):
	* src/bookmarks/ephy-node-view.h:

	Rework sensitivity updates and complete them with cut/copy/select all
	
2003-04-15  David Bordoley <bordoley@msu.edu>

	* src/history-dialog.c: (history_clear_button_clicked_cb),
	(clear_history_dialog_response_cb):

	Added a confirmation dialog for clearing history.

	Patch from Jon Svendsen  <jon-sven@frisurf.no>

2003-04-15  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/eggmarshalers.list:
	* lib/egg/eggtoggletoolbutton.c:
	* lib/egg/eggtoolbar.c:
	* lib/egg/eggtoolbar.h:
	
	Update, fix remove toolbar regressions.

2003-04-15  Marco Pesenti Gritti  <marco@it.gnome.org>

	* TODO:
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_select_all),
	(ephy_bookmarks_editor_construct):
	* src/bookmarks/ephy-node-view.c: (ephy_node_view_add_column),
	(ephy_node_view_remove):
	* src/bookmarks/ephy-node-view.h:

	Remove some api that was just silly wrappers.
	Return GtkTreeViewColumn on add_column.

	* src/ephy-nautilus-view.c: (gnv_embed_new_window_cb):
	* src/ephy-shell.c: (ephy_shell_new_window_cb),
	(ephy_shell_new_tab):
	* src/ephy-tab.c: (ephy_tab_new_window_cb):
	* src/ephy-window.c: (ephy_window_add_tab):
	* src/ephy-window.h:
	* src/session.c: (parse_embed):

	Ever open tab as last on File->New tab and similars.

2003-04-13  Vincent Untz  <vincent@vuntz.net>

	* src/prefs-dialog.c: (prefs_dialog_show_help):

	Declare all the variables before the first instruction. Fixes a
	compilation problem under gcc 2.95.

2003-04-15  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-types.h:
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_save),
	(ephy_bookmarks_init), (ephy_bookmarks_finalize),
	(ephy_bookmarks_add), (get_topics_list), (update_topics_list),
	(ephy_bookmarks_set_keyword), (ephy_bookmarks_unset_keyword):
	* src/bookmarks/ephy-tree-model-node.c:
	(ephy_tree_model_node_update_node):

	Implement Not categorized special topic, note that only
	new/modified bookmarks will be added to it.

2003-04-15  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-types.h:
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_save),
	(ephy_bookmarks_init), (ephy_bookmarks_finalize),
	(ephy_bookmarks_add), (get_topics_list), (update_topics_list),
	(ephy_bookmarks_set_keyword), (ephy_bookmarks_unset_keyword):
	* src/bookmarks/ephy-tree-model-node.c:
	(ephy_tree_model_node_update_node):

2003-04-14  Hasbullah Bin Pit  <sebol@ikhlas.com>

        * configure.in(ALL_LINGUAS): Added "ms".

2003-04-14  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/epiphany.schemas.in:
	* data/starthere/index.xml.in:
	* data/starthere/section.xsl:
	* data/starthere/smartbookmarks.xml.in:
	* embed/mozilla/StartHereProtocolHandler.cpp:
	* embed/mozilla/StartHereProtocolHandler.h:

	Use home:, have titles.

	* lib/ephy-node.c: (ephy_node_get_from_id):

	Do not assert on 0 id. It's valid.

2003-04-14  David Bordoley <bordoley@msu.edu>
	
	* src/bookmarks/ephy-bookmark-properties.c: 
	(ephy_bookmark_properties_help), (bookmark_properties_response_cb), 
	(build_ui):	
	* src/bookmarks/ephy-new-bookmark.c: (phy_new_bookmark_help),
	(ephy_new_bookmark_response_cb), (ephy_new_bookmark_construct):
	
	Added some help buttons to the new bookmark, and properties dialogs.

2003-04-14  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in:

	s/galeon/epiphany ;)

	* src/bookmarks/ephy-bookmarks-editor.c: (reset_search_entry),
	(keyword_node_selected_cb), (search_entry_changed_cb):
	* src/bookmarks/ephy-topic-action.c: (build_bookmarks_menu),
	(build_topics_menu), (build_menu), (button_press_cb):

	Evil bookmarks menu is back in toolbars eeeeek.
	And no you cant have more than one level ... too bad.

	Fix search/node selection interaction.

2003-04-14  David Bordoley <bordoley@msu.edu>

	* data/ui/epiphany-bookmark-editor-ui.xml.in:	
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_help_contents),
	(ephy_bookmarks_editor_update_menu), (ephy_bookmarks_editor_dispose),
	(ephy_bookmarks_editor_node_selected_cb), (keyword_node_selected_cb),
	(build_search_box):
	
	Add a help menu and associated "Contents" and "About" menu entries.
	Add a focus_monitor to the search entry. Only pass an editor
	to update_menu. Update the sensitivity and label of 
	"Open in New Window/Tab(s)" based on focus and selection. Translators,
	if this causes problems with mneumonics, please give suggestions for
	other letters to use.
	
	* src/window-commands.c: (window_cmd_help_about):
	* src/window-commands.h: 
	
	Take a GtkWidget instead of an EphyWindow as the 
	callback data so that the about function can be used
	in the bme.	

	* src/ephy-window.c: (setup_window):
	
	Setup short toolbar labels for "Bookmark Page...",
	"Save As...", "Print...", and "Open..." so that these
	items don't have elipses on the toolbar.	
	
2003-04-14  Frank Belew  <frb@ximian.com>

	* lib/widgets/ephy-notebook.c (update_tabs_visibility): 

	If user prefers tabs (CONF_TABS_TABBED), always show tab bar

2003-04-13  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/bme.desktop.in:
	* data/epiphany.desktop.in:

	No need to advertise our name in menus. The user doesnt care.
	s/Epiphany Bookmarks Editor/Web bookmarks

2003-04-13 Mark Finlay <sisob@eircom.net>

	* data/epiphany.desktop.in
	* data/bme.desktop.in

	Add bugzilla info to faciliate easy reporting of bugs.

2003-04-13  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-tab.c: (ephy_tab_init), (ephy_tab_finalize),
	(ephy_tab_set_favicon), (ephy_tab_favicon_cache_changed_cb),
	(ephy_tab_link_message_cb), (ephy_tab_location_cb),
	(ephy_tab_get_status_message):

	Fix leaks. Dont truncate utf8 strings.

2003-04-13  Marco Pesenti Gritti  <marco@it.gnome.org>

	* data/starthere/smartbookmarks.xml.in:

	Fix the text to make sense.

2003-04-13  Marco Pesenti Gritti  <marco@it.gnome.org>

	* NEWS:
	* src/Makefile.am:

	Install the script.

	Release 0.5.0

2003-04-13  Marco Pesenti Gritti  <marco@it.gnome.org>

	* embed/mozilla/default-prefs.js:

	Use google feel like for keywords	

	* lib/ephy-node.c: (ephy_node_new_with_id),
	(ephy_node_system_init):
	* lib/ephy-node.h:

	Pass the reserved ids num

	* lib/ephy-types.h:
	* src/ephy-shell.c: (ephy_shell_init):
	
	Increase reserved ids to 100.

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init_defaults),
	(ephy_bookmarks_load), (ephy_bookmarks_init):

	Default keywords and bookmarks (only google smb).
	Keywords are probably quite sucky, well it's a start ;)
	Adding more bookmarks could be a i18n pain.

	We should be ready for 0.5.0 now.

2003-04-13  Xan Lopez  <xan@masilla.org>

	* NEWS:

	Fix a couple of typos
	
	* data/epiphany.xhtml:

	Some cosmetic changes

2003-04-13  Marco Pesenti Gritti  <marco@it.gnome.org>

	* NEWS:
	* TODO:
	* configure.in:
	* src/Makefile.am:

	Update for 0.5.0.
	Readd evil start script. This sucks :/

2003-04-12  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in:

	Add mozilla version defines

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyAboutRedirector.cpp:
	* embed/mozilla/EphyWrapper.cpp:
	* embed/mozilla/ExternalProtocolService.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/FtpProtocolHandler.cpp:
	* embed/mozilla/FtpProtocolHandler.h:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GlobalHistory.h:
	* embed/mozilla/IRCProtocolHandler.cpp:
	* embed/mozilla/IRCProtocolHandler.h:
	* embed/mozilla/MailtoProtocolHandler.cpp:
	* embed/mozilla/MailtoProtocolHandler.h:
	* embed/mozilla/MozRegisterComponents.cpp:
	* embed/mozilla/PrintingPromptService.cpp:
	* embed/mozilla/PrintingPromptService.h:
	* embed/mozilla/ProgressListener.cpp:
	* embed/mozilla/StartHereProtocolHandler.cpp:
	* embed/mozilla/StartHereProtocolHandler.h:
	* embed/mozilla/mozilla-embed.cpp:

	Nicer way to initialize mozilla modules. (from galeon)

2003-04-09  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-topic-action.c: (build_topics_menu):

	We cant assume the favicon is already in the cache.

2003-04-09  Xan Lopez  <xan@masilla.org>

	* data/.cvsignore:

	Ignore bme.desktop

2003-04-09  Xan Lopez  <xan@masilla.org>

	* data/Makefile.am:
	* data/art/Makefile.am:
	* idl/EphyAutomation.idl:
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_node_activated_cb),
	(ephy_bookmarks_editor_update_menu),
	(ephy_bookmarks_editor_construct):
	* src/ephy-automation.c: (impl_ephy_automation_loadurl),
	(impl_ephy_automation_add_bookmark), (impl_ephy_automation_quit),
	(impl_ephy_automation_load_session),
	(impl_ephy_automation_open_bookmarks_editor),
	(ephy_automation_class_init):
	* src/ephy-main.c: (ephy_main_start):
	* src/ephy-shell.c: (ephy_shell_init), (ephy_shell_finalize),
	(bookmarks_hide_cb), (ephy_shell_show_bookmarks_editor):
	* src/ephy-shell.h:
	* src/window-commands.c: (window_cmd_go_bookmarks):

	Allow to launch the BME alone, rework some CORBA code, add a .desktop
	file for the BME. Fixes #102477.

2003-04-09  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (add_focus_monitor),
	(remove_focus_monitor), (ephy_bookmarks_editor_dispose),
	(ephy_bookmarks_editor_node_selected_cb),
	(ephy_bookmarks_editor_construct):

	Add funcs to add/remove focus monitor. Make the code nicer
	and fix warning on destroy.

2003-04-08  Johan Dahlin  <jdahlin@async.com.br>

        * src/bookmarks/ephy-topic-action.c (build_topics_menu): If there
        exist a favicon for the bookmark, add it to the menu.

2003-04-08  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-toolbars-group.c:
	* lib/egg/egg-toolbars-group.h:

	Update.

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_class_init),
	(bookmarks_removed_cb), (topics_removed_cb), (ephy_bookmarks_init):
	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/ephy-new-bookmark.c:
	(ephy_new_bookmark_response_cb):
	* src/popup-commands.c: (popup_cmd_bookmark_link):
	* src/toolbar.c: (toolbar_get_action_name), (toolbar_get_action),
	(topic_remove_cb), (bookmark_remove_cb), (toolbar_init):
	* src/window-commands.c: (window_cmd_file_bookmark_page):

	Update toolbars when bookmarks and topics are removed.
	Use dialog_run for new_bookmark dialog.
	(Dave I hope this doesnt break something, but it's necessary
	to url dnd to toolbars to work correctly)

2003-04-07  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/widgets/Makefile.am:
	* lib/widgets/eggtreemodelfilter.c:
	* lib/widgets/eggtreemodelfilter.h:
	* lib/widgets/eggtreemultidnd.c:
	* lib/widgets/eggtreemultidnd.h:
	* lib/egg/Makefile.am:
	* lib/egg/eggtreemodelfilter.c:
	* lib/egg/eggtreemodelfilter.h:
	* lib/egg/eggtreemultidnd.c:
	* lib/egg/eggtreemultidnd.h:
	* lib/egg/update-from-egg.sh:

	Move and autoupdate these from egg.

	* lib/ephy-dnd.c:
	* lib/ephy-dnd.h:
	* src/ephy-favicon-action.c:

	Remove an unnecessary param in ephydnd API.

	* lib/widgets/ephy-tree-model-sort.c:

	Use the real multidnd api.

2003-04-06  Marco Pesenti Gritti  <marco@it.gnome.org>

	* TODO:
	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/eggtoolbar.c:
	* lib/egg/eggtoggletoolbutton.c:

	Update (drag separators from editor works now)

2003-04-06  Christian Persch <chpe@stud.uni-saarland.de>

	* src/history-dialog.c: (history_dialog_setup_view):

	Typo. Drag url, not title.

2003-04-05  Evandro Fernandes Giovanini <evandrofg@ig.com.br>

	* configure.in(ALL_LINGUAS): Added "pt_BR".

2003-04-05  David Bordoley <bordoley@msu.edu>

	* src/popup-commands.c: (popup_cmd_bookmark_link):
	* src/window-commands.c: (window_cmd_file_bookmark_page):
	Just show the new bookmark dialog, don't go modal.

	* src/bookmarks/ephy-bookmark-properties.c: 
	(ephy_bookmark_properties_new):
	* src/bookmarks/ephy-bookmark-properties.h
	Need to pass the parent window to _new(), and 
	set the dialog transient to its parent.	

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_bookmark_properties):
	Pass the bme window to the ephy_bookmark_properties_new.

	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_response_cb):
	Call gtk_widget_destroy() when cancel or ok are clicked.	

2003-04-05  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/eggintl.h:

	Include config.h. Menu translated again now.

2003-04-05  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (view_focus_cb):

	The callback return a boolean !

2003-04-05  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_update_menu),
	(ephy_bookmarks_editor_node_selected_cb), (view_focus_cb),
	(keyword_node_selected_cb), (build_search_box),
	(ephy_bookmarks_editor_construct), (ephy_bookmarks_editor_init):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_add_keyword):
	* src/bookmarks/ephy-node-view.c: (ephy_node_view_has_selection):
	* src/bookmarks/ephy-node-view.h:

	Rewrite sensitivity code. Should take in account focus now.

	* src/ephy-window.c: (ephy_window_show):

	Remove some unused code.

2003-04-05  Marco Pesenti Gritti  <marco@it.gnome.org>

	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/ephy-node-view.c: (drag_motion_cb), (drag_drop_cb),
	(drag_data_received_cb):
	* src/ephy-window.c: (ephy_window_show):

	Have a decent size for popups that doesnt specify it.
	Do not allow to drag on special topics.

2003-04-05  Christian Persch <chpe@stud.uni-saarland.de>

	* src/ephy-favicon-action.c: (create_tool_item), (connect_proxy):

	Set drag source on the event box, to avoid conflicts with toolbars
	drag and drop.

2003-04-05  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/egg-editable-toolbar.h:

	Update from egg.

	* src/toolbar.c: (toolbar_init):

	Use the new api to add drag types. Bookmarks dnd working again.

2003-04-04  Marco Pesenti Gritti  <marco@it.gnome.org>

	* configure.in:
	* embed/mozilla/Makefile.am:

	Use mozilla-config.h instead of hacks.

2003-04-01  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-autocompletion.c:
	(ephy_autocompletion_update_matches_full_item):

	Fix debug code, smart bookmarks are back in the
	autocompletion.

2003-04-01  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/Makefile.am:
	* lib/egg/egg-accel-dialog.c:
	* lib/egg/egg-action-group.c:
	* lib/egg/egg-action.c:
	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-radio-action.c:
	* lib/egg/egg-toggle-action.c:
	* lib/egg/egg-toolbars-group.c:
	* lib/egg/egg-toolbars-group.h:
	* lib/egg/eggintl.h:
	* lib/egg/eggtoolbar.c:
	* lib/egg/eggtoolbutton.c:
	* lib/egg/update-from-egg.sh:

	Use EggEditableToolbar.
	Update to latest versions (not EggMenuMerge, we still need patches).
	
	WARNING: it's no more possible to drag bookmarks in the toolbar,
	if you depend on that feature please wait the weekend to update cvs.

	* lib/egg/egg-markup.c:
	* lib/egg/egg-markup.h:

	Remove, not used.

	* lib/widgets/Makefile.am:
	* lib/widgets/ephy-editable-toolbar.c:
	* lib/widgets/ephy-editable-toolbar.h:
	* lib/widgets/ephy-toolbars-group.c:
	* lib/widgets/ephy-toolbars-group.h:

	Remove.

	* src/prefs-dialog.c: (prefs_dialog_show_help),
	(prefs_dialog_response_cb):

	Fix a warning.

	* src/toolbar.c: (toolbar_get_type), (toolbar_get_action_name),
	(toolbar_get_action), (toolbar_class_init), (toolbar_init):
	* src/toolbar.h:
	* src/window-commands.c: (window_cmd_edit_toolbar):

	Update to use the egg api.

2003-04-01  Christian Persch <chpe@stud.uni-saarland.de>

	* src/ephy-tab.c:
	* src/ephy-tab.h:

	Marco-is-silly-patch. Update to latest version
	of the favicons patch.

2003-04-01  Christian Persch <chpe@stud.uni-saarland.de>

	* lib/widgets/ephy-notebook.c: (ephy_notebook_set_page_status),
	(ephy_notebook_set_page_icon), (tab_build_label):
	* lib/widgets/ephy-notebook.h:
	* src/ephy-tab.c: (ephy_tab_init), (ephy_tab_set_favicon),
	(ephy_tab_favicon_cache_changed_cb), (ephy_tab_favicon_cb),
	(ephy_tab_location_cb):
	* src/ephy-tab.h:
	* src/ephy-window.c: (ephy_window_init):

	Show favicons on tabs

2003-04-01  Patanjali Somayaji <patanjali@codito.com>

	* help/C/epiphany.xml:
	Added place holders for help text for preferences dialog
	* src/prefs-dialog.c: added code to invoke appropriate help
	* src/window_commands.c: added documenter credit

2003-03-31  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/egg/eggtoolbar.c: (egg_toolbar_class_init),
	(egg_toolbar_init), (egg_toolbar_unrealize), (egg_toolbar_expose),
	(egg_toolbar_size_allocate), (find_drop_pos),
	(egg_toolbar_drag_leave), (egg_toolbar_drag_motion),
	(egg_toolbar_get_item_index), (egg_toolbar_get_show_arrow),
	(egg_toolbar_get_drop_index):
	* lib/egg/eggtoolbar.h:
	* lib/egg/eggtoolitem.c: (egg_tool_item_get_type),
	(egg_tool_item_class_init), (create_drag_window),
	(egg_tool_item_realize), (egg_tool_item_unrealize),
	(egg_tool_item_map), (egg_tool_item_unmap),
	(egg_tool_item_size_allocate), (egg_tool_item_set_tooltip),
	(egg_tool_item_set_use_drag_window):
	* lib/egg/eggtoolitem.h:
	* lib/widgets/ephy-editable-toolbar.c: (drag_data_received_cb),
	(drag_data_get_cb), (connect_item_drag_source),
	(disconnect_item_drag_source), (popup_toolbar_context_menu),
	(setup_toolbar), (do_merge), (ephy_editable_toolbar_init),
	(hide_editor), (update_editor_sheet), (show_editor):
	* lib/widgets/ephy-toolbars-group.c: (add_action),
	(ephy_toolbars_group_add_item), (parse_item_list):
	* lib/widgets/ephy-toolbars-group.h:

	Use the new EggToolbar apis. Better drop feedback,
	separators drag and code cleanups.

2003-03-30  David Bordoley <bordoley@msu.edu>

	* src/bookmarks/ephy-bookmark-properties.c: (build_ui):
	Update to reflect changes in EphyTopicSelector api. Wrap the 
	topic selector in a GtkScrolledWindow.	
	
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_add_topic),
	(cmd_rename), (cmd_open_bookmarks_in_tabs), (cmd_open_bookmarks_in_browser),
	(cmd_delete), (cmd_bookmark_properties), (cmd_select_all), 
	(ephy_bookmarks_editor_dispose), (keyword_node_selected_cb),
	(ephy_bookmarks_editor_construct), (ephy_bookmarks_editor_update_menu):
	Update to reflect changes in EphyNodeView api. Wrap bm_view 
	and key_view in GtkScrolledWindows.	
	s/_Open In New Window/_Open in New Window and s/Open In New _Tabs/Open in New _Tab.

	* src/bookmarks/ephy-new-bookmark.c: (build_editing_table):
	Update to reflect changes in EphyTopicSelector api. Wrap the 
	topic selector in a GtkScrolledWindow.	

	* src/bookmarks/ephy-node-view.c: (ephy_node_view_get_type), 
	(ephy_node_view_construct), (ephy_node_view_new), 
	(ephy_node_view_add_column), (ephy_node_view_add_icon_column),
	(ephy_node_view_get_selection), (ephy_node_view_has_focus), 
	(ephy_node_view_set_browse_mode), (ephy_node_view_select_node),
	(ephy_node_view_enable_drag_dest), (ephy_node_view_enable_drag_source),
	(ephy_node_view_set_hinted), (ephy_node_view_edit):
	* src/bookmarks/ephy-node-view.h:
	Inherit from GtkTreeView instead of GtkScrolledWindow and
	change methods to reflect the change. Allow for better/easier keynav.
	Return a GtkWidget from ephy_node_view_new to be consistent with GTK.

	* src/bookmarks/ephy-topics-selector.c: (ephy_topics_selector_get_type),
	(mneumonic_activated), (ephy_topics_build_ui), (ephy_topics_selector_new):
	* src/bookmarks/ephy-topics-selector.h:
	Inherit from GtkTreeView instead of GtkScrolledWindow and
	change methods to reflect the change. Allow for better/easier keynav.

2003-03-30  David Bordoley <bordoley@msu.edu>

	* src/bookmarks/ephy-bookmark-properties.c: (build_ui):
	* src/bookmarks/ephy-new-bookmark.c: (build_editing_table):
	Use hotkeys to navigate around the dialog.
	
	* src/bookmarks/ephy-topics-selector.c: (mneumonic_activated),
	(ephy_topics_build_ui), (ephy_topics_selector_new):
	Catch the mneumonic-activated signal and focus the currently
	selected item in the list. If no items are selected, select the
	first item.

	* src/bookmarks/ephy-bookmarks-editor.c: (key_pressed_cb):
	Change function to return a gboolean and return false
	if we don't handle the key event (fixes keynav in the bme).

2003-03-30  Xan Lopez  <xan@masilla.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_node_selected_cb),
	(keyword_node_selected_cb), (ephy_bookmarks_editor_update_menu):

	More sensitive stuff, I think this handles every case marco's sick
	mind can think about *grin*

2003-03-29  Xan Lopez  <xan@masilla.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(cmd_open_bookmarks_in_tabs), (cmd_open_bookmarks_in_browser),
	(cmd_bookmark_properties),
	(ephy_bookmarks_editor_node_selected_cb),
	(keyword_node_selected_cb):

	Do not update menus in element unselection.
	Minor fixes.

2003-03-29  David Bordoley <bordoley@msu.edu>

	* src/bookmarks/ephy-bookmarks-editor.c: (build_search_box):
	Add alt+s mneumonic to the search box and activate it.

2003-03-29  Xan Lopez  <xan@masilla.org>

	* src/bookmarks/ephy-node-view.c: (drag_motion_cb):

	Fix warning.

2003-03-29  Marco Pesenti Gritti  <marco@it.gnome.org>

	* lib/ephy-dnd.c: (add_one_node), (ephy_dnd_drag_data_get),
	(ephy_dnd_node_list_extract_nodes):
	* lib/ephy-dnd.h:
	* lib/ephy-marshal.list:
	* lib/widgets/ephy-tree-model-sort.c: (each_node_get_data_binder),
	(ephy_tree_model_sort_multi_drag_data_get):
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_rename),
	(cmd_select_all), (ephy_bookmarks_editor_show_popup_cb),
	(keyword_node_show_popup_cb), (node_dropped_cb),
	(ephy_bookmarks_editor_construct),
	(ephy_bookmarks_editor_update_menu):
	* src/bookmarks/ephy-node-view.c: (ephy_node_view_class_init),
	(ephy_node_view_button_press_cb), (ephy_node_view_has_focus),
	(get_node_from_path), (drag_motion_cb), (drag_drop_cb),
	(drag_data_received_cb), (ephy_node_view_enable_drag_dest),
	(ephy_node_view_enable_drag_source):
	* src/bookmarks/ephy-node-view.h:
	* src/ephy-favicon-action.c: (connect_proxy):
	* src/history-dialog.c: (history_dialog_setup_view):
	* src/toolbar.c: (toolbar_get_action_name):

	Make dnd code smarter, so it can support more than
	just urls types.
	Implement drag of bookmarks on topics in bme. What a pain !

2003-03-29  Marco Pesenti Gritti  <marco@it.gnome.org>

